<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

abstract class JoomcrmHelperStyles
{
	// Get base stylesheets
	public static function getBaseStyle()
	{
		// The base style always comes from the frontend.
		$base = str_replace('/administrator', '',Uri::base());
		return $base . 'components/com_joomcrm/media/css/default.css';
	}

	// Load all styles
	public static function loadStyleSheets()
	{
		Factory::getDocument()
			->addStyleSheet(self::getBaseStyle());
	}
}
