<?php
/**
 * @package        JoomRecipe
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Layout\LayoutHelper;

$links = [
	[
		'icon' => 'fas fa-ellipsis-h',
		'title' => 'COM_JOOMCRM_MENU',
		'url' => 'index.php?option=com_joomcrm&view=menu'
	],
	[
		'icon' => 'fas fa-truck',
		'title' => 'COM_JOOMCRM_IMPORT',
		'url' => 'index.php?option=com_joomcrm&view=import'
	]
];

?>
<div class="row gx-2">
	<?php foreach ($links as $link): ?>
		<?php echo LayoutHelper::render(
			'dashboard.skeleton.buttonLink',
			[
				'title' => $link['title'],
				'icon'  => $link['icon'],
				'url'   => $link['url'],
				'target' => '_blank',
			]
		) ?>
	<?php endforeach; ?>
</div>
