<?php
/*
 * @package		Joomla 3.0
 * @subpackage	EasyJobsManager
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');

\Joomla\CMS\Form\FormHelper::loadFieldClass('list');

class JFormFieldCompanycategories extends \Joomla\CMS\Form\Field\ListField{

	protected $type = 'Companycategories';


	public function getOptions($isFilter = false){


		$options = array();

		$db = \Joomla\CMS\Factory::getDbo();

		$db->setQuery("SELECT `id` AS value, `name` AS text FROM `#__joomcrm_company_categories`");
		$records = (array) $db->loadObjectList();

		$options = [];
		$options[0] = 'any category'; // default

		foreach ($records as $record){
			$options[$record->value] = $record->text;
		}

		return $options;
	}


}
