<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;


use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;

/**
 * Voteradio Field class.
 *
 * @since  3.8.0
 */
class JFormFieldEmailsblockcss extends FormField
{

	protected $type = 'Emailsblockcss';

	protected function getInput()
	{
		Factory::getDocument()->addStyleDeclaration("
		
			#emails > .control-group > .controls{			
				margin: 0px !important;			
			}
			
			#emails > .control-group > .control-label{			
				float:none !important;
				width: 100% !important;
				padding: 0px !important;	
			}
			
			
			#emails .subform-repeatable-group{
				margin: 0px !important;
			}
			
			#emails > .control-group > .control-label > label{			
				    font-size: 26px;
				    margin-bottom: 20px;
				    border-bottom: 1px solid #e3e3e3;
				    padding-bottom: 20px;
			}
		
		");


	}

	protected function getLabel()
	{
		return '';
	}
}
