<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\Uri\Uri;


/**
 * Voteradio Field class.
 *
 * @since  3.8.0
 */
class JFormFieldImaptest extends FormField
{

	protected $type = 'Imaptest';

	protected function getInput()
	{
		Factory::getDocument()->addScript(Uri::root().'administrator/components/com_joomcrm/media/js/joomcrm.js');

		return '<a class="btn btn-primary" href="javascript:void(0);" onclick="testImapConnection();"><i class="icon-checkin"></i>'.Text::_('COM_JOOMCRM_TEST_CONNECTION').'</a><div id="connection_results"></div>';
	}

	protected function getLabel()
	{
		return '';
	}


}
