SET SESSION innodb_strict_mode=OFF;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";

ALTER TABLE `#__joomcrm_shared` CHANGE `item_id` `item_id` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_formwizard` CHANGE `description` `description` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_formwizard` CHANGE `fields` `fields` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_formwizard` CHANGE `html` `html` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_formwizard` CHANGE `return_url` `return_url` text  DEFAULT NULL;
ALTER TABLE `#__joomcrm_formwizard` CHANGE `owner_id` `owner_id` int(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_menu` CHANGE `title` `title`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_menu` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_conversations` CHANGE `deal_id` `deal_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_conversations` CHANGE `author` `author` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_conversations` CHANGE `created` `created` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_conversations` CHANGE `conversation` `conversation` longtext DEFAULT NULL;
ALTER TABLE `#__joomcrm_conversations` CHANGE `modified` `modified` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_conversations` CHANGE `published` `published` tinyint(2)   NOT NULL DEFAULT '1';

ALTER TABLE `#__joomcrm_deal_custom` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `values` `values`  varchar(1000) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `type` `type` enum ('number','text','textarea','currency','picklist','forecast','date');
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `required` `required` tinyint(2)   NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `reported` `reported` tinyint(2)   NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `multiple_selections` `multiple_selections` tinyint(2)   NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_deal_custom` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_deal_custom_cf` CHANGE `deal_id` `deal_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deal_custom_cf` CHANGE `custom_field_id` `custom_field_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deal_custom_cf` CHANGE `value` `value` text DEFAULT NULL ;
ALTER TABLE `#__joomcrm_deal_custom_cf` CHANGE `modified` `modified` datetime  DEFAULT NULL ;

ALTER TABLE `#__joomcrm_deal_status` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_deal_status` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_deals` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_deals` CHANGE `summary` `summary` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_deals` CHANGE `company_id` `company_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `amount` `amount` double NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `stage_id` `stage_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `source_id` `source_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `probability` `probability`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_deals` CHANGE `status_id` `status_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `expected_close` `expected_close` date  DEFAULT NULL;
ALTER TABLE `#__joomcrm_deals` CHANGE `created` `created` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_deals` CHANGE `notes` `notes` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_deals` CHANGE `category` `category`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_deals` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `modified` `modified` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_deals` CHANGE `archived` `archived` tinyint(4) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `actual_close` `actual_close` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_deals` CHANGE `primary_contact_id` `primary_contact_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_deals` CHANGE `published` `published` tinyint(2) NOT NULL DEFAULT '1';
ALTER TABLE `#__joomcrm_deals` CHANGE `last_viewed` `last_viewed` datetime  DEFAULT NULL;

ALTER TABLE `#__joomcrm_documents` CHANGE `filename` `filename`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_documents` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_documents` CHANGE `description` `description` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_documents` CHANGE `category_id` `category_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_documents` CHANGE `association_id` `association_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_documents` CHANGE `association_type` `association_type` enum ('company','person','deal') NOT NULL DEFAULT 'person';
ALTER TABLE `#__joomcrm_documents` CHANGE `created` `created` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_documents` CHANGE `filetype` `filetype`  varchar (255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_documents` CHANGE `size` `size` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_documents` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_documents` CHANGE `modified` `modified` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_documents` CHANGE `shared` `shared` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_documents` CHANGE `email` `email` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_documents` CHANGE `is_image` `is_image` tinyint(2) NOT NULL DEFAULT 0;
ALTER TABLE `#__joomcrm_documents` CHANGE `published` `published` tinyint(2) NOT NULL DEFAULT 1;

ALTER TABLE `#__joomcrm_events` CHANGE `owner_id` `owner_id`  INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_events` CHANGE `description` `description` text DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `assignee_id` `assignee_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events` CHANGE `due_date` `due_date` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `end_date` `end_date` date  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `repeats` `repeats`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_events` CHANGE `repeat_end` `repeat_end` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `start_time` `start_time` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `end_time` `end_time` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `all_day` `all_day` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events` CHANGE `category_id` `category_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `completed` `completed` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events` CHANGE `actual_close` `actual_close` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `excludes` `excludes` mediumtext DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events` CHANGE `parent_id` `parent_id` tinyint(2) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_events_categories` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_events_categories` CHANGE `description` `description` text DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events_categories` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events_categories` CHANGE `created_by` `created_by` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events_categories` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_events_categories` CHANGE `modified_by` `modified_by` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events_categories` CHANGE `milestone` `milestone` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events_categories` CHANGE `ordering` `ordering` INT(11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_events_cf` CHANGE `association_id` `association_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_events_cf` CHANGE `event_id` `event_id` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_goals` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_goals` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_goals` CHANGE `goal_type` `goal_type` enum ('win_cash','win_deals','move_deals','complete_tasks','write_notes','create_deals') NOT NULL DEFAULT 'win_cash' ;
ALTER TABLE `#__joomcrm_goals` CHANGE `assigned_type` `assigned_type` enum ('member','team','company') NOT NULL DEFAULT 'member' ;
ALTER TABLE `#__joomcrm_goals` CHANGE `assigned_id` `assigned_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_goals` CHANGE `stage_id` `stage_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_goals` CHANGE `category_id` `category_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_goals` CHANGE `amount` `amount` float  NOT NULL DEFAULT 0.0;
ALTER TABLE `#__joomcrm_goals` CHANGE `leaderboard` `leaderboard` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_goals` CHANGE `start_date` `start_date` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_goals` CHANGE `end_date` `end_date` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_goals` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_goals` CHANGE `published` `published` tinyint(2) NOT NULL DEFAULT '1';

ALTER TABLE `#__joomcrm_history` CHANGE `old_value` `old_value` text DEFAULT NULL ;
ALTER TABLE `#__joomcrm_history` CHANGE `new_value` `new_value` text DEFAULT NULL ;

ALTER TABLE `#__joomcrm_notes` CHANGE `deal_id` `deal_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_notes` CHANGE `person_id` `person_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_notes` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_notes` CHANGE `note` `note` longtext DEFAULT NULL;
ALTER TABLE `#__joomcrm_notes` CHANGE `category_id` `category_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_notes` CHANGE `company_id` `company_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_notes` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_notes` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_notes` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_notes` CHANGE `published` `published` tinyint(2) NOT NULL DEFAULT '1';
ALTER TABLE `#__joomcrm_notes` CHANGE `event_id` `event_id` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_notes_categories` CHANGE `name` `name`  varchar (255) NOT NULL DEFAULT '' ;
ALTER TABLE `#__joomcrm_notes_categories` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_notes_categories` CHANGE `modified` `modified` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_notes_categories` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_people` CHANGE `uid` `uid` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people` CHANGE `first_name` `first_name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `last_name` `last_name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `company_id` `company_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people` CHANGE `position` `position` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `email` `email` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `source_id` `source_id` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `home_zip` `home_zip` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `assignee_id` `assignee_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people` CHANGE `fax` `fax` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `website` `website` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `facebook_url` `facebook_url` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `twitter_user` `twitter_user` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `linkedin_url` `linkedin_url` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people` CHANGE `status_id` `status_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people` CHANGE `info` `info`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people` CHANGE `work_zip` `work_zip`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people` CHANGE `mobile_phone` `mobile_phone`  varchar(255) NOT NULL DEFAULT '';

ALTER TABLE `#__joomcrm_people_cf` CHANGE `association_id` `association_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people_cf` CHANGE `created` `created` datetime  DEFAULT NULL ;

ALTER TABLE `#__joomcrm_people_status` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people_status` CHANGE `color` `color` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people_status` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people_status` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people_status` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_reports` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_reports` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_reports` CHANGE `fields` `fields` text  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_reports` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_reports` CHANGE `modified` `modified` datetime  DEFAULT NULL ;

ALTER TABLE `#__joomcrm_sources` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_sources` CHANGE `type` `type` enum ('per','flat') DEFAULT 'per';
ALTER TABLE `#__joomcrm_sources` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_sources` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_sources` CHANGE `cost` `cost` float NOT NULL DEFAULT 0.0;
ALTER TABLE `#__joomcrm_sources` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_stages` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_stages` CHANGE `percent` `percent` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_stages` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_stages` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_stages` CHANGE `color` `color` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_stages` CHANGE `ordering` `ordering` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_teams` CHANGE `leader_id` `leader_id` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_template_data` CHANGE `template_id` `template_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_template_data` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_template_data` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_template_data` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_template_data` CHANGE `day` `day` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_template_data` CHANGE `type` `type` varchar(255) NOT NULL DEFAULT '';

ALTER TABLE `#__joomcrm_templates` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_templates` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_templates` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_templates` CHANGE `default` `default` tinyint(2) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_users` CHANGE `uid` `uid` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `role_type` `role_type` enum ('exec','manager','basic') NOT NULL DEFAULT 'exec';
ALTER TABLE `#__joomcrm_users` CHANGE `admin` `admin` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `exports` `exports` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `can_delete` `can_delete` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `team_id` `team_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `first_name` `first_name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_users` CHANGE `last_name` `last_name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_users` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_users` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_users` CHANGE `sms_number` `sms_number` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `text_messages` `text_messages` tinyint(2) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users` CHANGE `home_page_chart` `home_page_chart` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_users` CHANGE `commission_rate` `commission_rate` float(6,3) NOT NULL DEFAULT 0;
ALTER TABLE `#__joomcrm_users` CHANGE `deals_columns` `deals_columns` text  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_users` CHANGE `people_columns` `people_columns` text  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_users` CHANGE `companies_columns` `companies_columns` text  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_users` CHANGE `document_bypass` `document_bypass` text  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_users` CHANGE `team_access` `team_access` INT (11) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_users_email_cf` CHANGE `member_id` `member_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_users_email_cf` CHANGE `email` `email` varchar(255) NOT NULL DEFAULT '';

ALTER TABLE `#__joomcrm_people_custom` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people_custom` CHANGE `values` `values` varchar(1000) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_people_custom` CHANGE `type` `type` enum('number','text','textarea','currency','picklist','forecast','date','company');
ALTER TABLE `#__joomcrm_people_custom` CHANGE `required` `required` tinyint(2)  NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people_custom` CHANGE `multiple_selections` `multiple_selections` tinyint(2)  NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people_custom` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people_custom` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people_custom` CHANGE `ordering` `ordering` int(11)  NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_people_custom_cf` CHANGE `people_id` `people_id` int(11)  NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_people_custom_cf` CHANGE `custom_field_id` `custom_field_id` int(11)  NOT NULL DEFAULT '11';
ALTER TABLE `#__joomcrm_people_custom_cf` CHANGE `value` `value` text  DEFAULT NULL;
ALTER TABLE `#__joomcrm_people_custom_cf` CHANGE `modified` `modified` datetime  DEFAULT NULL;

ALTER TABLE `#__joomcrm_company_custom` CHANGE `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_company_custom` CHANGE `values` `values` varchar(1000) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_company_custom` CHANGE `type` `type` ENUM('number','text','textarea','currency','picklist','forecast','date','person') NOT NULL;
ALTER TABLE `#__joomcrm_company_custom` CHANGE `required` `required` tinyint(2)  NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_company_custom` CHANGE `multiple_selections` `multiple_selections` tinyint(2)  NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_company_custom` CHANGE `created` `created` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_company_custom` CHANGE `modified` `modified` datetime  DEFAULT NULL ;
ALTER TABLE `#__joomcrm_people_custom` CHANGE `ordering` `ordering` int(11)  NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_company_custom_cf` CHANGE `company_id` `company_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_company_custom_cf` CHANGE `custom_field_id` `custom_field_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_company_custom_cf` CHANGE `value` `value`  text   DEFAULT NULL;
ALTER TABLE `#__joomcrm_company_custom_cf` CHANGE `modified` `modified`  text   DEFAULT NULL;

ALTER TABLE `#__joomcrm_company_categories` CHANGE `ordering` `ordering` int(11)  NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_document_categories` CHANGE `ordering` `ordering` int(11)  NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_invites` CHANGE `team_id` `team_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_invites` CHANGE `token` `token` VARCHAR (32) NOT NULL DEFAULT '0';

ALTER TABLE `#__joomcrm_import` CHANGE `params` `params` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_import` CHANGE `crossids` `crossids` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_import` CHANGE `ctime` `ctime` datetime  DEFAULT NULL;

ALTER TABLE `#__joomcrm_import_rows` CHANGE `text` `text` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_import_rows` CHANGE `ctime` `ctime` datetime  DEFAULT NULL;

ALTER TABLE `#__joomcrm_companies` CHANGE `category_id` `category_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_companies` CHANGE `owner_id` `owner_id` INT (11) NOT NULL DEFAULT '0';
ALTER TABLE `#__joomcrm_companies` CHANGE `name` `name`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `description` `description` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_companies` CHANGE `address_1` `address_1` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `address_2` `address_2` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `website` `website`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `created` `created` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_companies` CHANGE `notes` `notes` text DEFAULT NULL;
ALTER TABLE `#__joomcrm_companies` CHANGE `phone` `phone`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `modified` `modified` datetime  DEFAULT NULL;
ALTER TABLE `#__joomcrm_companies` CHANGE `published` `published` tinyint(2)   NOT NULL DEFAULT '1';

ALTER TABLE `#__joomcrm_companies` CHANGE `twitter_user` `twitter_user`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `facebook_url` `facebook_url`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `flickr_url` `flickr_url`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `youtube_url` `youtube_url`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `linkedin_url` `linkedin_url`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `address_city` `address_city` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `address_state` `address_state`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `address_zip` `address_zip`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `address_country` `address_country`  varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `#__joomcrm_companies` CHANGE `avatar` `avatar`  varchar(255) NOT NULL DEFAULT '';