<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

?>

<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
			<?php echo $this->menu['help_info']->display(); ?>
			<div id="system-message-container"></div>
			<div class="row-fluid">
				<h3><?php echo Text::_('COM_JOOMCRM_API'); ?></h3>
				<ul>
					<li><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm', Text::_('COM_JOOMCRM_JOOMCRM_API')); ?></li>
					<li><?php echo HTMLHelper::_('link', 'index.php?option=com_joomcrm', Text::_('COM_JOOMCRM_API_DOCUMENTATION')); ?></li>
				</ul>
			</div>
		</div>
	</div>
