<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;

class JoomcrmViewCustomizeHtml extends JoomcrmView
{
	/**
	 * display method
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
		// Display title
		ToolBarHelper::title(Text::_('COM_JOOMCRM_ADMIN') . Text::_('COM_JOOMCRM_CUSTOMIZE'), 'moo');

		parent::display($tpl);
	}
}
