<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>
<?php
$session = Factory::getSession();
if ($session->get('upload_success') == true)
{
	$session->set('upload_success', false);
	?>
	<script type="text/javascript">
		window.top.location = 'index.php?option=com_joomcrm&view=documents';
	</script>
<?php
}
else
{
	?>
	<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=documents&layout=upload'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate uploadForm" enctype="multipart/form-data">
		<input type="file" class="input-file" name="document"/>
		<input type="button" class="btn btn-primary" value="Upload" onclick="uploadDocument();"/>
		<input type="hidden" name="task" value="documents.upload"/>
		<?php echo HTMLHelper::_('form.token'); ?>
	</form>
<?php }
