<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

?>
<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
			<?php echo $this->menu['help_info']->display(); ?>
				<div id="system-message-container"></div>
					<div class="sample_text">
						<h1><?php echo Text::_('COM_JOOMCRM_INSTALL_SAMPLE_DATA_TITLE'); ?></h1>
						<p>
						<div class="alert alert-info"><?php echo Text::_('COM_JOOMCRM_INSTALL_SAMPLE_DATA_DESC'); ?></div>
						</p>
						<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=import'); ?>" method="post" name="adminForm" id="adminForm" class="inline-form">
							<input type="submit" value="<?php echo Text::_('COM_JOOMCRM_INSTALL_SAMPLE_BUTTON'); ?>" class="btn btn-primary btn-large"/>
							<input type="hidden" name="id" value="1" />
							<input type="hidden" name="task" value="import.installSampleData" />
							<input type="hidden" name="layout" value="sample" />
							<?php echo HTMLHelper::_('form.token'); ?>
						</form>
						<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=import'); ?>" method="post" name="adminForm" id="adminForm" class="inline-form">
							<input type="submit" value="<?php echo Text::_('COM_JOOMCRM_REMOVE_SAMPLE_BUTTON'); ?>" class="btn btn-danger btn-large"/>
							<input type="hidden" name="id" value="1" />
							<input type="hidden" name="task" value="import.removeSampleData" />
							<input type="hidden" name="layout" value="sample" />
							<?php echo HTMLHelper::_('form.token'); ?>
						</form>
			</div>
		</div>
</div>
