<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

?>
<?php if ($this->help_type != "launch_default")
{
	if (!$this->launch_default)
	{ ?>
		<div>
			<ul class="help_menu m-0 list-group list-group-flush">
				<?php if (count($this->help_menu_links) > 0)
				{
					foreach ($this->help_menu_links as $link)
					{ ?>
						<li class="d-flex justify-content-between align-items-center list-group-item <?php echo $link['completed_status'] != 0 ? 'disabled bg-success text-white' : 'bg-light'; ?>">
							<a class="<?php echo $link['completed_status'] != 0 ? 'text-white' : ''; ?>" href="<?php echo $link['link']; ?>">

							<span>
								<i class="<?php echo $link['class'] ?> me-2"></i>
                                <?php echo $link['text']; ?>
							</span>

							</a>
                            <span>
                                <i class="<?php echo $link['completed_status'] == 1 ? 'fas fa-check' : 'fas fa-hourglass-half text-dark'; ?>"></i>
                                </span>
						</li>
					<?php }
				} ?>
			</ul>
		</div>
	<?php }

} ?>


