<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;


?>
<div class="row">
    <div class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
				<div id="system-message-container"></div>
					<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=joomcrm'); ?>"
                          method="post" name="adminForm" id="adminForm" class="form-validate">
						<div class="rocket"></div>
						<div class="launch_text">
							<h1><?php echo Text::_('COM_JOOMCRM_CONGRATULATIONS'); ?></h1>

							<p><?php echo Text::_('COM_JOOMCRM_LAUNCH_TEXT_DESC'); ?></p>
							<input type="submit" value="<?php echo Text::_('COM_JOOMCRM_LAUNCH_BUTTON'); ?>" class="btn btn-success btn-lg"/>
						</div>
						<input type="hidden" name="id" value="1"/>
						<input type="hidden" name="task" value="joomcrm.launch"/>
						<input type="hidden" name="launch_default" value="1"/>
						<input type="hidden" name="show_launch_message" value="1"/>
						<?php echo HTMLHelper::_('form.token'); ?>
					</form>
		</div>
	</div>
