<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

abstract class JoomcrmHelperCharts
{
	// Get a specific
	public static function getDashboardCharts()
	{
		return array(
			'dealStatusPie' => ucwords(Text::_('COM_JOOMCRM_DEALS_BY_STATUS_PIE_CHART')),
			'dealStatusBar' => ucwords(Text::_('COM_JOOMCRM_DEALS_BY_STATUS_BAR_CHART')),
			'dealStagePie' => ucwords(Text::_('COM_JOOMCRM_DEALS_BY_STAGE_PIE_CHART')),
			'dealStageBar' => ucwords(Text::_('COM_JOOMCRM_DEALS_BY_STAGE_BAR_CHART')),
			'yearlyCommissions' => ucwords(Text::_('COM_JOOMCRM_YEAR_TO_DATE_COMMISSIONS')),
			'monthlyCommissions' => ucwords(Text::_('COM_JOOMCRM_COMMISSIONS_THIS_MONTH')),
			'yearlyRevenue' => ucwords(Text::_('COM_JOOMCRM_YEAR_T0_DATE_REVENUE')),
			'monthlyRevenue' => ucwords(Text::_('COM_JOOMCRM_REVENUE_THIS_MONTH'))
		);
	}
}
