<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;
class JoomcrmHelperView extends JoomcrmView
{
	public $view;
	public $layout;


	/**
	 * @param        $view
	 * @param string $layout
	 * @param null   $ref
	 *
	 * @return JViewLegacy
	 */

	public static function getView($view, $layout = 'default', $ref = null)
	{
		// Set view and layout
		$cfg  = array('name' => strtolower($view));
		$view = new self($cfg);
		$view->setLayout($layout);

		// Pass data to view
        if(isset($ref)){
            $n = count($ref);

            for ($i = 0; $i < $n; $i++)
            {
                $assign = $ref[$i];

                $assignRef = $assign['ref'];

                $view->$assignRef = $assign['data'];
            }

        }

		return $view;
	}

}
