<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

$status = $data[0];
$message = $data[1];

$icon = $status == 'fail' ? 'fas fa-exclamation-triangle' : 'fas fa-check';
$alert = $status == 'fail' ? 'warning' : 'info';

?>
<p class='alert alert-<?php echo $alert ?>'>
	<i class='<?php echo $icon ?>'></i> <?php echo Text::_($message) ?>
</p>

