<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

// get joomcrm users
$userNames = JoomcrmHelperUsers::getUsers(null, true);
$joomcrmUserId = (array_key_exists('owner_id',$person) && $person['owner_id'] > 0) ? $person['owner_id'] : (int) JoomcrmHelperUsers::getUserId();
$owner_id_exist = false;

// search if person owner id exist in userNames list, if not add it.
foreach($userNames as $username){
	if($username['value'] == $person['owner_id']){
		$owner_id_exist = true;
	}
}

if($owner_id_exist){
	$userNames[] = ['label' => $person['owner_first_name'].' '.$person['owner_last_name'], 'value' => $person['owner_id']];
}

?>


<label for="owner_name"><?php echo ucwords(Text::_('COM_JOOMCRM_PERSON_OWNER')); ?></label>

<select name="owner_id" id="owner_id">

	<?php foreach ($userNames as $username): ?>

		<?php $selected = ($username['value'] == $joomcrmUserId) ? 'selected="selected"' : '' ?>

		<option
			value="<?php echo $username['value'] ?>"
			<?php echo $selected ?>
		>
			<?php echo $username['label'] ?>
		</option>

	<?php endforeach; ?>


</select>



