<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$context    = $displayData['context'];
$id         = $displayData['id'];
$title      = $displayData['title'];
$body       = $displayData['body'];
$icon       = isset($displayData['icon']) ? $displayData['icon'] : 'fas fa-envelope-open';
$footer     = isset($displayData['footer']) ? $displayData['footer'] : '';
$class     = isset($displayData['class']) ? $displayData['class'] : '';
?>
<div id="<?php echo $context ?>_modal_<?php echo $id; ?>"
     class="iziModal jb_template <?php echo $class ?>"
     data-iziModal-title="<?php echo $title ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="<?php echo $icon ?>"
     data-iziModal-closebutton="true"
>
	<div id="JoomcrmModalBody" class="modal-body h-auto mh-100 w-100">
		<?php echo $body ?>
	</div>
    <?php if(!empty($footer)): ?>
    <div class="modal-footer p-3" id="JoomcrmAjaxModalFooter">
        <?php echo $footer ?>
    </div>
    <?php endif; ?>
</div>
