<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;

extract($displayData);

$custom_field_filter = array_key_exists('selected', $value) ? $value['selected'] : "";

if ($value['required'])
{
	$requiredLabel = '<span class="required">*</span>';
	$required = true;
} else {
	$requiredLabel = "";
	$required = false;
}

?>
<div class="form-group">
    <label>
        <?php echo $value['name'] . ' ' . $requiredLabel ?>
    </label>
    <select
            id="personField-<?php echo $value['id']; ?>"
            name="custom_<?php echo $value['id']; ?>"
            class="personCustomField form-control <?php echo $required ? 'required' : ''; ?>"
    >
		<?php
		$people = JoomcrmHelperDropdown::getPeopleList();
		echo HTMLHelper::_('select.options', $people, 'value', 'text', $custom_field_filter, true);
		?>
    </select>
</div>
<script>
    jQuery(".personCustomField").chosen();
</script>




