<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

$custom_field_filter = array_key_exists('selected', $value) && strlen(trim($value['selected'])) > 0 ? $value['selected'] : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');

?>
<div class='col-md-4'>
    <div class='form-group card p-3'>
        <label class="text-muted"><?php echo $value['name'] ?></label>
        <span class="editable parent" id="editable_custom_<?php echo $value['id']; ?>_container">
					<a
                            data-bs-placement="bottom"
                            data-bs-toggle="popover"
                            href="javascript:void(0);"
                            id="editable_custom_<?php echo $value['id']; ?>"
                            data-bs-title="<?php echo \Joomla\CMS\Language\Text::sprintf('COM_JOOMCRM_UPDATE_FIELD_TITLE',ucfirst($value['name'])) ?>"
                            data-bs-html='true'
                            data-bs-content='
                                            <form class="m-0 form-inline" id="<?php echo $value['id']; ?>_form">
                                                <div>
                                                <div class="mb-3">
                                                    <textarea
                                                    placeholder="<?php echo Text::_('COM_JOOMCRM_CLICK_TO_EDIT'); ?>"
                                                    style="min-height: 170px"
                                                    class="form-control w-100"
                                                    name="custom_<?php echo $value['id']; ?>"
                                                    ><?php echo htmlentities($value['selected'],ENT_QUOTES); ?></textarea>

                                                </div>
                                                <div>
                                                <a class="btn btn-success btn-sm text-white" onclick="saveEditableModal(this);">
                                                        <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>                                                                         </a>
                                                </div>
                                                </div>
                                            </form>
                                        '
                    >
						<?php echo $custom_field_filter; ?>
					</a>
	</span>
    </div>
</div>





