<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

?>

<div id="doc_info_modal"
     class="iziModal jb_template exclude"
     data-iziModal-title="<?php echo Text::_('COM_JOOMCRM_INFO') ?>"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fa fa-edit"
     data-iziModal-closebutton="true"
>
	<div id="JoomcrmModalBody" class="modal-body h-auto mh-100 w-100 p-3"></div>
	<div class="modal-footer p-3">
		<button class="btn btn-danger btn-sm me-1" data-izimodal-close="" data-izimodal-transitionout="bounceOutDown"><i class="fas fa-times"></i> <?php echo ucwords(\Joomla\CMS\Language\Text::_('COM_JOOMCRM_CANCEL')); ?></button>
		<button onclick="saveAjax('edit_document','document')" class="btn btn-primary btn-sm">
			<i class="fas fa-save"></i>
			<?php echo ucwords(Text::_('COM_JOOMCRM_SAVE')); ?></button>
	</div>
</div>
