<?php
/**
 * by JoomBoost
 * a component for Joomla! 3.0 CMS (http://www.joomla.org)
 * Author Website: http://www.joomboost.com/
 * @copyright Copyright (C) 2012 JoomBoost (http://www.mintjoomla.com). All rights reserved.
 * @license   GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die();

use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$joomla_captcha = Factory::getConfig()->get('captcha');
if ( $joomla_captcha != '0') {
	PluginHelper::importPlugin('captcha');
	$dispatcher = \Joomla\CMS\Factory::getApplication();
	// This will return the array of HTML code.
	$recaptcha = $dispatcher->triggerEvent('onDisplay', array(null, 'dynamic_recaptcha_1','required'));
}

?>
<?php if (isset($recaptcha[0]) and $joomla_captcha != "0"): ?>
<label><?php echo Text::_('COM_JOOMCRM_ANTISPAM') ?></label>
<div class="antispam">
	<?php echo $recaptcha[0]; ?>
</div>
<?php  endif; ?>
<br>