<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

?>
<form id="inviteMemberForm" action="<?php echo Uri::root().'index.php?option=com_joomcrm&task=myteam.inviteMember&format=raw' ?>">
	<div class="form-group">
		<label for="email"><?php echo Text::_('COM_JOOMCRM_EMAIL') ?></label>
		<input name="email" required="required" type="email" class="form-control form-control-sm" placeholder="<?php echo Text::_('COM_JOOMCRM_MYTEAM_EMAIL_PLACEHOLDER') ?>" id="email">
	</div>
	<!--<div class="form-group">
		<label for="role"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_MYTEAM_ROLE') ?></label>
		<select name="role" class="no-chosen form-select form-control-sm" id="role" size="2">
			<option selected="selected" value="1"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_MYTEAM_ROLE_BASIC') ?></option>
			<option value="2"><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_MYTEAM_ROLE_MANAGER') ?></option>
		</select>
	</div>-->
	<?php echo HTMLHelper::_( 'form.token' ); ?>
</form>