<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;


?>
<a href="#" data-izimodal-open="#member_modal_invite" class="btn btn-sm btn-light"><i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_MYTEAM_INVITE_NEW_MEMBER') ?></a>
<?php
echo LayoutHelper::render('common.modal',[
        'class' => 'inviteMemberModal',
	    'context'   => 'member',
	    'id'        => 'invite',
	    'title'     => Text::_('COM_JOOMCRM_MYTEAM_INVITE_NEW_MEMBER'),
	    'icon'      => 'fas fa-user-plus',
	    'body'      => LayoutHelper::render('myteam.inviteform',[]),
        'footer'    => "<button data-izimodal-close='' class='btn btn-danger btn-sm'><i class='fas fa-times'></i> ".Text::_('COM_JOOMCRM_CLOSE')."</button>
<button id='submitInviteMember' class='btn btn-primary btn-sm' type='submit'>
    <i class='fas fa-paper-plane'></i> ".Text::_('COM_JOOMCRM_MYTEAM_INVITE')."</button>"
])
?>


