<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

$input = \Joomla\CMS\Factory::getApplication()->input;

$type = $input->get('type','','word');
$id = $input->get('id','','int');


?>
<form id="note" name="note">
	<input type="hidden" name="<?php echo $type ?>_id" value="<?php echo $id ?>"/>

	<div id="note_entry_area" class="note_entry_area">
		<div class="large_info">
			<div class="message card p-3 form-group">
				<textarea class="hidden form-control m-0" id="deal_note" style="z-index:1;min-height: 100px" name="note"></textarea>
				<div class="info text-center text-muted  h-100 w-100">
					<span class="message" id="edit_note_message"><i class="far fa-hand-pointer"></i> <?php echo Text::_('COM_JOOMCRM_EDIT_NOTES_MESSAGE'); ?></span>
				</div>
			</div>
		</div>
	</div>
	<div id="note_details_area form-group"></div>
	<a class="btn btn-success btn-sm text-white mb-4" data-izimodal-close style="display:none" id="add_note_entry_button"><i class="fas fa-plus"></i> <?php echo Text::_('COM_JOOMCRM_ADD_NOTE_BUTTON'); ?></a>
</form>


