<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

namespace Joomcrm\Patterns;

defined('_JEXEC') or die();


trait Singleton
{

    private static $instance;

    public static function getInstance($params = null)
    {


        if (!isset(self::$instance) && !(self::$instance instanceof self)) {

            self::$instance = new self($params);

        }

        return self::$instance;

    }

}