// Globals
var deal_id = null;
var person_id = null;
var note_id = null;
var association_id = null;
var association_type = null;
var idExists = null;
var calEvent = null;
var e = null;
var ev = null;
var items_checked = 0;

if (typeof loc === 'undefined') {
    var loc = '';
}

jQuery(document).ready(function ($) {

    // Modals Handling , we don't use bootstrap modals
    iziModalInit();


    // minify widgets
    $('a.minify').click(function(e){

        e.preventDefault();

        var base = $(this)
        container = base.parent('div.card-header').nextAll('div');

        // toggle container
       $.when(container.slideToggle('fast')).then(function () {
           if (container.css('display') == 'none') {
               base.find('i').removeClass('fa-caret-down').addClass('fa-caret-up');
           } else {
               base.find('i').removeClass('fa-caret-up').addClass('fa-caret-down');}
      });

    });

    // copy to cliboard init
    let clipboardDemos= new ClipboardJS('[data-clipboard]');


    // Enable popovers
    $('[data-bs-toggle="popover"]').popover({
        trigger: 'click',
        animation: false,
        html : true,
        sanitize: false
    });



    $('body').on('click',function(e){

       let clicked = $(e.target);

       if(!clicked.parentsUntil('body','.popover').hasClass('popover'))
           $('[data-bs-toggle="popover"]').popover('hide')

       if(clicked.attr('data-bs-toggle') == 'popover')
           clicked.popover('show');
       else
           clicked.parentsUntil('body','[data-bs-toggle="popover"]').popover('show')


    });


    // bind popovers
    bindPopovers();
    bindTooltips();

    /* JS Event manager for pages */
    document.body.onclick = checkEvent;
    document.body.onkeyup = checkEvent;

    /** input box placeholder text */
    $("input[placeholder]").focus(function () {
        var input = $(this);
        if (input.val() == input.attr('placeholder')) {
            input.val('');
            input.removeClass('placeholder');
        }
    }).blur(function () {
            var input = $(this);
            if (input.val() == '' || input.val() == input.attr('placeholder')) {
                input.addClass('placeholder');
                input.val(input.attr('placeholder'));
            }
        }).blur();



    // Make dashboard items draggable and sortable
    $(".dash_float_list").sortable({
        revert: true,
        update: function (event, ui) {
            var leftFloats = $("#dash_floats_left").sortable("toArray").toString(),
                rightFloats = $("#dash_floats_right").sortable("toArray").toString();

            if (loc == "dashboard") {
                $.ajax({
                    type: 'POST',
                    url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=ajax.saveProfile&format=raw&tmpl=component',
                    data: {dashboard_floats_left: leftFloats, dashboard_floats_right: rightFloats},
                    dataType: 'JSON',
                    success: function (data) {

                    }
                });
            }
            if (loc == "sales_dashboard") {
                $.ajax({
                    type: 'POST',
                    url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=ajax.saveProfile&format=raw&tmpl=component',
                    data: {sales_dashboard_floats_left: leftFloats, sales_dashboard_floats_right: rightFloats},
                    dataType: 'JSON',
                    success: function (data) {

                    }
                })
            }
        },
        connectWith: '.dash_float_list',
        placeholder: "dash_float_placeholder",
        forcePlaceholderSize: true
    });

    // Make goal areas draggable and sortable
    $(".goal_float_list").sortable({
        revert: true,
        update: function (event, ui) {
            var leftFloats = jQuery("#goal_floats_left").sortable("toArray").toString();
            var rightFloats = jQuery("#goal_floats_right").sortable("toArray").toString();
            $.ajax({
                type: 'POST',
                url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=ajax.saveProfile&format=raw&tmpl=component',
                data: {goal_floats_left: leftFloats, goal_floats_right: rightFloats},
                dataType: 'JSON',
                success: function (data) {

                }
            })
        },
        connectWith: '.goal_float_list',
        placeholder: "goal_float_placeholder",
        forcePlaceholderSize: true
    });

    /* Make widgets close when clicking anywhere but on the widget */
    $('.ui-widget-overlay').on("click", function () {
        // Close the dialog
        $(".ui-dialog-content").dialog("close");
    });

    var addNoteEntryButton = $('#add_note_entry_button');

    if (addNoteEntryButton.length) {
        addNoteEntryButton.hide();
    }

    // Bind note entry
    $("#edit_note_message").on('click', function () {
        showNoteArea();
    });


    // Bind conversation entry
    $("#show_convo_area_button").on('click', function () {
        showConvoArea();
    });


    // avatar upload
    $('body').on('change','#avatarUpload',function(){

        let item_id = $(this).attr('data-item-id');
        let item_type = $(this).attr('data-item-type');

        ajaxLoadingToggle();

        let avatar_url = Joomla.getOptions('system.paths').rootFull +"index.php?option=com_joomcrm&task=ajax.uploadAvatar&format=raw&tmpl=component&item_id=" + item_id + '&item_type=' + item_type;

        //on change event
        formdata = new FormData();
        if(jQuery(this).prop('files').length > 0)
        {
            file = jQuery(this).prop('files')[0];
            formdata.append("avatar", file);
        }

        jQuery.ajax({
            url: avatar_url,
            type: "POST",
            data: formdata,
            processData: false,
            contentType: false,
            success: function (response) {

                closeEditableModal();

                response = JSON.parse(response);

                if(response.success === true){

                    jQuery("#avatar_img_" + response.itemId).attr('src', response.avatarLink);
                    modalMessage(response.successMessage);

                }else{
                    modalMessage(response.successMessage);
                }

                ajaxLoadingToggle();

            }
        });

    });


    // Bind document upload
    bindDocuments();

    /* Bind date pickers on page */
    bindDatepickers();

    /* Edit buttons for list items */
    // jQuery("#edit_button_link").live('click',function(){
    // 	showListEditModal();
    // });
    $("#edit_button_link").mousedown(function () {
        showListEditModal();
    });

    bindListEditButtons();

    /*$(".editable").live('click', function () {
        showEditableField($(this));
    });*/

    /** Convo editing functions **/
    bindConvoEditHover();

    /** Probability sliders **/
    bindProbabilitySliders();

    // Make people scrollable
    if (typeof($.fn.scrollable) != "undefined") {
    $("#person_details").scrollable({
        circular: false
    });
    }

    // bindActionsToCheckbox();
    bindActionsToCheckbox();

    // read more functionality for notes
    $('#note_entries .note').readmore({
        maxHeight: 40,
        sectionCSS: 'display: block;',
        moreLink: '<a href="#">' + Joomla.JText._('COM_JOOMCRM_READ_MORE') + '</a>',
        lessLink: '<a href="#">' + Joomla.JText._('COM_JOOMCRM_CLOSE') + '</a>'
    });

    if (loc === 'deal') {
        var progressBar = $('.progress.deal-stage .bar');
        setProgress(progressBar, progressBar.attr('data-percent'), progressBar.attr('data-color'));
    }

    /** jQuery DataTables **/
    var dataTables = $('.dataTable');

    // init jQuery dataTables
    dataTables.each(function() {
        var dataTable = $(this);
        // dtModel ... from what model should be data loaded
        var dtModel = dataTable.attr('datatable-model');
        // dtView ... from what view the user is looking at it
        var dtView = dataTable.attr('datatable-view');
        // dtView ... from what view the user is looking at it
        var dtLayout = dataTable.attr('datatable-layout');
        // dtId ... for which item should be data loaded
        var dtId = dataTable.attr('datatable-id');

        var inputFilters = dataTable.find('[datatable-filters] input');
        var selectFilters = dataTable.find('[datatable-filters] select');

        if (typeof dtLayout === 'undefined') {
            dtLayout = '';
        }

        var options = {
            'processing': true,
            'serverSide': true,
            'pageLength' : Joomla.getOptions('com_joomcrm').datatable_pagelength,
            "bLengthChange": false,
            "sDom": '<"top">rt<"bottom"ilp><"clear">',
            'ajax': Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=datatables.getdata&frommodel='+dtModel+'&toview='+dtView+'&tolayout='+dtLayout+'&id='+dtId+'&format=raw&tmpl=component'
        }

        // set dataTable columns settings
        if (typeof dataTableColumns !== 'undefined') {
            options.aoColumns = dataTableColumns;
        }

        datatable = dataTable.DataTable(options);

        if (inputFilters.length) {
            inputFilters.each(function() {
                var filter = $(this);
                filter.on('keyup', function() {
                    var value = filter.val();
                    if (value === '') {
                        value = '__clear';
                    }
                    datatable
                        .column(+filter.attr('datatable-column'))
                        .search(value)
                        .draw();
                });
            });
        }

        if (selectFilters.length) {
            selectFilters.each(function() {
                var filter = $(this);
                filter.on('change', function() {
                    var group = filter.find(':selected').closest('optgroup');
                    var value = filter.val();
                    if (value === '') {
                        value = '__clear';
                    } else if (group.length) {
                        value = value + ':' + group.attr('id');
                    }
                    datatable
                        .column(+filter.attr('datatable-column'))
                        .search(value)
                        .draw();
                });
            });
        }
    });

    initPagination();
    //connectPopoverContent();
    initToggleTeamMemberEvents();
})

// Bind actions to checkboxes on list views
function bindActionsToCheckbox(){

    jQuery("input[name='ids\\[\\]']").on('click', function () {
        showListEditActions(jQuery(this));
    });
}


// ajax loading toggler
function ajaxLoadingToggle(force_hiding = false){
    if(force_hiding){
        jQuery('.ajaxLoading').removeClass('d-block active').find('i').removeClass('fa-spin fa-3x');;
    }else{
        jQuery('.ajaxLoading').toggleClass('d-block active').find('i').toggleClass('fa-spin fa-3x');
    }
}

// remove active class from li added by bs2
function tabsFixer(){
    $ = jQuery;
    $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {

        $(this).parent().parent().find('li.active').removeClass('active');
    })
}


// modals init
function iziModalInit(){

    let $ = jQuery;

    $(".iziModal:not(.exclude)").iziModal(
        {
            onOpening: function(modal){

                // enable save button if disabled
                $('.modal-footer .saveButton').removeAttr('disabled');

                // get data remote
                remoteLink = $('#'+modal.id).attr('data-remote');


                $('#'+modal.id).addClass('modalOpened');

                // load remote link if exist
                if( remoteLink != undefined){

                    $('#'+modal.id+' div.modal-body').empty();

                    if($('#'+modal.id+' div.modal-body')[0].childElementCount == 0 && remoteLink.length > 0){

                        modal.startLoading();

                        $.get(remoteLink,function(data) {
                            $('#'+modal.id+' div.modal-body').html(data);
                            modal.stopLoading();
                        });
                    }
                }

            },
            onClosing: function(modal){
                $('#'+modal.id).removeClass('modalOpened');
            }
        }
    );
}
/*
function connectPopoverContent() {
    jQuery('[rel="popover-content-outside"]').popover({
        html : true,
        content: function() {
          return jQuery(this).parent().find('.popover-content').html();
        }
    });

 */

function initPagination() {
    var $ = jQuery;
    $('.joomcrm-ajax-pagination a').click(function(e) {
        e.preventDefault();
        var clickedLink = $(this);
        var wrapper = clickedLink.closest('.joomcrm-ajax-pagination-content');
        attachSpinner(wrapper);
        $.get(clickedLink.attr('href'), function(data) {
            wrapper.replaceWith(data);
            initPagination();
        }).fail(function() {
            wrapper.replaceWith('<span class="alert">' + Joomla.JText._('COM_JOOMCRM_ERROR_LOADING') + '</span>');
        });
    });
}

function attachSpinner(element) {
    element.html('<div class="spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div>');
}



function selectAll(source) {
    var $ = jQuery;

    if (typeof source === 'object') {
        checkboxes = [];
        var rows = $(source).parentsUntil('table').parent('table').find('tr');
        $(rows).each(function (index, element) {
            var td = $(element).find('td:first'),
                checkbox = $(td).find('input:checkbox');

            checkboxes.push(checkbox);
        });
    } else {
        checkboxes = document.getElementsByName('ids[]');
    }
    $(checkboxes).each(function () {
        $(this).attr('checked', source.checked);
    });
    showListEditActions();
}

function bindConvoEditHover() {
    var $ = jQuery;

    $("div.conversation").hover(function () {
        $(this).find('div.convo_edit_functions').show();
    }, function () {
        $(this).find('div.convo_edit_functions').hide();
    });
}


function addConvoEntry(form_id) {
    var $ = jQuery;



    // Generate data string for ajax call
    var data = {};
    if (form_id) {
        var $form = $("#" + form_id + " :input");
    } else {
        var $form = $('form[name=convo] :input');
    }
    $form.each(function () {
        data[this.name] = $(this).val();
    });

    // Determine if we are editing or adding a new conversation
    if (convoid) {
        data["id"] = convoid;
    }

    data["deal_id"] = deal_id;

    // Make ajax call
    $.ajax({

        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&model=conversation&task=main.save&format=raw&tmpl=component',
        data: data,
        dataType: 'JSON',
        success: function (data) {

            hideConvoArea();
            getNewConvoEntry(data.id);
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));

        }

    });

}

function hideConvoArea() {
    var $ = jQuery;

    // Hide convo entry area html
    $.when($("#convo_entry_area").hide())
        .then(function () {
            $("#convo_entry_area").remove();
        })
        .then(function () {
            // Show green add convo button
            $("#show_convo_area_button").show();
        })
        .then(function () {
            // Unbind add convo button
            $("#add_conversation_entry_button").unbind();
        });
}

// Show conversation entry area
function showConvoArea() {
    var $ = jQuery;

    // Hide green add convo button
    $.when($("#show_convo_area_button").hide())

        // Show convo html area
        .then(function () {
            $("#convo_message").append('<div style="display:none;" id="convo_entry_area" class="convo_entry_area"><form name="convo"><textarea name="conversation"></textarea></form></div>');
        })
        .then(function () {
            $("#convo_entry_area").show();
            $("textarea[name=conversation]").focus();
        });

    // Bind convo entry button
    $("#add_conversation_entry_button").bind('click', function () {
        addConvoEntry();
    });

    $('#convo_entry_area textarea').autogrow();

}


function bindProbabilitySliders() {
    var $ = jQuery;

    $('#probability_slider').removeAttr('slide').slider({
        step: 5,
        min: 0,
        max: 100,
        value: jQuery("#probability_input_hidden").val(),
        slide: function (event, ui) {
            $("#probability_label").html(ui.value + "%");
            $("#probability_input_hidden").val(ui.value);
        }
    });
}

function bindDatepickers() {

    //todo: this code should be replaced in the future

    let $ = jQuery;

    if (typeof userDateFormat == 'undefined') {
        userDateFormat = 'mm/dd/yy';
    }

    // for date field
    $('.date_input').datepicker({
        format: userDateFormat + 'yy', // year must have 4 chars
        startDate: "01/01/1900",
        endDate: "01/01/2999",
        autoclose: true,
        todayBtn: true,
        todayHighlight: true
    }).on('changeDate', function (ev) {
        jQuery('#'+$(this).attr('id') + '_hidden').val(ev.date.getUTCFullYear()+'-'+(ev.date.getUTCMonth() + 1)+'-'+ev.date.getUTCDate());
    });

    // for custom date field
    $('.custom_date_input').datepicker({
        format: userDateFormat + 'yy', // year must have 4 chars
        startDate: "01/01/1900",
        endDate: "01/01/2999",
        autoclose: true,
        todayBtn: true,
        todayHighlight: true
    }).on('changeDate', function(ev){

        let isEdit = parseInt($(this).data('isedit'));
        let ele    = $(this).attr('id');


        //console.log($(this).parent().find('#'+ele+'_hidden'))

        $(this).parent().find('#'+ele+'_hidden').val(ev.date.getUTCFullYear()+'-'+(ev.date.getUTCMonth() + 1)+'-'+ev.date.getUTCDate());

        if(isEdit == 1){
            $('.'+$(this).attr('id')).val($(this).val());
            $('.'+$(this).attr('id')+ '_hidden').val(ev.date.getUTCFullYear()+'-'+(ev.date.getUTCMonth() + 1)+'-'+ev.date.getUTCDate());
        }

        if(isEdit == 0) {
            saveEditableModal(ele+'_form');
        }
    });
}

function bindDocuments() {
    var $ = jQuery;

    $("#upload_input_invisible").on("change", function () {
        uploadDocument($(this));
    });
}

function bindListEditButtons() {
    var $ = jQuery,
        base = $(this),
        list_edit_button = $('.list_edit_button');

    list_edit_button.on('mouseover', function () {
        showListEditButton(base);
    });
    list_edit_button.on('mouseleave', function () {
        hideListEditButton(base);
    });
}

/**
 * bind actions button
 */
function actions() {
    var $ = jQuery,
        actions = $('#actions');

    // Fade in area
    actions.fadeToggle('fast');
    actions.css('left', $("#actions_button").position().left - 40 + "px");
    // TODO bind area to fade out when losing focus or other clicks
}

function create() {
    var $ = jQuery,
        create = $('#create');

    create.fadeToggle('fast');
    create.css('left', $("#create_button").position().left - 40 + "px");
}

// Function to store updated information to user tables
function save(form) {
    var $ = jQuery,
        valid = true;

    // Remove Default Placeholder text
    $("[placeholder]").parents("form").submit(function () {
        $(this).find("[placeholder]").each(function () {
            var input = $(this);
            if (input.val() == input.attr("placeholder")) {
                input.val("");
            }
        });
    });

    valid = validateForm($('#' + form));

    return valid;
}

// validates form, return true if valid, false if invalid. Highlites invalid fields
function validateForm(form) {
	var $ = jQuery;
	var valid = true;
	form.find('input, select, textarea').each(function () {

        if ($(this).attr('placeholder') === $(this).val()) {
            $(this).val('');
        }
        if ($(this).hasClass('required') && $(this).val().length !== 0) {
            if ($(this).hasClass('required_highlight')) {
                $(this).removeClass('required_highlight');
            }
        }
        if ($(this).hasClass('required') && $(this).val().length === 0) {
            $(this).addClass('required_highlight');
            $(this).focus();

            valid = false;
        }

        if (($(this).attr('data-minlength') > $(this).val()) && $(this).val() != "") {
            $(this).addClass('required_highlight');
            $(this).focus();

            valid = false;
        }
    });

    form.find('ul.checklist.required').each(function () {
        var checkList = $(this);
        var checkInputs = checkList.find('input');
        var checked = 0;
        checkInputs.each(function () {
        	if ($(this).is(':checked')) {
        		checked++;
        	}
        });
        if (checked) {
        	checkList.removeClass('required_highlight');
        } else {
        	checkList.addClass('required_highlight');
        	valid = false;
        }
    });
    return valid;
}

// Function to store ajax data with models
function saveAjax(loc, model, value) {

    var $ = jQuery,
        form = loc + '_form',
        formElement = $('#' + form),
        parts = loc.split('_'),
        updatedValue = parts[1],
        field = loc + '_link',
        validateForm = formElement.hasClass('validate'),
        validated = true;

    if (validateForm) {
        validated = save(formElement);
    }

    if (validated) {
        // Determine if we are creating a new entry or saving to the tables
        if (!idExists) {
            // Determine redirect
            if (window.loc == 'company') {
                if (model == 'deal') {
                    window.location = Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&view=deals&layout=edit&company_id=' + company_id;
                }
                if (model == 'people') {
                    window.location = Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&view=people&layout=edit&company_id=' + company_id;
                }
            }
        }

        // Generate data OBJECT for ajax call
        var dataObj = {},
            formInputs = formElement.find(':input'),
            id = null,
            parent_id = null,
            val = '',
            update_future_events = null;

        formInputs.each(function () {
            var base = $(this);

            if (this.type != "button") {
                val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( base.is(':checked') ) ? 1 : 0 ) : base.val();
                dataObj[this.name] = val;
                // Get entry id
                if (this.name == 'id') {
                    id = base.val();
                }
                if (this.name == 'parent_id') {
                    parent_id = base.val();
                }
                if (this.name == "update_future_events") {
                    update_future_events = base.is(':checked');
                }
            }
        });

        // Determine if we are editing an existing entry or adding a new one
        if (window.loc == "company") {
            dataObj["loc"] = "company";
            dataObj["company_id"] = company_id;
            if (model == 'deal') {
                dataObj["id"] = deal_id;
            }
            if (model == 'people') {
                dataObj["id"] = person_id;
            }
        }

        // Determine if we need to filter our results for pages
        if (window.loc == 'calendar') {
            dataObj["calendar_filter"] = 1;
        }

        if (window.loc == "person") {
            dataObj["loc"] = "person";
            dataObj["person_id"] = person_id;
            if (model == "people") {
                dataObj["id"] = person_id;
            }
        }

        if (window.loc == "deal") {
            dataObj["loc"] = "deal";
            dataObj["deal_id"] = deal_id;
        }


        if (idExists) {
            if (association_id) {
                dataObj["association_id"] = association_id;
                dataObj["association_type"] = association_type;
            }
        }

        if (value) {
            dataObj[updatedValue] = value;
        }

        $('.modal-footer #JoomcrmAjaxModalSaveButton').attr('disabled','disabled');

        // Make ajax call
        $.ajax({
            type: "POST",
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&model=' + model + '&task=main.save&format=raw&tmpl=component',
            data: dataObj,
            dataType: 'json',
            success: function (data) {

                // display message error if fails
                if(data.error){

                    jQuery("#JoomcrmAjaxModal,#doc_info_modal").iziModal('close');
                    $('.modal-footer #JoomcrmAjaxModalSaveButton').removeAttr('disabled');
                    modalMessage(Joomla.JText._('COM_JOOMCRM_FAILURE', 'Error'), data.msg);

                    return false;

                }


                if (model == "event" && window.loc == "deals"){
                    $('span.dealEvent'+data.id).text(data.name);
                }


                if (model == "event" && ( window.loc == "dashboard" || window.loc == "deal" || window.loc == "person" || window.loc == "company" )) {



                    updateEvents();
                }

                if (model == 'event' && window.loc == "events") {
                    updateEvents();
                }

                if (model == "deal" && window.loc == "company") {
                    updateDeals();
                }

                if (model == "people" && window.loc == "company") {
                    updatePeople();
                }

                if (model == "event" && window.loc == "dashboard") {
                    updateLatestActivites();
                }

                if (model == "document") {
                    updateDocument(data);
                }

                // Update the calendar page
                if (model == "event" && window.loc == "calendar") {
                    var calendar = $('#calendar'),
                        dataSrc = [];

                    data.update_future_events = ( update_future_events == null ) ? true : update_future_events;
                    if (id || parent_id) {

                        // Reset calendar title if changed
                        calEvent.title = data.title;
                        calEvent.start = data.start;
                        calEvent.end = data.repeat_end;

                        if (id != data.id || parent_id != data.id) {
                            dataSrc.push(data);
                            calendar.fullCalendar('removeEvents', calEvent);
                            calendar.fullCalendar('addEventSource', dataSrc);
                            toggleTeamMembersItems();
                        } else {
                            // Display new results on calendar
                            calendar.fullCalendar('updateEvent', calEvent);
                        }

                    } else {
                        // Update calendar with new information
                        dataSrc.push(data);
                        calendar.fullCalendar('addEventSource', dataSrc);
                    }

                }

                if (field) {
                    var base = $('#' + field);

                    if (field.length > 0) {
                        base.fadeOut('fast', function () {
                            base.html(data[updatedValue]);
                            base.fadeIn("fast");

                            // Hide Div
                            $("#" + field.replace('_link', '')).hide();

                        });
                    }

                }

                jQuery("#JoomcrmAjaxModal,#doc_info_modal").iziModal('close');
                $('.modal-footer #JoomcrmAjaxModalSaveButton').removeAttr('disabled');
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), capitalize(updatedValue) + ' ' + Joomla.JText._('COM_JOOMCRM_UPDATED', 'updated'));
            }
        });
    }

}

function updateDeals() {
    var $ = jQuery;



    if (loc == "company") {
        var dataString = "company_id=" + company_id;
    }
    if (loc == "person") {
        var dataString = "person_id=" + person_id;
    }

    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=deals&layout=deal_dock_list&tmpl=component&format=raw&tmpl=component',
        type: 'POST',
        data: dataString,
        dataType: 'HTML',
        success: function (data) {
            if (loc == "deals") {
                $("#deals").html(data);
            } else {
                $("#deal_dock_list").html(data);
            }
        }
    });

}

function updatePeople() {
    var $ = jQuery;



    if (loc == "company") {
        var dataString = "company_id=" + company_id;
    }

    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=people&layout=people_dock_list&tmpl=component&format=raw&tmpl=component',
        type: 'POST',
        data: dataString,
        dataType: 'HTML',
        success: function (data) {
            $('#people_list').html(data);
        }
    });


}

function updateContacts() {
    var $ = jQuery;



    if (loc == "deal") {
        var dataString = "deal_id=" + deal_id;
    }

    dataString += "&loc=" + loc;

    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=contacts&layout=default&tmpl=component&format=raw',
        type: 'POST',
        data: dataString,
        dataType: 'HTML',
        success: function (data) {
            $('#contacts_container').replaceWith(data);
        }
    });

}

function addPersonToCompany() {
    var $ = jQuery;



    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=main.addPersonToCompany&format=raw&tmpl=component',
        type: 'POST',
        data: "company_id=" + company_id + "&person_id=" + person_id + "&person_name=" + $("input[name=person_name]").val(),
        dataType: 'JSON',
        success: function (data) {
            if (data.success == true) {
                updatePeople();
            }
        }
    });
}

function addDealTo(type) {
    var $ = jQuery;

    if (!type)
    {
        type = loc;
    }



    var dealNameField = $('input[name="deal_name"]');
    var dataRequest = "type=" + type + "&id=" + id + "&deal_id=" + deal_id + "&deal_name=" + dealNameField.val();


    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=main.addDeal&format=raw&tmpl=component',
        type: 'POST',
        data: dataRequest,
        dataType: 'JSON',
        success: function (data) {
            if (data.success === true) {
                updateDeals();
                dealNameField.val('');
                jQuery(".iziModal").iziModal('close');
            }
        }
    });
}

function addPersonToDeal() {
    var $ = jQuery;



    var name = $("#add_person_name").val();

    if (name.replace(/\s/g, '').length > 0) {

        $.ajax({
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.addPersonToDeal&format=raw&tmpl=component',
            type: 'POST',
            data: {person_id: person_id, name: name, deal_id: deal_id},
            dataType: 'JSON',
            success: function (data) {
                if (data.success == true) {
                    jQuery("#ajax_search_person_dialog").iziModal('close');
                    updateContacts();

                }
            }
        });

    }

}

// Function to store ajax data with cf tables
function saveCf(table) {
    var $ = jQuery;



    // Redirect to new url containing information to prefill the next page
    if (idExists) {
        // Generate dataString
        if (table == 'people') {
            if (loc == 'person' || loc == 'deal') {
                var dataString = "person_id=" + person_id + "&table=" + table + "&association_id=" + deal_id + "&association_type=deal&loc=" + loc;
            }
        }
        if (table == "people_cf") {
            if (loc == 'person' || loc == 'deal') {
                var dataString = "person_id=" + person_id + "&table=" + table + "&association_id=" + deal_id + "&association_type=deal&loc=" + loc;
            }
        }

        // Make ajax call
        $.ajax({
            type: "POST",
            url: Joomla.getOptions('system.paths').rootFull +'index.php?option=com_joomcrm&task=main.saveCf&format=raw&tmpl=component',
            data: dataString,
            dataType: 'json',
            success: function (data) {

                if (table == 'people' && !data.error) {

                    if (loc == 'deal') {
                        updatePeople();
                        updateContacts();
                    }

                    if (loc == 'person') {
                        updateDeals();
                    }
                }
                $('.modal').iziModal('close');
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));
            }
        });
    } else {
        // Determine redirect
        if (table == 'people') {
            if (loc == 'deal') {
                window.location = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=people&layout=edit&deal_id=' + deal_id;
            }
            if (loc == 'person') {
                window.location = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=deals&layout=edit&person_id=' + person_id;
            }
        }
    }

}

// Display modal message
function modalMessage(heading, message, autoclose) {
    var $ = jQuery,
        messageType = 'info';

    switch (heading) {

        case Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'):
            messageType = 'success';
            break;
        case Joomla.JText._('COM_JOOMCRM_ERROR', 'Error'):
            messageType = 'danger';
            break;
    }

    const toast = `
<div id="joomcrmAlertMessage" class="toast fixed-top top-0 end-0 align-items-center text-white bg-${messageType} border-0" style="left: inherit" role="alert" aria-live="assertive" aria-atomic="true">
  <div class="d-flex">
    <div class="toast-body">
      <i class="fas fa-exclamation-triangle"></i> ${message}
    </div>
    <button type="button" class="btn-close btn-close-white me-2 m-auto" data-bs-dismiss="toast" aria-label="Close"></button>
  </div>
</div>
`;

    $('body').append(toast);

    let myAlert = document.querySelector('#joomcrmAlertMessage');

    let joomcrmAlert = bootstrap.Toast.getOrCreateInstance(myAlert,{delay: 2500});

    myAlert.addEventListener('hidden.bs.toast', function () {
        myAlert.remove();
    })

    joomcrmAlert.show();

}

// Add persons to categories from all pages
function addPerson(urlString, e) {
    var $ = jQuery;


    let JoomcrmAddPerson = jQuery('#ajax_search_person_dialog').iziModal();
    JoomcrmAddPerson.iziModal('open');

    $.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getPeople&format=raw&tmpl=component',
        dataType: 'json',
        success: function (data) {
            var person_name = $('input[name=person_name]');

            // Generate names object from received data
            var names = [],
                namesInfo = [];

            $.each(data, function (index, person) {
                // Gen name string for search
                var name = '';
                name += person.first_name + " " + person.last_name;
                // Gen associative object for id reference
                var infoObj = {};
                infoObj = { name: name, id: person.id };
                // Push info to objects
                namesInfo[name] = infoObj;
                names.push(name);
            });
            // Assign autocomplete to element
            person_name.autocomplete({
                source: names,
                select: function (event, ui) {
                    idExists = true;
                    person_id = namesInfo[ui.item.value].id;
                },
                search: function () {
                    idExists = false;
                    person_id = null;
                }
            });
            person_name.bind('keyup', function () {
                idExists = false;
                person_id = null;
            });

        }
    });
    // Determine whether or not the person exists so we can assign to correct id or redirect to new person entry page
    idExists = false;
}

// Add deals to categories from all pages
function addDeal(urlString) {
    var $ = jQuery;


    // open modal
    let JoomcrmAddDealTo = jQuery('#ajax_search_deal_dialog').iziModal();
    JoomcrmAddDealTo.iziModal('open');

    $.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getDeals&format=raw&tmpl=component',
        dataType: 'json',
        success: function (data) {

            // Generate deals object from received data
            var deals = [];
            var dealsInfo = [];
            $.each(data, function (index, deal) {
                // Gen name string for search
                var name = deal.name;
                // Gen associative object for id reference
                var infoObj = {};
                infoObj = { name: name, id: deal.id };
                // Push info to objects
                dealsInfo[name] = infoObj;
                deals.push(name);
            });

            // Assign autocomplete to element
            $('input[name=deal_name]').autocomplete({
                source: deals,
                select: function (event, ui) {
                    idExists = true;
                    deal_id = dealsInfo[ui.item.value].id;
                },
                search: function () {
                    idExists = false;
                }
            });

        }
    });
    // Determine whether or not the person exists so we can assign to correct id or redirect to new person entry page
    idExists = false;
}

// Show note entry area
function showNoteArea(associationType, associationId) {
    var $ = jQuery,
        dataString = '',
        select_html,
        person_html,
        deal_note = $('#deal_note'),
        addNoteEntryButton = $('#add_note_entry_button');



    if (typeof id !== 'undefined' && (loc !== 'deal' && loc !== 'person' && loc !== 'company')) {
        dataString += "&association=" + loc + "&association_id=" + id;
    }
    if (associationType != null) {
        dataString += "&association=" + associationType + "&association_id=" + associationid;
    }

    // Make ajax call to populate dropdowns depending on location of page
    $.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getNoteDropdowns&format=raw&tmpl=component',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {

            // Gen deal dropdowns
            if (loc == 'person') {
                select_html = "<input type='hidden' name='deal_id' id='deal_id_hidden' /><input name='deal_id_input' id='deal_id' placeholder='" + Joomla.JText._('COM_JOOMCRM_START_TYPING_DEAL') + "' type='text' />";
            }

            // Gen people dropdowns
            if (loc == 'deal') {
                person_html = "<input type='hidden' name='person_id' id='person_id_hidden' /><input name='person_id_input' id='person_id' placeholder='" + Joomla.JText._('COM_JOOMCRM_START_TYPING_PERSON') + "' type='text' />";
            }

            if (loc == 'company') {
                select_html = "<input type='hidden' name='deal_id' id='deal_id_hidden' /><input name='deal_id_input' id='deal_id' placeholder='" + Joomla.JText._('COM_JOOMCRM_START_TYPING_DEAL') + "' type='text' />";
                person_html = "<input type='hidden' name='person_id' id='person_id_hidden' /><input name='person_id_input' id='person_id' placeholder='" + Joomla.JText._('COM_JOOMCRM_START_TYPING_PERSON') + "' type='text' />";
            }

            // Gen category dropdowns
            var cat_html = '<select class="form-control" name="category_id">';
            $.each(data.categories, function (index, category) {
                cat_html += '<option value="' + category.id + '">' + category.name + '</option>';
            });
            cat_html += '</select>';

            // Generate html for note entry area
            var html = '<div class="note_dropdowns">';

            if (undefined != person_html) {
                html += '<div class="note_dropdown_person">' + person_html + '</div>';
            }

            if (undefined != select_html) {
                html += '<div class="note_dropdown_deal">' + select_html + '</div>';
            }
            if (undefined != cat_html) {
                html += '<div class="note_dropdown_cat">' + cat_html + '</div>';
            }
            html += '</div>';

            // Hide add note button
            $.when($("#edit_note_message").hide())

                // Show convo html area
                .then(function () {
                    deal_note.removeClass('hidden');
                    deal_note.show();
                    $("#note_details_area").append(html);
                })
                .then(function () {
                    $("#note_details_area").show();
                    $('#add_note_entry_button').show();
                    $('select').each(function () {});
                    deal_note.focus();
                });


            // Bind convo entry button
            addNoteEntryButton.click(function(e){

                e.preventDefault();
                addNoteEntry();
            });

            var deals = [];
            $.each(data.deals, function (index, deal) {
                deals.push({ label: deal.name, value: deal.id });
            });

            var people = [];
            $.each(data.people, function (index, person) {
                people.push({ label: person.first_name + " " + person.last_name, value: person.id });
            });

            // Autocompletion
            $("#deal_id").autocomplete({
                source: function (request, response) {
                    var results = jQuery.ui.autocomplete.filter(deals, request.term);
                    response(results.slice(0, 10));
                },
                select: function (event, ui) {
                    jQuery("#deal_id").val(ui.item.label);
                    jQuery("#deal_id_hidden").val(ui.item.value);
                    return false;
                },
                search: function () {

                },
                open: function () {
                    jQuery(this).autocomplete('widget').css('z-index', 3000);
                    return false;
                }
            });

            $("#person_id").autocomplete({
                source: function (request, response) {
                    var results = jQuery.ui.autocomplete.filter(people, request.term);
                    response(results.slice(0, 10));
                },
                select: function (event, ui) {
                    jQuery("#person_id").val(ui.item.label);
                    jQuery("#person_id_hidden").val(ui.item.value);
                    return false;
                },
                search: function () {

                },
                open: function () {
                    jQuery(this).autocomplete('widget').css('z-index', 3000);
                    return false;
                }
            });

        }

    });

    deal_note.autogrow();
}

// Add note Entries
function addNoteEntry(ele) {
    var $ = jQuery,
        data = {},
        form;



    // Generate data string for ajax call
    if (!ele) {
        form = $('#note').find(':input');
    } else {
        form = $('#' + ele).find(':input');
    }

    form.each(function () {
        var base = $(this);
        data[this.name] = this.type == "text" ? base.text() : base.val();
    });

    // Determine if we are editing an existing entry or adding a new one
    if (note_id != null) {
        data["id"] = note_id;
    }
    // Determine which page we are adding a note from
    if (loc == "company" && !("company_id" in data)) {
        data["company_id"] = company_id;
    }
    if (loc == "deal" && !("deal_id" in data)) {
        data["deal_id"] = deal_id;
    }
    if (loc == "person" && !("person_id" in data)) {
        data["person_id"] = person_id;
    }

    data["model"] = "note";

    // Make ajax call
    $.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&model=note&task=main.save&format=raw&tmpl=component',
        data: data,
        dataType: 'json',
        success: function (data) {
            // Determine if we are editing or adding a new conversation
            if (!note_id) {
                // Add note html to notes list
                getNewNoteEntry(data.id);

                // Reset note id
                note_id = null;
            } else {
                // Update existing note
                getNewNoteEntry(note_id);
            }

            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));
            // $("#add_note_entry_button").unbind(); // Jan: why?

            $('#deal_note').val('').autogrow();
            $('input#deal_id').val('');
            $('.note_dropdown_cat select').val('0');
        }
    });


}

function getNewNoteEntry(note_id) {
    var $ = jQuery;



    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.getNoteEntry&format=raw&tmpl=component',
        data: 'note_id=' + note_id,
        dataType: 'HTML',
        success: function (data) {
            var entry = $('#note_entry_' + note_id);

            if (entry.length) {
                $('#editNoteModal'+note_id+' .iziModal-button-close').click();
                entry.replaceWith(data);
            } else {
                $("#note_entries").prepend(data);
            }
        }
    });
}

function getNewConvoEntry(convo_id) {
    var $ = jQuery;



    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.getConvoEntry&format=raw&tmpl=component',
        data: 'convo_id=' + convo_id,
        dataType: 'HTML',
        success: function (data) {
            var convo_entry = $('#convo_entry_' + convo_id);

            if (convo_entry.length) {
                $('#editNoteModal'+convo_id+' .iziModal-button-close').click();
                convo_entry.replaceWith(data);
            } else {
                $("#conversation_entries").prepend(data);
            }
            bindConvoEditHover();
        }
    });
}

function trashNoteEntry(note_id) {
    var $ = jQuery;



    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.trash&tmpl=component&format=raw',
        type: 'POST',
        data: 'item_type=notes&item_id=' + note_id,
        dataType: 'json',
        success: function (data) {
            if (data.success) {
                $("[data-note-id=" + note_id + ']').remove();
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'));
            }
        }
    });
}

function hideNoteArea() {
    var $ = jQuery,
        deal_note = $('#deal_note'),
        details_area = $('#note_details_area');

    // Hide convo entry area html
    deal_note.addClass('hidden');
    $.when(details_area.hide())
        .then(function () {
            details_area.empty();
            deal_note.hide();
            deal_note.val('');
        })
        .then(function () {
            // Show green add convo button
            $("#edit_note_message").show();
        })
        .then(function () {
            // Unbind add convo button
            $("#show_note_entry_button").unbind();
        });
}

// Edit events
function editEvent(id,type,event){

    var parentString = "";
    if ( event != null ){
        parentString = '&parent_id='+event.parent_id;
    }else{
        event = null;
    }

    jQuery("#JoomcrmAjaxModalSaveButton").show();

    var dataString = "";

    if ( typeof loc != "undefined" && loc != 'calendar' && loc != "dashboard" ){
        dataString += "&association_type="+loc;
        switch ( loc ){
            case "company":
                dataString += "&association_id="+company_id;
            break;
            case "deal":
                dataString += "&association_id="+deal_id;
            break;
            case "person":
                dataString += "&association_id="+person_id;
            break;
        }
    }

    jQuery.ajax({
        type    :   'POST',
        url     : Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=events&layout=edit_' + type + '&id=' + id + '&tmpl=component&format=raw' + parentString,
        data    :   dataString,
        success :   function(data){

            jQuery("#JoomcrmAjaxModalBody").html(data);
            jQuery("#JoomcrmAjaxModalSaveButton").attr("onclick","saveAjax('edit_"+type+"','event')");

            var due_input = jQuery("input[name=due_date_input]").val();
            var start_input = jQuery("input[name=start_time_input]").val();
            var end_input = jQuery("input[name=end_time_input]").val();
            var end_date = jQuery("input[name=end_date_input]").val();

            jQuery("input[name=update_future_events]").bind('click',function(){
                if ( !jQuery(this).is(":checked") ){
                    var mysql_format = "yyyy-MM-dd hh:mm:ss";
                    switch ( event.type ){
                        case "task":
                            var input = jQuery.datepicker.formatDate(userDateFormat, event._start);
                            jQuery("input[name=due_date_input]").val(input);
                        break;
                        case "event":
                            var input = jQuery.datepicker.formatDate(userDateFormat, event._start);
                            jQuery("input[name=start_time_input]").val(input);
                            jQuery("input[name=end_time_input]").val(input);
                        break;
                    }
                }else{
                    switch ( event.type ){
                        case "task":
                            jQuery("input[name=due_date_input]").val(due_input);
                        break;
                        case "event":
                            jQuery("input[name=start_time_input]").val(start_input);
                            jQuery("input[name=end_time_input]").val(end_input);
                        break;
                    }
                }
            });

            jQuery("input[name=end_date_input]").val(end_date);

            if ( type == 'task' ) {

                 jQuery('span.due_date').bind('click',function(){

                    // Hide span message
                    jQuery.when(jQuery("span.due_date").hide())
                    // Show input fields
                    .then(function(){jQuery('#due_date').show();});

                 });

            }

            jQuery('span.end_date').bind('click',function(){
                // Hide span message
                jQuery.when(jQuery("span.end_date").hide())
                // Show input fields
                .then(function(){jQuery('#end_date').show();});
             });

            bindDatepickers();

            jQuery('#repeat_end_input').datepicker()
                .on('changeDate', function(ev){
                    jQuery('#repeat_end_input_hidden').val(ev.date.getUTCFullYear()+'-'+(ev.date.getUTCMonth() + 1)+'-'+ev.date.getUTCDate());
                });

            // Prefill our dates

            var start_time = null;
            var end_time = null;
            var due_date = null;

            if ( loc == "calendar" ){

                    if ( typeof event.due_date === "object" ){
                        var due_date = jQuery.datepicker.formatDate(userDateFormat, event.due_date);
                    }else{
                        var due_date = event.due_date;
                    }

                    if ( typeof event.end_date === "object" ){
                        var end_date = jQuery.datepicker.formatDate(userDateFormat, event.end_date);
                    }else{
                        var end_date = event.end_date;
                    }



                    if ( typeof event.start_time === "object" ){
                        var year = event.start.getFullYear();
                        var month = event.start.getMonth()+1;
                        var day = event.start.getDate();
                        var hour = event.start.getHours();
                        var minute = event.start.getMinutes();
                        var seconds = "00";

                        month = ( month > 9 ) ? month : "0"+month;
                        day = ( day > 9 ) ? day : "0"+day;
                        hour = ( hour > 9 ) ? hour : "0"+hour;
                        minute = ( minute > 9 ) ? minute : "0"+minute;

                        var start_time = year+"-"+month+"-"+day+" "+hour+":"+minute+":"+seconds;
                    }else{
                        var start_time = event.start_time;
                    }

                    if ( typeof event.end_time === "object" ){
                        if ( event.end == null ) event.end = event.start;
                        var year = event.end.getFullYear();
                        var month = event.end.getMonth()+1;
                        var day = event.end.getDate();
                        var hour = event.end.getHours();
                        var minute = event.end.getMinutes();
                        var seconds = "00";

                        month = ( month > 9 ) ? month : "0"+month;
                        day = ( day > 9 ) ? day : "0"+day;
                        hour = ( hour > 9 ) ? hour : "0"+hour;
                        minute = ( minute > 9 ) ? minute : "0"+minute;

                        var end_time = year+"-"+month+"-"+day+" "+hour+":"+minute+":"+seconds;
                    }else{
                        var end_time = event.end_time;
                    }


                    jQuery("input[name=start_time]").val(start_time);
                    jQuery("input[name=end_time]").val(end_time);
                    jQuery("input[name=due_date]").val(due_date);
                    jQuery("input[name=end_date]").val(end_date);

                }

                // Open dialog
               // jQuery('#edit_'+type).dialog('open');

                // Assign autocomplete and ajax search functionalities to input fields
                    // Bind association input area
                jQuery("span.associate_to").bind('click',function(){

                    // Get innerheight for smooth page transitions
                    // var height = jQuery("#associate_to_container").innerHeight();
                    // Set height
                    // jQuery("#associate_to_container").height(height-1);

                    jQuery.when(jQuery("span.associate_to").hide())
                    // Show input fields
                    .then(function(){
                        jQuery('#associate_to').show();
                        jQuery('#associate_to').focus();
                    });

                });


            // Assign autocomplete and ajax search functionalities to input fields
                    jQuery.ajax({
                        type    :   'POST',
                        url     : Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getTaskAssociations&format=raw&tmpl=component',
                        dataType:   'json',
                        success :   function(data){

                                // Generate names object from received data
                                var names = new Array();
                                var namesInfo = new Array();
                                jQuery.each(data,function(index,entry){
                                    // Gen name string for search
                                    if ( entry.type == "person" ) {
                                        var name  = '';
                                            name += entry.first_name + " " + entry.last_name;
                                    } else {
                                        name = entry.name;
                                    }
                                    // Gen associative object for id reference
                                    var infoObj = new Object();
                                    infoObj = { name : name, id : entry.id, type : entry.type};
                                    // Push info to objects
                                    namesInfo[name] = infoObj;
                                    names.push( name );
                                });
                                // Assign autocomplete to element
                                jQuery('input[name=associate_name]').autocomplete({
                                    source:names,
                                    select:function(event,ui){
                                        idExists = true;
                                        association_id = namesInfo[ui.item.value].id;
                                        association_type = namesInfo[ui.item.value].type;
                                    },
                                    search:function(){
                                        idExists = false;
                                    }
                                });

                        }
                    });
        }
    });

    // open modal
    let JoomcrmAjaxModal = jQuery('#JoomcrmAjaxModal').iziModal({
        title: Joomla.JText._('COM_JOOMCRM_UPDATE') + " " + type.charAt(0).toUpperCase() + type.slice(1)
    });
    JoomcrmAjaxModal.iziModal('open');

}

// Close dialogs
function closeDialog(type) {
    var $ = jQuery;

    $.fx.speeds._default = 1000;
    $("#ajax_search_" + type + "_dialog").dialog('close');
}

// Listen to JS events
function checkEvent(eve) {
    var $ = jQuery,
        ev = eve || window.event,
        obj = ev.target || ev.srcElement,
        e = $(obj),
        current_area = e.attr('id'),
        current_area_div = e
        edit_menu = $('#edit_menu');
        // doc_edit_menu = $('div.document_edit_menu');

    if (typeof (e.getAttribute) == "undefined") {
        return;
    }

    // Here we hide filter dropdowns if user clicks out of the area
    if (!e.parent('span').hasClass('parent') && !e.parentsUntil('span').parent('span').hasClass('parent') && e.parent('a').attr('id') != current_area && e.attr('id') != current_area && current_area != null && current_area_div.is(":visible") && e.attr('id') != 'column_filter') {
        if (current_area_div.hasClass('editable')) {
            current_area_div.children('div.editable_info').fadeOut('fast');
            current_area = null;
        } else {
            hideDropdown(current_area);
        }
    }

    if (current_area != null && e.parentsUntil('div.filters').parent('div.filters').attr('id') != current_area && e.parentsUntil('.parent').parent('.parent').length == 0) {
        hideDropdown(current_area);
    }

    // Edit menu
    if (edit_menu.is(":visible") && e.attr('id') != null) {
        edit_menu.fadeOut("fast");
    }

    // Create buttons
    if ($("#create").is(":visible") && e.attr('id') != 'create_button') {
        create();
    }
    if (e.attr('id') == 'create_button') {
        create();
    }

    // Here we add in functionality for 'actions' on pages
    if ($("#actions").is(":visible") && e.attr('id') != 'actions_button') {
        actions();
    }
    if (e.attr('id') == 'actions_button') {
        actions();
    }

/*
    // Document edit buttons
    if (e.hasClass('document_edit')) {
        if (doc_edit_menu.is(':visible'))
        {
            doc_edit_menu.fadeOut("fast");
        }

        documentEdit();
    }
    if (doc_edit_menu.is(':visible') && e.attr('class') != 'document_edit') {
        doc_edit_menu.fadeOut('fast');
    }
*/

    if (e.parentsUntil('form#note').parent("form#note").length != 1 && e.parent("form#note").length != 1 && !e.parentsUntil('ul').parent('ul').hasClass('ui-autocomplete')) {
        hideNoteArea();
    }

    if (e.parentsUntil('form[name=convo]').parent("form[name=convo]").length != 1 && e.parent("form[name=convo]").length != 1) {
        hideConvoArea();
    }

}






// Close a task event modal dialog
// function closeNoteModal(type) {
//     var $ = jQuery;

//     $.fx.speeds._default = 1000;
//     $("#note_modal").dialog('close');
// }

/** get Events **/
function updateEvents() {



    var dataString = "";

    if (typeof layout !== 'undefined' && ( layout == 'default' || layout == 'list' )) {
        var list_layout = "list";
        var container = "events";
        dataString = "";
    } else {
        var list_layout = "event_listings";
        var container = "task_list";
        if (typeof loc != "undefined" && loc != 'calendar' && loc != "dashboard") {
            dataString += "&association_type=" + loc;
            switch (loc) {
                case "company":
                    dataString += "&association_id=" + company_id;
                    break;
                case "deal":
                    dataString += "&association_id=" + deal_id;
                    break;
                case "person":
                    dataString += "&association_id=" + person_id;
                    break;
            }
        }
    }

    // Make ajax call
    jQuery.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=events&layout=' + list_layout + '&format=raw&tmpl=component',
        data: dataString+'&id=0',
        dataType: 'html',
        success: function (data) {

            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_EVENTS_SUCCESSFULLY_UPDATED'));
            jQuery("#" + container).html(data);
            
            // bind actions to checkbox, for list view
            bindActionsToCheckbox();
        }});
}

/** Mark events complete **/
function markEventComplete(element) {



    var dataString = "";
    var form = jQuery(element).parentsUntil('.joomcrm_form_wrapper').parent().find('input');
    jQuery(form).each(function () {
        if (this.type != "button") {
            var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( jQuery(this).is(':checked') ) ? 1 : 0 ) : jQuery(this).val();
            dataString += "&" + this.name + "=" + val;
        }
    });

    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=events.markComplete&format=raw&tmpl=component',
        type: 'post',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {
            if (typeof loc != 'undefined') {
                updateEvents();
            } else {
                jQuery(element).parent().prev().addClass('line-through');
            }
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_EVENT_MARKED_COMPLETE'));
        }
    });
}

/** Mark events incomplete **/
function markEventIncomplete(element) {



    var dataString = "";
    var form = jQuery(element).parentsUntil('.joomcrm_form_wrapper').parent().find('input');
    jQuery(form).each(function () {
        if (this.type != "button") {
            var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( jQuery(this).is(':checked') ) ? 1 : 0 ) : jQuery(this).val();
            dataString += "&" + this.name + "=" + val;
        }
    });

    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=events.markIncomplete&format=raw&tmpl=component',
        type: 'post',
        data: dataString,
        dataType: 'json',
        success: function (data) {
            if (typeof loc != 'undefined') {
                updateEvents();
            } else {
                jQuery("#" + jQuery(element).parentsUntil('div').parent('div').attr('id') + "_link").removeClass('line-through');
            }
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_EVENT_MARKED_INCOMPLETE'));
        }
    });
}


/** Postpone events **/
function postponeEvent(element, days) {



    var dataString = "";
    var form = jQuery(element).parentsUntil('.joomcrm_form_wrapper').parent().find('input');
    jQuery(form).each(function () {
        if (this.type != "button") {
            var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( jQuery(this).is(':checked') ) ? 1 : 0 ) : jQuery(this).val();
            dataString += "&" + this.name + "=" + val;
        }
    });

    dataString += "&days=" + days;


    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=events.postponeEvent&format=raw&tmpl=component',
        type: 'post',
        data: dataString,
        dataType: 'json',
        success: function (data) {
            updateEvents();
            updateLatestActivites();
            var msg = Joomla.JText._('COM_JOOMCRM_EVENT_HAS_BEEN_POSTPONED')+ ' ' + days + " ";
            if (days == 1) {
            	msg += Joomla.JText._('COM_JOOMCRM_DAY');
            } else {
            	msg += Joomla.JText._('COM_JOOMCRM_DAYS');
            }
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), msg);
        }
    });

}

// Delete events
function deleteEvent(element) {



    var event_id = "";
    var dataString = "";
    var form = jQuery(element).parentsUntil('.joomcrm_form_wrapper').parent().find('input');
    jQuery(form).each(function () {
        if (this.type != "button") {
            var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( jQuery(this).is(':checked') ) ? 1 : 0 ) : jQuery(this).val();
            dataString += "&" + this.name + "=" + val;
        }

        if (this.name == "event_id") {
            event_id = this.value;
        }
    });

    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull + "index.php?option=com_joomcrm&task=events.remove&tmpl=component&format=raw",
        type: "post",
        data: dataString,
        dataType: 'json',
        success: function (data) {
            jQuery('#com_joomcrm_listing_' + event_id + ', #list_row_' + event_id).fadeOut('fast', function () {
                jQuery('#com_joomcrm_listing_' + event_id).remove();
            });
            // var menu = jQuery(element).parentsUntil('div').parent('div');
            // jQuery(menu).fadeOut('fast',function(){
            // 	jQuery(menu).remove();
            // });
            updateLatestActivites();
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_SUCCESSFULLY_REMOVED_EVENT'));
        }
    });

}

// open task modal
function addTaskEvent(type){
    var $ = jQuery,
        dataString = '';

    // Reset globals
    association_id = null;
    association_type = null;
    idExists = false;

    if (typeof loc !== "undefined" && loc != 'calendar' && loc != "dashboard") {
        dataString += "&association_type="+loc;
        switch (loc){
            case "company":
                dataString += "&association_id="+company_id;
            break;
            case "deal":
                dataString += "&association_id="+deal_id;
            break;
            case "person":
                dataString += "&association_id="+person_id;
            break;
        }
    }

    $.ajax({
        async   : true,
        type    :   'POST',
        url     :   Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=events&layout=edit_'+type+'&tmpl=component&format=raw&id=0',
        data    :   dataString,
        success :   function(data) {

            // Clear past html
            $("#edit_task").empty();
            $("#edit_event").empty();

            // Assign new html
            $("#JoomcrmAjaxModalBody").html(data);
            $("#JoomcrmAjaxModalSaveButton").attr("onclick","saveAjax('edit_"+type+"','event')");

            // Assign autocomplete and ajax search functionalities to input fields
            $.ajax({
                async   : true,
                type    :   'POST',
                url     : Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getTaskAssociations&format=raw&tmpl=component',
                dataType:   'json',
                success :   function(data){
                    // Generate names object from received data
                    var names = [],
                        namesInfo = [];

                    $.each(data,function(index,entry){
                        // Gen name string for search
                        if ( entry.type == "person" ) {
                            var name  = '';
                                name += entry.first_name + " " + entry.last_name;
                        } else {
                            name = entry.name;
                        }
                        // Gen associative object for id reference
                        var infoObj = {};
                        infoObj = { name : name, id : entry.id, type : entry.type};
                        // Push info to objects
                        namesInfo[name] = infoObj;
                        names.push( name );
                    });
                    // Assign autocomplete to element
                    $('input[name=associate_name]').autocomplete({
                        source:names,
                        select:function(event,ui){
                            idExists = true;
                            association_id = namesInfo[ui.item.value].id;
                            association_type = namesInfo[ui.item.value].type;
                        },
                        search:function(){
                            idExists = false;
                        }
                    });
                }
            });

            // open modal
            let JoomcrmAjaxModal = $('#JoomcrmAjaxModal').iziModal({title: Joomla.JText._("COM_JOOMCRM_CREATE_"+ucwords(type))});
            JoomcrmAjaxModal.iziModal('open');

            bindDatepickers();

            jQuery('#repeat_end_input').datepicker()
                .on('changeDate', function(ev){
                    jQuery('#repeat_end_input_hidden').val(ev.date.getUTCFullYear()+'-'+(ev.date.getUTCMonth() + 1)+'-'+ev.date.getUTCDate());
                });

            if (type == 'event') {
                // Prefill date input boxes
                if (typeof new_event_date !== 'undefined') {
                    $("input[name=start_time_input]").val($.datepicker.formatDate(userDateFormat, new_event_date));
                    $("input[name=end_time_input]").val($.datepicker.formatDate(userDateFormat, new_event_date));

                    var d = new Date(),
                        curr_date = new_event_date.getDate(),
                        curr_month = new_event_date.getMonth() + 1, // Months are zero based
                        curr_year = new_event_date.getFullYear(),
                        date = curr_year + "-" + curr_month + "-" + curr_date;

                    $("#start_time_hidden").val(date);
                    $("#end_time_hidden").val(date);
                }
            }

            // Bind end date fields
             $('span.end_date').bind('click',function(){
                // Hide span message
                $.when($("span.end_date").hide())
                // Show input fields
                .then(function(){$('#end_date').show()});
             });

            if (type == 'task') {

                $('input[name=due_date_input]').datepicker({
                    onClose:function(data){
                        // If the user doesnt set the date then hide the picker
                        if ($("input[name=due_date_input]").val() == '') {
                            $.when($("#due_date").hide())
                            .then(function(){$("span.due_date").show();});
                        }
                    }
                });

                 // Bind due date fields
                 $('span.due_date').bind('click',function() {
                    // Hide span message
                    $.when($("span.due_date").hide())
                    // Show input fields
                    .then(function(){$('#due_date').show()});

                    // Assign date picker to field
                    $('input[name=due_date_input]').datepicker({
                        onClose:function(data){
                            // If the user doesnt set the date then hide the picker
                            if ( $("input[name=due_date_input]").val() == '' ){
                                $.when($("#due_date").hide())
                                .then(function(){$("span.due_date").show();});
                            }
                        }
                    });
                 });

                 // Prefill due date box if set
                if (typeof new_event_date !== 'undefined') {
                    $.when($("span.due_date").hide())
                    // Show input fields
                    .then(function(){$('#due_date').show()})
                    .then(function(){
                        $("input[name=due_date_input]").val($.datepicker.formatDate(userDateFormat, new_event_date));
                        var curr_date = new_event_date.getDate(),
                            curr_month = new_event_date.getMonth() + 1, // Months are zero based
                            curr_year = new_event_date.getFullYear(),
                            date = curr_year + "-" + curr_month + "-" + curr_date;

                        $("#due_date_input_hidden").val(date);
                    });
                }
            }
        }
    });
}

/* Documents Handlers */

// Upload documents
function uploadDocument() {
    var $ = jQuery,
        uploadForm = $('#upload_form');



    modalMessage(Joomla.JText._('COM_JOOMCRM_UPLOADING'), Joomla.JText._('COM_JOOMCRM_YOUR_DOCUMENT_IS_BEING_UPLOADED'), false);

    if (typeof id !== 'undefined') {
        var html = '<div id="appends"><input type="hidden" name="association_id" value="' + id + '" />';
        html += '<input type="hidden" name="association_type" value="' + association_type + '" /></div>';
        uploadForm.append(html);
    }

    $.when(

        uploadForm.submit()
    )
    .then(function () {
        $("#appends").remove();
        $(".dataTables_empty").parent().remove();
    });

}

// Upload success
function uploadSuccess(document_id) {
    var $ = jQuery;



   /* $('#message').dialog('close');*/
    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=documents&layout=document_row&tmpl=component&format=raw',
        data: 'document_id=' + document_id,
        type: 'post',
        dataType: 'html',
        success: function (data) {
            // jQuery("#documents_table").prepend(edit);
            $("#documents").append(data);

            // remove empty td
            $(".dataTables_empty").parent().remove();

            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));
        }
    })
}

// Upload error
function uploadError(errorMsg) {
    jQuery('#message').dialog('close');
    modalMessage(Joomla.JText._('COM_JOOMCRM_ERROR', 'Error'), errorMsg);
}

// Edit documents
function documentEdit() {
    var $ = jQuery,
        id = $(e).attr('id'),
        currentDocument = $('#document_' + id)

    currentDocument.fadeIn("fast");
    currentDocument.css('left', jQuery(e).position().left - 40 + "px");
    currentDocument.css('top', jQuery(e).position().top - 40 + "px");
}

// Download document
function documentDownload(orig) {

    var search = '_';
    var ind = orig.indexOf(search);
    var id = orig.substr(ind + 1);

    window.open(Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=downloaddocument.execute&document=' + jQuery("#document_" + id + "_hash").val(), '_blank');
}

function documentPreview(orig, text){

    let $ = jQuery;
    let search = '_';
    let ind = orig.indexOf(search);
    id = orig.substr(ind+1);

    $('#doc_preview_modal div.modal-body').empty()

    let docPreviewModal = $("#doc_preview_modal").iziModal(
        {
            onOpened: function(modal){

                $('#'+modal.id).addClass('modalOpened');

                $('#'+modal.id+' div.modal-body').html("<img class='w-100 h-100' src ='"+Joomla.getOptions('system.paths').rootFull+"index.php?option=com_joomcrm&task=ajax.previewDocument&format=raw&tmpl=component&document="+jQuery("#document_"+id+"_hash").val()+"' />");

            },
            onClosing: function(modal){
                $('#'+modal.id).removeClass('modalOpened');
            }
        }
    );

    docPreviewModal.iziModal('open');

}

function documentInfo(document_id, text) {


    let $ = jQuery;


    url = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=documents&layout=info&format=raw&document_id='+document_id;


    $('#doc_info_modal div.modal-body').empty()

    let docPreviewModal = $("#doc_info_modal").iziModal(
        {
            onOpened: function(modal){

                $('#'+modal.id).addClass('modalOpened');

                $.get(url,function(data) {
                    $('#'+modal.id+' div.modal-body').html(data);
                    modal.stopLoading();
                });


            },
            onClosing: function(modal){
                $('#'+modal.id).removeClass('modalOpened');
            }
        }
    );

    docPreviewModal.iziModal('open');


}


function updateDocument(data) {
    jQuery.each(data, function (name, value) {
        if(name == 'name') {
            jQuery("#document_" + data.id).html(value);
        }
    });
}

// Delete document
function documentDelete(orig) {



    var htmlId = orig;
    var tr = $('a#'+htmlId).closest('tr');
    var search = '_';
    var ind = htmlId.indexOf(search);
    var id = htmlId.substr(ind + 1);
    // Make ajax call
    jQuery.ajax({
        type: 'post',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=documents.deleteDocument&format=raw&tmpl=component',
        data: 'id=' + id,
        dataType: 'json',
        success: function (data) {
            if (!data.error) {
                jQuery.when(tr.fadeOut("slow"))
                    .then(function () {
                        tr.remove();
                    });
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));
            } else {
                // TODO error handling
            }
        }
    });
}

/**
 * Run items through the template system
 * @param  {[type]} template_id [description]
 * @return {[type]}             [description]
 */
function createTemplate(template_id) {



    var association_type = loc;
    var association_id = 0;

    switch (association_type) {
        case "company":
            association_id = company_id;
            break;
        case "deal":
            association_id = deal_id;
            break;
        case "person":
            association_id = person_id;
            break;
    }

    if (association_id > 0) {

        var dataString = "template_id=" + template_id + "&association_id=" + association_id + "&association_type=" + association_type;

        jQuery.ajax({
            url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.createTemplate&tmpl=component&format=raw',
            type: 'post',
            data: dataString,
            dataType: 'JSON',
            success: function (data) {
                if (data.success) {
                    updateEvents();
                } else {
                    modalMessage(Joomla.JText._('COM_JOOMCRM_ERROR', 'Error'), Joomla.JText._('COM_JOOMCRM_ERROR_PROCESSING_TEMPLATE', 'There was an error processing this template, please try again'));
                }
            }
        });

    }

}


/**
 * Export CSV files
 * @return {[type]} [description]
 */
function exportCsv() {




    var old_action = jQuery("#list_form").attr('action');
    var old_layout = jQuery("#list_form_layout").val();

    jQuery("#list_form").attr('action', Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.downloadCsv&tmpl=component&format=raw');
    jQuery("#list_form_layout").val('custom_report');
    jQuery("#list_form").append('<input type="hidden" id="export_flag" name="export" value="1" />');
    jQuery("#list_form").submit();
    jQuery("#export_flag").remove();
    jQuery("#list_form").attr('action', old_action);
    jQuery("#list_form_layout").val(old_layout);

}

/**
 * Export Vcard Files
 * @return {[type]} [description]
 */
function exportVcard() {
    var $ = jQuery,
        vcardForm = $('#vcard_form'),
        oldAction = $("#list_form").attr('action');



    vcardForm.attr('action', Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.downloadVcard&tmpl=component&format=raw');
    vcardForm.submit();
    vcardForm.attr('action', oldAction);
}

function downloadImportTemplate() {
    var $ = jQuery,
        importTemplate = $("#download_import_template"),
        oldAction = importTemplate.attr('action');



    importTemplate.attr('action', Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.downloadImportTemplate&tmpl=component&format=raw');
    importTemplate.submit();
    importTemplate.attr('action', oldAction);

}

function showListEditButton(ele) {
    var $ = jQuery;

    $.when($("#edit_button").appendTo($(ele).children('div.title_holder')))
        .then(function () {
            $("#edit_button_link").attr('data-list-id', $(ele).attr('id'));
        }).then(function () {
            $("#edit_button").show();
        });
}

function hideListEditButton(ele) {
    var $ = jQuery,
        base = $('#edit_button');

    base.hide();
    base.appendTo($("#templates"));
}

function showListEditModal() {



    var id = jQuery("#edit_button_link").attr('data-list-id').replace('list_', '');
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=' + loc + '&layout=edit&tmpl=component&format=raw',
        type: 'POST',
        data: 'id=' + id,
        dataType: 'html',
        success: function (data) {
            jQuery("#edit_list_modal").html(data);
            jQuery("#edit_list_modal").dialog({
                dialogClass: 'com_joomcrm',
                width: 600,
                title: loc.toUpperCase() + ' ' + Joomla.JText._('COM_JOOMCRM_EDIT'),
                modal: true,
                resizable: false
            });
            bindDatepickers();
            bindProbabilitySliders();
        }
    });
}


function saveListItem(list_id) {


    var $ = jQuery,
        model = '',
        dataString = '',
        form = $('#edit_form');

    if (!validateForm(form)) {
    	return false;
    }


    switch (loc) {
        case "deals":
            var ajaxUrl = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&model=deal&task=main.save&format=raw&tmpl=component';
            break;
        case "people":
            var ajaxUrl = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&model=people&task=main.save&format=raw&tmpl=component';
            break;
        case "companies":
            var ajaxUrl = Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&model=company&task=companies.save&format=raw&tmpl=component';
            break;
    }

    // prevent duplicate press on save button
    //$('.modal-footer .saveButton').attr('disabled','disabled');

    // Make ajax call
    $.ajax({
        type: "POST",
        url: ajaxUrl,
        data: form.serialize(),
        dataType: 'json',
        success: function (result) {
            if(result.id)
            {
                dataString = 'id=' + result.id+'&limitstart=0';

                $.ajax({
                    url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=' + loc + '&layout=list&tmpl=component&format=raw',
                    type: 'POST',
                    data: dataString,
                    dataType: 'html',
                    success: function (result) {
                       var existingRow = $('#list_row_' + list_id);

                        if (existingRow.length) {
                            $("#edit_button").appendTo($('#templates'));
                            $("#list_row_" + list_id).replaceWith(result);
                        } else {
                            var newRow = result,
                                dataTable = $('.com_joomcrm_table');

                            dataTable.find('tbody').prepend(newRow);
                        }

                        form[0].reset();

                        $(".modalOpened").iziModal('close');

                        bindListEditButtons();
                        bindDropdownItems();
                        //rebind actions to checkbox if list view
                        bindActionsToCheckbox();
                        modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_ITEM_SUCCESSFULLY_UPDATED'));



                    }
                });
            } else {
                modalMessage(Joomla.JText._('COM_JOOMCRM_FAILURE'), Joomla.JText._('COM_JOOMCRM_FAILURE'));
            }
        }});

}

function showCompanyContactsDialogModal(company_id){
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=contacts&format=raw&tmpl=component&layout=modal&company_id='+company_id,
        type:'GET',
        dataType:'html',
        success:function(data){

            jQuery("#JoomcrmAjaxModalBody").html(data);
            jQuery("#JoomcrmAjaxModalSaveButton").hide();
            // open modal
            let JoomcrmAjaxModal = jQuery('#JoomcrmAjaxModal').iziModal({
                title: Joomla.JText._('COM_JOOMCRM_CONTACTS')
            });
            JoomcrmAjaxModal.iziModal('open');
        }
    });
}

function showDealContactsDialogModal(deal_id){

    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=contacts&format=raw&loc=deal&tmpl=component&layout=modal&showadd=1&deal_id='+deal_id,
        type:'GET',
        dataType:'html',
        success:function(data){

            jQuery("#JoomcrmAjaxModalBody").html(data);
            jQuery("#JoomcrmAjaxModalSaveButton").hide();

            // open modal
            let JoomcrmAjaxModal = jQuery('#JoomcrmAjaxModal').iziModal({
                title: Joomla.JText._('COM_JOOMCRM_CONTACTS')
            });
            JoomcrmAjaxModal.iziModal('open');
        }
    });
}

// TODO: Write all modals to use the same div
// Open a task event modal dialog
function openNoteModal(id,type){

    jQuery.ajax({
        type    :   'POST',
        url     : Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=note&type=' + type + '&id=' + id + '&format=raw&tmpl=component&publicnotes=1',
        success :   function(data){

            // Clear past html
            jQuery("#edit_task").empty();
            jQuery("#edit_event").empty();

            jQuery("#JoomcrmAjaxModalBody").html(data);
            jQuery("#JoomcrmAjaxModalSaveButton").hide();


            // Bind note entry
            jQuery("#show_note_area_button").bind('click',function(){
                s(type,id);
            });

            // Display areas that could possible faded out from other event entries
            jQuery("span.associate_to").css("display",'block');
            jQuery('#associate_to').css('display','none');

            // Bind association input area
            jQuery("span.associate_to").bind('click',function(){

                jQuery.when(jQuery("span.associate_to").fadeOut('fast'))
                    // Show input fields
                    .then(function(){
                        jQuery('#associate_to').fadeIn('fast');
                        jQuery('#associate_to').focus();
                    })
                    .then(function(){

                        // Assign autocomplete and ajax search functionalities to input fields
                        jQuery.ajax({
                            type    :   'POST',
                            url     : Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getTaskAssociations&format=raw&tmpl=component',
                            dataType:   'json',
                            success :   function(data){

                                // Generate names object from received data
                                var names = new Array();
                                var namesInfo = new Array();
                                jQuery.each(data,function(index,entry){
                                    // Gen name string for search
                                    if ( entry.type == "person" ) {
                                        var name  = '';
                                        name += entry.first_name + " " + entry.last_name;
                                    } else {
                                        name = entry.name;
                                    }
                                    // Gen associative object for id reference
                                    var infoObj = new Object();
                                    infoObj = { name : name, id : entry.id, type : entry.type};
                                    // Push info to objects
                                    namesInfo[name] = infoObj;
                                    names.push( name );
                                });
                                // Assign autocomplete to element
                                jQuery('input[name=associate_name]').autocomplete({
                                    source:names,
                                    select:function(event,ui){
                                        idExists = true;
                                        association_id = namesInfo[ui.item.value].id;
                                        association_type = namesInfo[ui.item.value].type;
                                    },
                                    search:function(){
                                        idExists = false;
                                    }
                                });

                            }
                        });
                    });

            });


            // open modal
            let JoomcrmAjaxModal = jQuery('#JoomcrmAjaxModal').iziModal({
                title: Joomla.JText._('COM_JOOMCRM_ADD_NEW_NOTE', 'Add New Note'),
                onOpened: function(){
                    $("#edit_note_message").on('click', function () {
                        showNoteArea();
                    });
                }
            });
            JoomcrmAjaxModal.iziModal('open');

            if ( type == 'task' ) {

                // Bind due date fields
                jQuery('span.due_date').bind('click',function(){

                    // Hide span message
                    jQuery.when(jQuery("span.due_date").fadeOut('fast'))
                        // Show input fields
                        .then(function(){jQuery('#due_date').fadeIn('fast')});

                    if (typeof userDateFormat == 'undefined') {
                        userDateFormat = 'mm/dd/yy';
                    }

                    // Assign date picker to field
                    jQuery('input[name=due_date]').datepicker({
                        dateFormat: userDateFormat + 'yy', // year must have 4 chars
                        onClose:function(data){
                            // If the user doesnt set the date then hide the picker
                            if ( jQuery("input[name=due_date]").val() == '' ){
                                jQuery.when(jQuery("#due_date").fadeOut('fast'))
                                    .then(function(){jQuery("span.due_date").fadeIn('fast');});
                            }
                        }
                    });
                });

            }

        }
    });
}

function showEventContactsDialogModal(event_id){



    jQuery.ajax({
        url:Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=contacts&format=raw&tmpl=component&layout=modal&event_id='+event_id,
        type:'GET',
        dataType:'html',
        success:function(data){

            jQuery("#JoomcrmAjaxModalBody").html(data);
            jQuery("#JoomcrmAjaxModalSaveButton").hide();

            // open modal
            let JoomcrmAjaxModal = jQuery('#JoomcrmAjaxModal').iziModal({
                title: Joomla.JText._('COM_JOOMCRM_CONTACTS'),
                icon: ' fas fa-address-book'
            });
            JoomcrmAjaxModal.iziModal('open');


        }
    });
}



/*function showEditableField(ele) {
    if (current_area != jQuery(ele).attr('id')) {
        hideDropdown(current_area);
    }
    current_area = jQuery(ele).attr('id');
    jQuery(ele).children('div.editable_info').show();
    jQuery(ele).children('div.editable_info').find('.inputbox').focus();

}*/

function saveEditableModal(form_id) {
    var $ = jQuery;

    //


    var formElement = $(form_id).parentsUntil('form').parent();


    if (!formElement.length) {
        formElement = $("#" + form_id);
    }

    var form = formElement.find(':input');


    var dataString = "";

    var item_id = id;
    var model = "";

    console.log(formElement.attr('id'))

    var formType = formElement.attr('id').replace("_form", "");

    form.each(function () {
        if (this.type != "button") {
            var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( $(this).is(':checked') ) ? 1 : 0 ) : $(this).val();
                dataString += "&" + this.name + "=" + val;
            if (this.name == "item_id") {
                item_id = $(this).val();
            }
            if (this.name == "item_type") {
                model = $(this).val();
            }
        }
    });

    if (model == "") {
        switch (loc) {
            case "person":
                model = "people";
                break;
            case "deal":
                model = "deal";
                break;
            case "company":
                model = "company";
                break;
        }
        dataString += "&item_id=" + item_id;
        dataString += "&item_type=" + model;
    }

    $.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.saveAjax&format=raw&tmpl=component',
        type: 'POST',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {

            form.each(function () {

                if (this.type != "button") {

                    var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( $(this).is(':checked') ) ? 1 : 0 ) : $(this).val();

                    if (this.type != 'checkbox' || this.type == 'radio') {
                        val = ( val.replace(/ /g, "").length > 0 ) ? val : Joomla.JText._('COM_JOOMCRM_CLICK_TO_EDIT');
                        val = nl2br(val);
                    }

                    if(this.classList.contains('personCustomField') || this.classList.contains('companyCustomField')){

                        let selectedValue = $("select[name='" + this.name + "'] :selected").text();
                        $("#editable_" + this.name).html(selectedValue);

                    }else{
                        $("#editable_" + this.name).find('#' + this.name + '_' + data.id).html(val);
                        $("#editable_" + this.name).html(val);
                    }


                    if (
                        this.name == "twitter_user" ||
                        this.name == "facebook_url" ||
                        this.name == "linkedin_url" ||
                        this.name == "flickr_url" ||
                        this.name == "youtube_url"
                    ) {

                        var url = "";
                        switch (this.name) {
                            case "twitter_user":
                                url = "http://www.twitter.com/#!/" + $(this).val();
                                break;
                            case "facebook_url":
                                url = $(this).val();
                                break;
                            case "linkedin_url":
                                url = $(this).val();
                                break;
                            case "flickr_url":
                                url = $(this).val();
                                break;
                            case "youtube_url":
                                url = $(this).val();
                                break;
                        }

                        if (url != "") {
                            var name = this.name.replace('_url', '').replace('_user', '');
                            $("#editable_" + name + "_container_" + item_id).html("<a href='" + url + "'><i class='fab fa-"+ name +"'></i></a>");
                        }
                    }

                    closeEditableModal();
                }
            });

            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));

            closeEditableModal();

            updateView(model, formType);
        }
    });

}

/**
*   Method prepared for update of view pieces
*/
function updateView(view, element) {

    if (!view) {
        view = loc;
    }

    switch (view) {
        case "deal":
            switch (element) {
                case "status":
                    updateDealStatus();
                    break;
                case "stage":
                    updateDealStage();
                    break;
                default:
                    //update all
                    updateDealStatus();
                    updateDealStage();
                    break
            }
            break;
    }
}

function updateDealStatus() {
    var itemId = id;
    jQuery.getJSON(Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.getDeal&format=raw&tmpl=component&id=' + itemId, function(data) {
        if (typeof data.success !== 'undefined' && data.success === true)
        {
            jQuery('.header-status.status-dot')
                .removeClass('deal-status-none')
                .css('background-color', '#' + data.deal.status_color)
                .find('small').text(data.deal.status_name);
        }
    });
}

function updateDealStage() {
    var itemId = id;
    jQuery.getJSON(Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.getDeal&format=raw&tmpl=component&id=' + itemId, function(data) {
        if (typeof data.success !== 'undefined' && data.success === true)
        {
            setProgress(jQuery('.progress.deal-stage .bar'), data.deal.percent, data.deal.stage_color);
            if (!data.deal.stage_name) data.deal.stage_name = '';
            jQuery('.deal-stage-name').text(data.deal.stage_name);
        }
    });
}

/**
*   @param jQuery object element
*   @param int percent
*   @param string hexadecimal color without #
*/
function setProgress(element, percent, color) {
    var baseColor = hex2rgb('#' + color),
        lightColor = hex2rgb('#' + color, 0.2);
    element.css('width', +percent + '%')
        .css('background-image', '-moz-linear-gradient(to bottom,' + baseColor + ',' + lightColor + ')')
        .css('background-image', '-webkit-linear-gradient(top' + baseColor + ',' + lightColor + '))')
        .css('background-image', '-o-linear-gradient(top,' + baseColor + ',' + lightColor + ')')
        .css('background-image', 'linear-gradient(to bottom,' + baseColor + ',' + lightColor + ')')
        .css('background-color:', baseColor);
}

function hex2rgb(hexStr, percent){
    // note: hexStr should be #rrggbb
    var hex = parseInt(hexStr.substring(1), 16);
    var r = (hex & 0xff0000) >> 16;
    var g = (hex & 0x00ff00) >> 8;
    var b = hex & 0x0000ff;

    if (percent) {
        var t = percent < 0 ? 0 : 255,
            p = percent < 0 ? percent * -1 : percent;
        r = (Math.round((t-r)*p)+r);
        g = (Math.round((t-g)*p)+g);
        b = (Math.round((t-b)*p)+b);
    }

    return 'rgb(' + r + ',' + g + ',' + b + ')';
}

function closeEditableModal() {

    $("[data-bs-toggle='popover']").popover('hide');
}

function printItems(print_button, layout) {



    if (typeof print_button === 'string') {
        var activeForm = $('#' + print_button);
    } else {
        var activeForm = $(print_button).closest('form');
    }
    if (activeForm.length == 0) {
        activeForm = $(print_button).siblings('form.print_form');
    }
    if (activeForm.length == 0) {
        activeForm = $(print_button).parentsUntil('form.print_form').parent('form.print_form');
    }
    if (layout !== null && typeof layout !== 'undefined') {
        activeForm.append('<input type="hidden" name="model" value="' + layout + '" />');
        layoutAttr = '&layout=' + layout;
    } else {
        layoutAttr = '';
    }

    var oldAction = activeForm.attr('action');
    var oldTarget = activeForm.attr('target');

    activeForm.attr('target', '_blank');
    activeForm.attr('action', 'index.php?option=com_joomcrm&view=print' + layoutAttr);
    activeForm.submit();

    if (oldTarget) {
        activeForm.attr('target', oldTarget);
    } else {
        activeForm.attr('target', '');
    }

    activeForm.attr('action', oldAction);
    activeForm.find('input[model=layout]').remove();
}

function capitalize(string) {
    return typeof string != "undefined" ? string.charAt(0).toUpperCase() + string.slice(1) : "";
}

function showCalendarTasks() {
    jQuery("div.calendar_event").css('display', 'none');
    jQuery("div.calendar_task").css('display', 'block');
}

function showCalendarEvents() {
    jQuery("div.calendar_event").css('display', 'block');
    jQuery("div.calendar_task").css('display', 'none');
}

function showAllCalendarEvents() {
    jQuery("div.calendar_event").css('display', 'block');
    jQuery("div.calendar_task").css('display', 'block');
}

function initToggleTeamMemberEvents() {
    var form = jQuery('#toggleTeamMembersItems');
    form.on('change', function() {
        toggleTeamMembersItems();
    });
}

function toggleTeamMembersItems() {
    var filters = jQuery('#toggleTeamMembersItems input');
    filters.each(function(i, checkbox) {
        var user_id = jQuery(checkbox).val();
        var checked = jQuery(checkbox).is(':checked');
        jQuery("div.assignee_id_" + user_id).each(function () {
            if (checked) {
                jQuery(this).removeClass('hidden');
                jQuery(this).show();
            } else {
                jQuery(this).addClass('hidden');
                jQuery(this).hide();
            }
        });
    });
}

function editNoteEntry(note_id) {




    // create modal templae, no more needed in html code
    let myModal = `
    <div id="editNoteModal${note_id}"
     class="jb_template" style="display: none"
     data-iziModal-fullscreen="true"
     data-iziModal-icon="fas fa-edit"
     data-iziModal-closebutton="true"
>
    <div id="editNoteModalBody${note_id}" class="modal-body h-auto mh-100 w-100">        
    </div>
    <div class="modal-footer p-3" id="editNoteModalFooter${note_id}">       
    </div>
</div>
    `;

    // append it to body
    $(myModal).appendTo('body');


    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=note&layout=edit&tmpl=component&format=raw',
        type: 'POST',
        data: 'id=' + note_id,
        dataType: 'HTML',
        success: function (data) {

            // add ajax data to modal
            jQuery("#editNoteModalBody" + note_id).html(data);
            $("#editNoteModalBody"+note_id+" .note_actions").appendTo('#editNoteModalFooter'+note_id);

            // create modal
            let JoomcrmAjaxModal = jQuery("#editNoteModal"+note_id).iziModal({
                title: Joomla.JText._('COM_JOOMCRM_EDIT_NOTE'),
                icon: ' fas fa-edit',
                onClosed: function(){
                    jQuery("#editNoteModal"+note_id).remove()
                }
            });

            // open modal
            JoomcrmAjaxModal.iziModal('open');

        }
    });
}

function editConvoEntry(convo_id) {



    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=deals&layout=edit_conversation&tmpl=component&format=raw',
        type: 'POST',
        data: 'id=' + convo_id,
        dataType: 'HTML',
        success: function (data) {
            jQuery("#edit_convo_entry").html(data);
            jQuery("#edit_convo_entry").dialog({
                autoOpen: false,
                modal: true,
                width: 500,
                resizable: false,
                dialogClass: 'com_joomcrm',
                title: Joomla.JText._('COM_JOOMCRM_EDIT_CONVO')
            });
            jQuery("#edit_convo_entry").dialog('open');
        }
    });
}

function trashConvoEntry(convo_id) {



    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.trash&tmpl=component&format=raw',
        type: 'POST',
        data: 'item_type=conversations&item_id=' + convo_id,
        dataType: 'json',
        success: function (data) {
            if (data.success) {
                jQuery("#convo_entry_" + convo_id).remove();
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'));
            }
        }
    });
}

function deleteItem(ele) {



    if (confirm(Joomla.JText._('COM_JOOMCRM_DELETE_CONFIRMATION'))) {
        jQuery("#delete_form").submit();
    }
}

function removePersonFromDeal(person_id) {



    if (confirm(Joomla.JText._('COM_JOOMCRM_DELETE_PERSON_FROM_DEAL_CONFIRM'))) {
        jQuery.ajax({
            url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.removePersonFromDeal&format=raw&tmpl=component',
            type: 'POST',
            data: 'person_id=' + person_id + "&deal_id=" + deal_id,
            dataType: 'JSON',
            success: function (data) {
                if (data.success == true) {
                    jQuery("#person_container_" + person_id).remove();
                }
            }
        })
    }

}

function eventFilter(filter, value) {



    ajaxLoadingToggle();

    dataString = filter + "=" + value;
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=events&layout=list&tmpl=component&format=raw',
        type: 'POST',
        data: dataString,
        dataType: 'HTML',
        success: function (data) {
            jQuery("#events").html(data);
            ajaxLoadingToggle(true);
        }
    });

}

function eventUserFilter(type, id) {



    ajaxLoadingToggle();

    dataString = "assignee_id=" + id + "&assignee_filter_type=" + type;
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&view=events&layout=list&tmpl=component&format=raw',
        type: 'POST',
        data: dataString,
        dataType: 'HTML',
        success: function (data) {
            ajaxLoadingToggle();
            jQuery("#events").html(data);
        }
    });

}

function ajaxCompanyNames(ele) {

    var $ = jQuery,
        inputEle = $(ele),
        matchingHiddenEle = $('#' + ele.id.replace('_name', '_id'));

    // Assign autocomplete to element
    inputEle.autocomplete({
        minLength: 0,
        source: function (request, response) {
            $.ajax({
                url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.getCompanyNames&format=raw',
                type: 'GET',
                data: {
                    search: request.term
                },
                dataType: 'json',
                success: function (data) {

                    if (request.term == '') {
                        matchingHiddenEle.val('');
                    }

                    if (data.success) {
                        var items = [];

                        $.each(data.items, function (index, item) {
                            var itemInfo = {
                                label: item.name,
                                value: item.name,
                                id: item.id
                            };

                            items.push(itemInfo);
                        });

                        response(items);
                    }
                }
            });
        },
        select: function (event, ui) {
            matchingHiddenEle.val(ui.item.id);

            return ui.item.label;
        }
    });
}

function ajaxContactNames(ele) {
    var $ = jQuery,
        inputEle = $(ele),
        matchingHiddenEle = $('#' + ele.id.replace('_name', '_id'));

    // Assign autocomplete to element
    inputEle.autocomplete({
        minLength: 1,
        source: function (request, response) {
            $.ajax({
                url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.getContactNames&format=raw',
                type: 'GET',
                data: {
                    search: request.term
                },
                dataType: 'json',
                success: function (data) {
                    if (data.success) {
                        var items = [];

                        $.each(data.items, function (index, item) {
                            var itemInfo = {
                                label: item.first_name + ' ' + item.last_name,
                                value: item.first_name + ' ' + item.last_name,
                                id: item.id
                            };

                            items.push(itemInfo);
                        });

                        response(items);
                    }
                }
            });
        },
        select: function (event, ui) {
            matchingHiddenEle.val(ui.item.id);

            return ui.item.label;
        }
    });
}

function checkCompanyName(ele) {

    if (typeof company_id === 'undefined' || ( typeof company_id !== 'undefined' && company_id <= 0 )) {
        if (typeof ele != 'undefined' && typeof ele != 'object') {
            clearTimeout($(ele).attr('timeout'));

            jQuery(ele).attr('timeout', setTimeout(function () {
                performCheckCompanyName();
            }, 1500));
        } else {
            performCheckCompanyName();
        }
    }
}

function performCheckCompanyName() {



    jQuery('#company_id').val('');
    var company_name = jQuery('#company_name').val();
    if (company_name.length < 3) {
        return;
    }
    dataString = '&company_name=' + company_name;
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.checkCompanyName&tmpl=component&format=raw',
        type: 'POST',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {
            if (data.success) {
                if (data.company_id) {
                    jQuery('#company_id').val(data.company_id);
                }
                if (loc == "company_edit" && data.company_id) {
                    jQuery("#company_message").html(Joomla.JText._("COM_JOOMCRM_DUPLICATE_COMPANY"));
                } else {
                    jQuery('#company_message').html(data.message);
                }
            }
        }
    });
}

function checkPersonName(email_id) {
    var ele = typeof email_id === 'object' ? email_id : null;
    if (ele != null) {
        clearTimeout(jQuery(ele).attr('timeout'));
        jQuery(ele).attr('timeout', setTimeout(function () {
            performPersonNameCheck(email_id);
        }, 1500));
    } else {
        performPersonNameCheck(email_id);
    }

}

function performPersonNameCheck(email_id) {

    var person_name = "";

    if (typeof email_id === 'object') {
        person_name = jQuery(email_id).val();
        var dataString = "&person_name=" + person_name;
    } else if (email_id != null) {
        jQuery("#email_form_" + email_id + ' span.person_message').html('');
        jQuery("#email_form_" + email_id + " input[name=person_id]").val('');
        person_name = jQuery("#email_form_" + email_id + " input[name=person_name]").val();
        if (person_name.length < 3) {
            return;
        }
        dataString = '&person_name=' + person_name;
        var ele = jQuery("#email_form_" + email_id + " input[name=person_name]");
    } else {
        person_name = jQuery("#person_name").val();
        dataString = '&person_name=' + person_name;
        var ele = jQuery("#person_name");
    }

    var temp = person_name.replace(/ /g, '');
    if (temp.length == 0) {
        return;
    }



    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.checkPersonName&tmpl=component&format=raw',
        type: 'POST',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {
            if (data.success) {
                if (email_id != null && typeof email_id !== 'object') {
                    if (data.person_id) {
                        jQuery("#email_form_" + email_id + " input[name=person_id]").val(data.person_id);
                    }
                    jQuery("#email_form_" + email_id + ' small.person_message').html(data.message);
                } else {
                    if (data.company_id) {
                        jQuery('#person_id').val(data.company_id);
                    }
                    jQuery('#person_message').html(data.message);
                }
            }
        }
    });
}

function checkDealName(email_id) {
    jQuery("#email_form_" + email_id + " span.deal_message").html('');
    jQuery("#email_form_" + email_id + " input[name=deal_id]").val('');
    var deal_name = jQuery("#email_form_" + email_id + " input[name=deal_name]").val();
    if (deal_name.length < 3) {
        return;
    }
    clearTimeout(jQuery("#email_form_" + email_id + " input[name=deal_name]").attr('timeout'));
    jQuery("#email_form_" + email_id + " input[name=deal_name]").attr('timeout', setTimeout(function () {



        dataString = '&deal_name=' + deal_name;
        jQuery.ajax({
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=ajax.checkDealName&tmpl=component&format=raw',
            type: 'POST',
            data: dataString,
            dataType: 'JSON',
            success: function (data) {
                if (data.success) {
                    if (data.deal_id) {
                        jQuery("#email_form_" + email_id + " input[name=deal_id]").val(data.deal_id);
                    }
                    jQuery("#email_form_" + email_id + " small.deal_message").html(data.message);
                }
            }
        });

    }, 1500));
}

function checkUserName(ele) {
    if (typeof user_names != 'undefined') {
        jQuery(ele).autocomplete({
            source: function (request, response) {
                var results = jQuery.ui.autocomplete.filter(user_names, request.term);
                response(results.slice(0, 10));
            },
            select: function (event, ui) {
                jQuery(ele).val(ui.item.label);
                jQuery(ele).next('input').val(ui.item.value);
                return false;
            },
            search: function () {

            },
            open: function () {
                jQuery(this).autocomplete('widget').css('z-index', 100);
                return false;
            }
        });
    }
}

function bindEmailAutocomplete(email_id) {

    let emailModal = jQuery('#email_modal_'+email_id).iziModal();
    emailModal.iziModal('open');

    /** bind people name dropdowns **/
    if (typeof people_names != 'undefined') {
        jQuery("#person_name_" + email_id).autocomplete({
            source: function (request, response) {
                var results = jQuery.ui.autocomplete.filter(people_names, request.term);
                response(results.slice(0, 10));
            },
            select: function (event, ui) {
                jQuery("#person_name_" + email_id).val(ui.item.label);
                jQuery("#person_id_" + email_id).val(ui.item.value);
                jQuery("#person_message_" + email_id).html('');
                return false;
            },
            search: function () {

            },
            open: function () {
                jQuery(this).autocomplete('widget').css('z-index', 3000);
                return false;
            }
        });
    }

    /** bind deal name dropdowns **/
    if (typeof deal_names != 'undefined') {
        jQuery("#deal_name_" + email_id).autocomplete({
            source: function (request, response) {
                var results = jQuery.ui.autocomplete.filter(deal_names, request.term);
                response(results.slice(0, 10));
            },
            select: function (event, ui) {
                jQuery("#deal_name_" + email_id).val(ui.item.label);
                jQuery("#deal_id_" + email_id).val(ui.item.value);
                jQuery("#deal_name_message" + email_id).html('');
                return false;
            },
            search: function () {

            },
            open: function () {
                jQuery(this).autocomplete('widget').css('z-index', 3000);
                return false;
            }
        });
    }
}

function deleteEmail(email_id) {



    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=mail.removeEmail&format=raw&tmpl=component',
        data: "id=" + email_id,
        dataType: 'JSON',
        success: function (data) {
            jQuery("#email_modal_" + email_id).remove();
            jQuery("#email_row_" + email_id).remove();
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_EMAIL_DELETED'));
        }
    });
}

function saveEmail(email_id) {




    var dataString = '';

    jQuery('#email_modal_' + email_id).iziModal('close');

    var $form = jQuery('#email_form_' + email_id + ' :input');

    $form.find('.button').attr('disabled', 'disabled');

    $form.each(function () {
        dataString += "&" + this.name + "=" + jQuery(this).val();
    });

    dataString += "&id=" + email_id;

    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=mail.saveEmail&format=raw&tmpl=component',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {
            jQuery("#email_modal_" + email_id).remove();
            jQuery("#email_row_" + email_id).remove();
            jQuery(".iziModal-overlay").remove();
            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_EMAIL_SAVED'));

        }
    });
}

function showSiteSearch() {



    jQuery("#site_search_input").val('');
    jQuery("#site_search").fadeToggle('fast');
    // Assign autocomplete to element
    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.getTaskAssociations&format=raw&tmpl=component',
        dataType: 'json',
        success: function (data) {

            // Generate names object from received data
            var names = new Array();
            var namesInfo = new Array();

            jQuery.each(data, function (index, entry) {
                // Gen name string for search
                if (entry.type == "person") {
                    var name = '';
                    name += entry.first_name + " " + entry.last_name;
                } else {
                    name = entry.name;
                }

                if(entry.email == null || entry.email == ''){
                    entry.email = '';
                }

                // Gen associative object for id reference
                var infoObj = new Object();
                var listItem = new Object();
                infoObj = { name: name, email: entry.email, id: entry.id, type: entry.type, association_link: entry.association_link };
                // Push info to objects
                namesInfo[index] = infoObj;
                names.push(name);
            });


           // console.log(names);

            // Assign autocomplete to element
            jQuery('#site_search_input').autocomplete({
                source: function(request, response){
                    function hasMatch(s) {
                        return s.toLowerCase().indexOf(request.term.toLowerCase())!==-1;
                    }
                    var i, l, obj, matches = [];

                    if (request.term==="") {
                        response([]);
                        return;
                    }

                    for  (i = 0, l = namesInfo.length; i<l; i++) {
                        obj = namesInfo[i];
                        if (hasMatch(obj.name) || hasMatch(obj.email)) {
                            matches.push(obj);
                        }
                    }
                    response(matches);
                },
                select: function (event, ui) {
                    window.location =  ui.item.association_link;
                },
                search: function (event, ui) {
                    idExists = false;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                return jQuery("<li></li>")
                    .data("ui-autocomplete-item", item)
                    .append("<a>" + item.name + "<span class='float-end fst-italic' style='color:#ABABAB;'>" + item.type.substring(0, 1).toUpperCase() + item.type.substring(1) + "</span></a>")
                    .appendTo(ul);

            };

        }
    });
}


function updateItemsChecked() {
    items_checked = 0;
    jQuery("input[name='ids\\[\\]']").each(function () {
        items_checked += jQuery(this).is(":checked") ? 1 : 0;
    });
}

function showListEditActions(ele) {
    updateItemsChecked();
    jQuery("#items_checked").html(items_checked);
    if (items_checked > 0) {
        jQuery("#list_edit_actions").slideDown('fast');
    } else {
        jQuery("#list_edit_actions").slideUp('fast');
    }
}

function deleteListItems() {
    var $ = jQuery;



    if (confirm(Joomla.JText._('COM_JOOMCRM_DELETE_LIST_CONFIRMATION'))) {

        itemIds = [];
        $('.com_joomcrm_table').find('[name="ids\\[\\]"]').each(function () {
            if (this.checked) {
                itemIds.push(this.value);
            }
        });

        ajaxLoadingToggle();

        $.ajax({
            type: 'POST',
            url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task=main.trash&tmpl=component&format=raw',
            data: { item_id: itemIds, item_type: loc },
            dataType: 'JSON',
            success: function (data) {
                if (data.success) {
                    $.each(itemIds, function (key, value) {
                        $("#list_row_" + value).remove();
                    });

                    modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_SUCCESSFULLY_REMOVED_EVENT'));
                }
                ajaxLoadingToggle();
            }
        });

    }
}



function assignDealPrimaryContact(person_id, deal_id) {
    var $ = jQuery;



    if (typeof deal_id === 'undefined') {
        deal_id = id;
    }
    $.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.save&format=raw&tmpl=component',
        data: 'model=deal&id=' + deal_id + '&primary_contact_id=' + person_id,
        dataType: 'JSON',
        success: function (data) {

            var primary_contact_id = $("#primary_contact").attr('data-id');
            var new_primary_ele = $('#star_' + person_id);

            if (typeof primary_contact_id !== 'undefined') {

                $("#contacts_container").find(".togglePrimary").each(function (key, ele) {
                    var base = $(ele);

                    base.attr('onclick', 'assignDealPrimaryContact(' + primary_contact_id + ");")
                    base.attr('id', 'star_' + primary_contact_id);
                    base.text('Assign Primary');
                    base.find('a').toggleClass('text-white')
                    base.parentsUntil('.list-group-item').parent().removeClass('active').find('a.link_color').removeClass('text-white')
                });

            }

            new_primary_ele.attr('onclick', 'unassignDealPrimaryContact(' + person_id + ")");
            new_primary_ele.attr('id', 'primary_contact');
            new_primary_ele.text('Unassign Primary')
            new_primary_ele.parentsUntil('.list-group-item').parent().addClass('active').find('a.link_color').addClass('text-white')



            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_UPDATED_PRIMARY_CONTACT'));
        }
    });
}

function unassignDealPrimaryContact(person_id, deal_id) {
    var $ = jQuery;



    if (typeof deal_id === 'undefined') {
        deal_id = id;
    }

    $.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=main.save&format=raw&tmpl=component',
        data: 'model=deal&id=' + deal_id + '&primary_contact_id=0',
        dataType: 'JSON',
        success: function (data) {
            var base = $('#primary_contact');

            base.attr('onclick', 'assignDealPrimaryContact(' + person_id + ")")
            base.attr('id', 'star_' + person_id);
            base.text('Assign Primary');

            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_UPDATED_PRIMARY_CONTACT'));
        }
    });
}

function toggleMailingList(listId, subscribeValue) {



    if (listId === '' || listId === null)
    {
        return;
    }

    var dataString = "subscribe=" + subscribeValue + "&listid=" + listId + "&id=" + id + "&loc=" + loc;

    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.toggleMailingList&format=raw&tmpl=component',
        data: dataString,
        dataType: 'JSON',
        success: function (data) {
            if (data.success) {
                let newValue = subscribeValue == 1 ? 0 : 1;
                let button = newValue ? 'danger' : 'success';
                let icon = newValue ? 'times' : 'plus';
                let lang = newValue ? Joomla.JText._('COM_JOOMCRM_REMOVE') : Joomla.JText._('COM_JOOMCRM_ADD');
                let html = "<a class='btn btn-sm btn-"+button+"' href='javascript:void(0);' onclick=\"toggleMailingList('" + listId + "','" + newValue + "')\"><i class='fas fa-"+icon+"'></i> " + lang + "</a>";
                jQuery("#mailing_list_" + listId).html(html);
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_ITEM_SUCCESSFULLY_UPDATED'));
                updateMailingListModule();
            } else {
                modalMessage(Joomla.JText._('COM_JOOMCRM_ERROR'), 'Error');
            }
        }
    });

}

function showNewsletterLinks(mailid) {



    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=mailing&layout=links&format=raw&tmpl=component',
        data: '&id=' + id + "&mailid=" + mailid + "&loc=" + loc,
        dataType: 'HTML',
        success: function (html) {

            jQuery("#JoomcrmMailAjaxModalBody").html(html);

            // open modal
            let JoomcrmAjaxModal = jQuery('#JoomcrmMailAjaxModal').iziModal();

            // open modal
            JoomcrmAjaxModal.iziModal('open');

        }
    });

}

function getEmails() {



    jQuery("#email_loader i").addClass('fa-spin');
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=mail&format=raw&tmpl=component',
        type: 'GET',
        dataType: 'HTML',
        success: function (html) {
            jQuery("#email_loader i").removeClass('fa-spin');
            jQuery("#mail_table_entries").html(html);
        }
    });
}

function ucwords(str) {
    // Uppercase the first character of every word in a string
    return (str + '').replace(/^([a-z])|\s+([a-z])/g, function ($1) {
        return $1.toUpperCase();
    });
}

function nl2br(str) {
    return str.replace(/\n/g, '<br />');
}

function updateTranscripts(roomId) {



    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=banter&layout=transcripts&format=raw&tmpl=component',
        data: {room_id: roomId},
        dataType: 'HTML',
        success: function (html) {
            jQuery("#transcript_entries").html(html);
        }
    });

}

function shareItemDialog(){
    jQuery("#shared_user_name").autocomplete({
        source: function(request, response) {
        var results = jQuery.ui.autocomplete.filter(users, request.term);
            response(results.slice(0, 10));
        },
        select:function(event,ui){
            jQuery("#shared_user_name").val(ui.item.label);
            jQuery("#shared_user_id").val(ui.item.value);
            return false;
        },
        search:function(){

        },
        open: function(){
            jQuery(this).autocomplete('widget').css('z-index', 3000);
            return false;
        }
    });
    let JoomcrmShareModal = jQuery('#share_item_dialog').iziModal();
    JoomcrmShareModal.iziModal('open');
}


function shareItem() {



    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.shareItem&format=raw&tmpl=component',
        data: 'item_id=' + id + "&item_type=" + loc + "&user_id=" + jQuery("#shared_user_id").val(),
        dataType: 'JSON',
        success: function (data) {
            if (data.success) {

                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_SUCCESSFULLY_SHARED_ITEM'));

                var html = '<div class="alert alert-light" id="shared_user_' + jQuery("#shared_user_id").val() + '">' + jQuery("#shared_user_name").val() + " - <a href='javascript:void(0);' onclick='unshareItem(" + jQuery("#shared_user_id").val() + ");'>" + Joomla.JText._("COM_JOOMCRM_REMOVE") + "</a></div>";
                jQuery("#shared_user_list").append(html);

                jQuery("#shared_user_name").val('');
                jQuery("#shared_user_id").val('');
            } else {

                modalMessage(Joomla.JText._('COM_JOOMCRM_ERROR'));

            }
        }
    });

}

function unshareItem(user_id) {



    jQuery.ajax({
        type: 'POST',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.unshareItem&format=raw&tmpl=component',
        data: 'item_id=' + id + "&item_type=" + loc + "&user_id=" + user_id,
        dataType: 'JSON',
        success: function (data) {
            if (data.success) {
                modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE'), Joomla.JText._('COM_JOOMCRM_SUCCESSFULLY_UNSHARED_ITEM'));
                jQuery("#shared_user_name").val('');
                jQuery("#shared_user_id").val('');
                jQuery("#shared_user_" + user_id).remove();
            } else {
                modalMessage(Joomla.JText._('COM_JOOMCRM_ERROR'));
            }
        }
    });

}

function updateLatestActivites() {



    jQuery.ajax({
        type: 'GET',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=activities&layout=latest_activities&format=raw&tmpl=component',
        dataType: 'HTML',
        success: function (html) {
            jQuery("#latest_activities").replaceWith(html);
        }
    });

}

function changeGraphDate(graphField, element) {

    var $ = jQuery,
        base = $("#" + graphField);
    var dateFormat = base.attr('data-date-format');

    base.unbind().datepicker({
        autoclose: true,
        todayBtn: true,
        todayHighlight: true
    });

    base.datepicker('show').on('changeDate', function () {
        var newDate = base.val();

        if (dateFormat === 'dd/mm/yy') {
            var dateParts = newDate.split('/');
            newDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];
        }

        dataObj = {};
        dataObj[graphField] = $.datepicker.formatDate('yy-mm-dd', new Date(newDate));

        $.ajax({
            url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.saveProfile&format=raw&tmpl=component',
            type: 'POST',
            data: dataObj,
            dateType: 'JSON',
            success: function (data) {
                if (!data.error) {

                    var graphObj = {};

                    if (typeof graphType === 'undefined') {
                        graphType = "report";
                    }

                    graphObj.graph_type = graphType;

                    if (typeof graphFilterType !== 'undefined' && graphFilterType != null) {
                        graphObj.filter = graphFilterType;
                    }

                    if (typeof graphFilterId !== 'undefined' && graphFilterId != null) {
                        graphObj.id = graphFilterId;
                    }

                    $.ajax({
                        type: 'post',
                        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=graphs.getGraphData&format=raw&tmpl=component',
                        data: graphObj,
                        dataType: 'json',
                        success: function (data) {
                            // Update our graph data
                            // Redisplay the charts
                            showAllCharts(data);
                        }
                    });

                }
            }
        });

    });

}

function updateNewsletters(listId,itemId) {

    jQuery.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=mailing&layout=list&format=raw&tmpl=component',
        data: {id: itemId, list_id: listId, loc: loc},
        dataType: "HTML",
        success: function (html) {
            jQuery("#newsletter_entries").html(html);
            jQuery("#mailing_lists_link").text(jQuery(".filter_mailing_list_" + listId).text());
        }
    });
}

function updateMailingListModule() {
    jQuery.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view=mailing&layout=default&format=raw&tmpl=component',
        data: {id: person_id, loc: loc},
        dataType: "HTML",
        success: function (html) {
            jQuery("#mailinglist_module").html(html);
        }
    });
}

function clearAssignment() {
    jQuery("#assignee_name").val('');
    jQuery("#assignment_note").val('');
    jQuery("#assignee_id").val('0');
}

function toggleFilters() {
    var toggled = jQuery("#list-filters").is(":visible");
    if (toggled) {
        jQuery("#filter-link").text(Joomla.JText._("COM_JOOMCRM_SHOW_FILTERS"));
        jQuery("#list-filters").slideUp("fast");
        resetListFilters();

    }
    else {
        jQuery("#filter-link").text(Joomla.JText._("COM_JOOMCRM_RESET_FILTERS"));
        jQuery("#list-filters").slideDown("fast");
    }

}

function resetListFilters() {
    jQuery(".filter_input").val('');

    var table_ele = typeof window.loc !== 'undefined' ? "#" + window.loc : jQuery('.results');
    var order_string = "&loc=" + window.loc + "&format=raw&tmpl=component&reset_filters=1";

    jQuery.ajax({
        type: 'post',
        url: order_url,
        data: order_string,
        dataType: 'html',
        success: function (data) {

            ajaxLoadingToggle();
            jQuery(table_ele).html(data);
            bindFilters();

        }
    });

}

function toggleCompanyPrivacy() {
    jQuery.ajax({
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&task=ajax.toggleCompanyPrivacy&format=raw&tmpl=component',
        data: {company_id: company_id},
        dataType: 'JSON',
        success: function (data) {
            if (data.success == true) {



                jQuery("#company_privacy").html(data.text).removeClass('text-danger text-success').addClass('text-'+data.color);
            }
        }
    })
}

function formatMoney(c) {
    var num = isNaN(c) || c === '' || c === null ? 0.00 : c;
    return comJoomcrmCurrency + new Intl.NumberFormat().format(parseFloat(num).toFixed(2));
};


/** save modal forms for items **/
function saveItem(formId, task){

    var dataObj = new Object();
    var vtype = null;
    var ajax = true;

    // clear earlier messages
    jQuery('.modal-footer div.alert').remove();

    if (save(formId))
    {

        var form = jQuery('#'+formId+' :input');
        jQuery(form).each(function(){
            if ( this.name == "jsrefresh" && this.value=="1" ){
                jQuery("#"+formId).submit();
                jQuery("#"+formId).parentsUntil('div.modal').parent('div.modal').iziModal('close');
                ajax = false;
                return true;
            }
            if ( this.type != "button" ){
                var val = ( this.type == 'checkbox' || this.type == 'radio' ) ? ( ( jQuery(this).is(':checked') ) ? 1 : 0 ) : jQuery(this).val();
                dataObj[this.name] = val;
            }
            if ( this.name == "model" ){
                vtype = val;
            }
        });

        if ( ajax ){

            // top prevent duplicate submission
            jQuery('.modal-footer .saveButton').attr('disabled','disabled')

            jQuery.ajax({
                type:'post',
                url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&task='+task+'&format=raw',
                data:dataObj,
                dataType:'json',
                success:function(data){
                    if ( data.id > 0 ){
                        if ( vtype != "tasklist" ){
                            newListItem(data,vtype);
                        }

                        if ( vtype == "tasklist" ){
                            updateTaskLists();
                        }

                        jQuery('#'+formId)[0].reset();
                        jQuery(".modalOpened").iziModal('close');
                    } else if (typeof data.alert !== 'undefined' && data.alert) {
                        jQuery('.modal-footer').prepend('<div class="alert alert-error">' + data.alert + '</div>');
                    }
                }
            });

        }
    }

}

/** create new list items from data **/
function newListItem(data,vtype){

    id = "id="+data.id;

    switch ( vtype ){
        case "deal":
            var loc = "deals";
        break;
        case "company":
            var loc = "companies";
        break;
        case "people":
            var loc ="people";
        break;
        default:
            var loc = vtype;
        break;
    }

    jQuery.ajax({
        type:'post',
        url: Joomla.getOptions('system.paths').rootFull+'index.php?option=com_joomcrm&view='+loc+'&format=raw&layout=entry&'+id,
        dataType:'html',
        success:function(html){
            if ( vtype == "tasklist" ){
                jQuery("a.task_list_"+data.id).html(data.name);
                jQuery("a.task_list_"+data.id).effect("highlight",2000);
            }else{
                if ( jQuery("#list_row_"+data.id).length != 0 ){
                    jQuery("#list_row_"+data.id).replaceWith(html);
                    jQuery("#list_row_"+data.id+" td").effect('highlight',2000);
                }else{
                    jQuery("#list").prepend(html);
                    jQuery("#list_row_"+data.id+" td").effect('highlight',2000);
                }
            }

            jQuery(".modalOpened").iziModal('close');
            // hide columns if already hidden in header

            updateHiddenColumns();
            // rebind datepicker tooltip and popover
            bindDatepickers();
            bindTooltips();
            bindPopovers();

            //rebind actions to checkbox if list view
            bindActionsToCheckbox();
        }
    });

}
/*
Hide all cellules with hidden headers
 */
function updateHiddenColumns(){

    $ = jQuery;

    $('.com_joomcrm_table.table thead th').each(function(i,v){

        if($(v).css('display') == 'none'){
            $('div#com_joomcrm td.'+  $(v).attr('class')).attr('style','');
            addRule('div#com_joomcrm td.' +  $(v).attr('class') + '{ display:none; }');
        }

    });
}

function bindPopovers(){
    var $ = jQuery,
        popOvers = $('[rel=popover]');

    if (popOvers.length) {
        popOvers.popover({
            trigger: 'manual'
        });

        popOvers.each(function() {
            var base = $(this);

            base.on('click', function () {
                base.popover('show');
            });
        });

        // Trigger for the hiding
        $('body').on('click', function(e) {
            popOvers.each(function() {
                var base = $(this);

                if (!base.is(e.target) && base.has(e.target).length === 0 && $('.popover').has(e.target).length === 0) {
                    base.popover('hide');
                }
            });
        });
    }
}

function bindTooltips(){

   /* jQuery("[rel=tooltip]").tooltip({
        container: 'body'
    });*/
}

/** save modal forms for items **/
function saveProfileItem(formId) {

    var $ = jQuery,
        dataObj = {},
        type = null,
        ajax = true,
        form = $('#' + formId),
        formInputs = form.find(':input');

    if (!validateForm(form)) {
    	return false;
    }

    formInputs.each(function () {
        var base = this;

        if (base.name == "jsrefresh" && base.value=="1") {
            form.submit();
            $('.modal').iziModal('close');
            ajax = false;
            return true;
        }
        if (base.type != "button") {
            var val = (base.type == 'checkbox' || base.type == 'radio') ? (($(base).is(':checked')) ? 1 : 0) : $(base).val();
            dataObj[base.name] = val;
        }
        if (base.name == "model") {
            type = val;
        }
    });

    if (ajax) {
        // Set the format to raw for all ajax requests.
        dataObj.format = 'raw';

        $.ajax({
            type: 'post',
            url: getURL(form.attr('action') + '&returnRow=1'),
            data: dataObj,
            dataType: 'json',
            success: function (data) {
                if (data.id > 0) {
                    updateProfileItem(data);
                    updateView();
                }

                $(".modalOpened").iziModal('close');
            }
        });
    }
}

function updateProfileItem(data) {
    var $ = jQuery;

    $.each(data, function(name, value) {
        var currentProfileItem = $('#' + name + '_' + data.id);

        if (currentProfileItem.text() != value ) {
            switch (name) {
                case "status_name":
                    currentProfileItem.attr('class','deal-status-' + value);
                break;
                case "stage_name":
                    currentProfileItem.attr('title', Joomla.JText._('COM_JOOMCRM_STAGE') + ": " + ucwords(value));
                break;
                case "percent":
                    var color = getColorForPercentage(value / 100);
                    var colorDark = getColorForPercentage((value - 20) / 100);
                    var style = "background-image: -moz-linear-gradient(top," + color + "," + colorDark + ");background-image: -webkit-gradient(linear,0 0,0 100%,from("+color+"),to("+colorDark+"));background-image: -webkit-linear-gradient(top,"+color+","+colorDark+");background-image: -o-linear-gradient(top,"+color+","+colorDark+");background-image: linear-gradient(to bottom,"+color+","+colorDark+");background-color:"+color+" !important; ";
                    currentProfileItem.attr('style', style);
                    currentProfileItem.css('width', value + "%");
                break;

                default:
                    currentProfileItem.html(value);
                break;
            }
            // currentProfileItem.effect('highlight', 2000);
        }
    });
}

function updateEndDate(sel)
{
    if (jQuery(sel).val() !='none') {
        jQuery('#end_date').show();
    } else {
        jQuery('#end_date').hide();
    }
}

function getURL(url)
{
    if (url.indexOf(Joomla.getOptions('system.paths').rootFull) === -1)
    {
        url = Joomla.getOptions('system.paths').rootFull + url;
    }

    return url;
}
