jQuery(document).ready(function ($) {

    if (typeof company_names != 'undefined') {
        jQuery("#crmmodalPerson input[name=company]").autocomplete({
            source: function (request, response) {
                var results = jQuery.ui.autocomplete.filter(company_names, request.term);
                response(results.slice(0, 10));
            },
            select: function (event, ui) {
                jQuery("#crmmodalPerson #company_name").val(ui.item.label);
                jQuery("#crmmodalPerson #company_id").val(ui.item.value);
                return false;
            },
            search: function () {

            }
        });
    }

    jQuery(".date_input").datepicker('destroy');
    jQuery(".date_input").datepicker({
        yearRange: '1800:+100',
        dateFormat: userDateFormat,
        changeYear: true,
        changeMonth: true,
        onSelect: function (event, ui) {
            jQuery("#" + jQuery(this).attr('id') + '_hidden').val(ui.selectedYear + "-" + ("0" + (ui.selectedMonth + 1)).slice(-2) + "-" + ("0" + (ui.selectedDay)).slice(-2));
            var form_name = jQuery(this).attr('id') + "_form";
            people_update(form_name);
        }
    });


});


// Bind work address slide down
function bind_area(loc) {
    jQuery("#" + loc + "_button").fadeOut('fast');
    jQuery("#" + loc + "_info").slideDown('fast');
}

// Main function to make all ajax calls
// Pass this the FORM name you want submitted
function people_update(loc) {



    // Generate data string for ajax call
    var dataString = '';
    var $form = jQuery('#crmmodalPerson form[name=' + loc + '] :input');
    $form.each(function () {
        dataString += "&" + this.name + "=" + jQuery(this).val();
    });

    // Make ajax call
    jQuery.ajax({
        type: "POST",
        url: Joomla.getOptions('system.paths').rootFull + 'index.php?option=com_joomcrm&model=people&task=main.save&format=raw&tmpl=component',
        data: 'id=' + id + '&' + dataString,
        dataType: 'json',
        success: function (data) {

            modalMessage(Joomla.JText._('COM_JOOMCRM_SUCCESS_MESSAGE', 'Success'), Joomla.JText._('COM_JOOMCRM_GENERIC_UPDATED', 'Successfully updated'));

        }

    });

}
