<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\BaseDatabaseModel;


class JoomcrmModel extends BaseDatabaseModel
{
	protected $app;
	protected $view;
	protected $layout;

	// Some use the underscore-prefixed version. Once that has been resolved, remove this.
	protected $_view;
	protected $_layout;

	public function __construct($config = array())
	{
		parent::__construct($config);

		$this->app    = Factory::getApplication();
		$this->view   = $this->app->input->get('view');
		$this->layout = $this->app->input->get('layout', 'default');

		// Some use the underscore-prefixed version. Once that has been resolved, remove this.
		$this->_view   = $this->view;
		$this->_layout = $this->layout;
	}
}
