<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class JoomcrmTablePeople extends Table
{
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	public function __construct()
	{
		$db = Factory::getDbo();

		parent::__construct('#__joomcrm_people', 'id', $db);
	}

}
