<?php
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;

?>
<div class="infoContainer">
	<h2><?php echo ucwords(Text::_('COM_JOOMCRM_BANTER_ROOMS')); ?></h2>

	<div class="container">
		<div class="filter_container">
			<?php echo Text::_('COM_JOOMCRM_SHOW_TRANSCRIPTS_FOR'); ?>:
			<span class="filters"><a class="dropdown" id="room_lists_link"><?php if (count($this->rooms) > 0)
					{
						echo $this->rooms[0]->name;
					}
					else
					{
						echo Text::_('COM_JOOMCRM_NO_ROOMS');
					}  ?></a></span>

			<div class="filters" id="room_lists">
				<ul>
					<?php
					if (count($this->rooms) > 0)
					{
						foreach ($this->rooms as $room)
						{
							echo "<li><a class='filter_mailing_list_" . $room->id . " dropdown_item' onclick='updateTranscripts(" . $room->id . ")'>" . $room->name . "</a></li>";
						}
					}
					?>
				</ul>
			</div>
		</div>
		<div id="transcript_list">
			<table id="transcripts_table" class="com_joomcrm_table">
				<thead>
				<tr>
					<th><?php echo Text::_('COM_JOOMCRM_ROOM'); ?></th>
					<th><?php echo Text::_('COM_JOOMCRM_DATE'); ?></th>
					<th><?php echo Text::_('COM_JOOMCRM_VIEW'); ?></th>
				</tr>
				</thead>
				<tbody id="transcript_entries">
				<?php
				$transcript_list_view = JoomcrmHelperView::getView('banter', 'transcripts', array(array('ref' => 'transcripts', 'data' => $this->transcripts)));
				$transcript_list_view->display();
				?>
				</tbody>
			</table>
		</div>
	</div>
</div>
