<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

if (count($this->transcripts) > 0)
{
	$i = 0;
	foreach ($this->transcripts as $transcript)
	{
		?>
		<?php $i %= 2; ?>
		<tr class="joomcrm_row_<?php echo $i; ?>">
			<td><?php echo $transcript->room_name; ?></td>
			<td><?php echo JoomcrmHelperDate::formatDate($transcript->created); ?></td>
			<td>
				<a target="_blank" href="<?php echo Route::_('index.php?option=com_banter&view=transcripts&layout=transcript&id=' . $transcript->id); ?>">
					<?php echo Text::_('COM_JOOMCRM_VIEW'); ?>
				</a>
			</td>
		</tr>
		<?php $i++; ?>
	<?php }
}
