<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;

$custom = JoomcrmHelperCustom::generateCustom($this->type, $this->item['id']);
$count = 0;
$doc = Factory::getDocument();
if (count($custom) > 0)
{

	echo '<div class="row">';

	foreach ($custom as $field => $value)
	{
		$count++;
		$k = $count % 3;


		if($count > 1 && $k == 1) {
			echo '</div>
			<div class="row">';
		}

		$value['item'] = $this->item;

		echo LayoutHelper::render("customfields.outputs.{$value['type']}",['value' => $value]);
	}

	echo "</div>";
}