<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;


?>
<script type="text/javascript">
    var graphData = <?php echo json_encode($this->mysales); ?>;
</script>
<div class="dash_float card" id="sales_container">
	<?php echo LayoutHelper::render('common.widget.header',['title' => 'COM_JOOMCRM_SALES_HEADER']) ?>
	<div id="sales_graphs_container" class="card-body">


		<div id="sales_graphs"></div>
	</div>
    <div class="card-footer">
        <div class="chart_selectors m-0">
            <div class="row">
                <div class="col-md-10"><div class="chart_date_selectors">
                        <div class="row gx-2">
                            <div class="col-md-6">
                                <div class="input-group input-group-sm" >
                        <span class="input-group-text">
                            <?php echo Text::_('COM_JOOMCRM_FROM'); ?>
                        </span>
                                    <input name="dashboard_graph_date_start" id="dashboard_graph_date_start" type="text" data-date-format="<?php echo $this->dateFormat; ?>" class="form-control" onclick="changeGraphDate('dashboard_graph_date_start');" value="<?php echo JoomcrmHelperUsers::getGraphDate('dashboard_graph_date_start', true); ?>" />
                        <span class="input-group-text">
                            <i class="fas fa-calendar-alt"></i>
                        </span>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="input-group input-group-sm">
                        <span class="input-group-text">
                            <?php echo Text::_('COM_JOOMCRM_TO'); ?>
                        </span>
                                    <input name="dashboard_graph_date_end" id="dashboard_graph_date_end" class="form-control" type="text" data-date-format="<?php echo $this->dateFormat; ?>" onclick="changeGraphDate('dashboard_graph_date_end');" value="<?php echo JoomcrmHelperUsers::getGraphDate('dashboard_graph_date_end', true); ?>" />
                        <span class="input-group-text">
                            <i class="fas fa-calendar-alt"></i>
                        </span>
                                </div>
                            </div>
                        </div>
                    </div></div>
                <div class="col-md-2"><div class="chart_date_nav btn-group">
                        <button id="chart_select_prev" class="btn btn-light btn-sm" rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_PREVIOUS'); ?>" data-bs-placement="top"><i class="fas fa-chevron-left"></i></button>
                        <button id="chart_select_next" class="btn btn-light btn-sm" rel="tooltip" title="<?php echo Text::_('COM_JOOMCRM_NEXT'); ?>" data-bs-placement="top"><i class="fas fa-chevron-right"></i></button>
                    </div></div>
            </div>
        </div>
    </div>
</div>
