<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

?>
<div class="joomcrm-ajax-pagination-content">
	<table class="com_joomcrm_table table dataTable w-100" id="deal_list" datatable-model="deal" datatable-view="<?php echo  Factory::getApplication()->input->get('view'); ?>"  datatable-layout="<?php echo  Factory::getApplication()->input->get('layout'); ?>" datatable-id="<?php echo  Factory::getApplication()->input->get('id'); ?>">
		<thead>
			<tr>
				<th><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_NAME')); ?></th>
				<th><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_OWNER')); ?></th>
				<th><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_STATUS')); ?></th>
				<th class="right"><?php echo ucwords(Text::_('COM_JOOMCRM_DEAL_AMOUNT')); ?></th>
			</tr>
		</thead>
		<tbody id="deal_dock_list">
		<?php
		$deal_dock_list = JoomcrmHelperView::getView('deals', 'deal_dock_list', array(array('ref' => 'deals', 'data' => $this->deals)));
		$deal_dock_list->display();
		?>
		</tbody>
	</table>
</div>
