<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

?>
<table class="com_joomcrm_table table">
	<thead>
	<tr>
		<th><?php echo Text::_('COM_JOOMCRM_NAME'); ?></th>
		<th><?php echo Text::_('COM_JOOMCRM_URL'); ?></th>
		<th><?php echo Text::_('COM_JOOMCRM_CLICKED'); ?></th>
	</tr>
	</thead>
	<tbody>
	<?php
	if (count($this->links) > 0)
	{
		foreach ($this->links as $link)
		{
			$text = $link->click ? Text::_('COM_JOOMCRM_YES') : Text::_('COM_JOOMCRM_NO');
			echo '<tr>';
			echo "<td>" . $link->name . "</td>";
			echo "<td><a target='_blank' href='$link->url'>" . $link->url . "</a></td>";
			echo "<td>" . $text . "</td>";
			echo '</tr>';
		}
	}
	else
	{
		echo '<tr>';
		echo '<td colspan="3">';
		echo '<div class="notice">' . Text::_('COM_JOOMCRM_NO_NEWSLETTER_LINKS') . '</div>';
		echo '</td>';
		echo '</tr>';
	}
	?>
	</tbody>
</table>
