<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

?>

<?php $view =  Factory::getApplication()->input->get('view'); ?>
<?php if ($view != "print")
{ ?>

    <?php echo LayoutHelper::render('notes.add') ?>

<?php } ?>
<div id="note_entries">
	<?php
	$format = Factory::getApplication()->input->get('format','','word');

	$c = count($this->notes);
	$limit = ($c > 3 && $format == 'raw') ? 3 : $c;
	for ($i = 0; $i < $limit; $i++)
	{
		$note = $this->notes[$i];
		$view = JoomcrmHelperView::getView('note', 'entry', array(array('ref' => 'note', 'data' => $note)));
		$view->display();
	}
	?>
</div>
<?php if ($c > $limit  && $this->type) { ?>
<div class="joomcrm-notes-available">
	<i>
		<a href="<?php echo Route::_('index.php?option=com_joomcrm&view=' . $this->view . '&layout=' . $this->type . '&id=' . $this->id) ?>">
			<?php echo Text::plural('COM_JOOMCRM_OLDER_NOTES_AVAILABLE', ($c - $limit)); ?>
		</a>
	</i>
</div>
<?php } ?>