<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewPubliccalendarRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		// Grab model
		$model = new JoomcrmModelEvent;

		// Detect event id
		$id = null;
		if ( Factory::getApplication()->input->get('parent_id') && ! Factory::getApplication()->input->get('id'))
		{
			$id =  Factory::getApplication()->input->get('parent_id');
		}
		else
		{
			$id =  Factory::getApplication()->input->get('id');
		}

		// Grab event
		if ($id != null)
		{
			$event = $model->getEvent($id, true);
		}

		$this->event = $event;

		parent::display($tpl);
	}

}
