<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

// Assign event
$event = $this->event;
?>
<div id="edit_form">
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_TASK_NAME')); ?>
			<span class="required">*</span></div>
		<div class="joomcrmValue"><?php if (array_key_exists('name', $event))
			{
				echo $event['name'];
			} ?></div>
		<div class="clear"></div>
	</div>
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_TASK_DUE_DATE'); ?></div>
		<div class="joomcrmValue">
			<?php if (array_key_exists('due_date', $event))
			{
				echo $event['due_date_formatted'];
			} ?>
			<?php if (array_key_exists('due_date_hour', $event))
			{
				echo $event['due_date_hour'];
			} ?>
		</div>
		<div class="clear"></div>
	</div>
	<?php if (strtotime($event['end_date']) > 0)
	{ ?>
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_END_DATE'); ?></div>
			<div class="joomcrmValue">
				<?php if (array_key_exists('end_date', $event))
				{
					echo $event['end_date_formatted'];
				} ?>
			</div>
			<div class="clear"></div>
		</div>
	<?php } ?>
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_DESCRIPTION'); ?></div>
		<div class="joomcrmValue">
			<?php if (array_key_exists('description', $event))
			{
				echo $event['description'];
			} ?>
		</div>
		<div class="clear"></div>
	</div>
	<div class="actions">
		<a href="javascript:void(0);" onclick="closeTaskEvent('task')"><?php echo Text::_('COM_JOOMCRM_CLOSE'); ?></a>
	</div>
</div>
