<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

?>

<?php
$customTotals = $_SESSION['customTotals'];
$calculationTotals = $_SESSION['calculationTotals'];
$calculationTotalsCurrency = $_SESSION['calculationTotalsCurrency'];
$quoteTotals = $_SESSION['quoteTotals'];
$amountTotal = $_SESSION['amountTotal'];
$rows = $_SESSION['rows'];

if (Factory::getApplication()->input->get('format') != "raw")
{?>
	</tbody>
	<tfoot>
<?php } ?>
<tr>
		<?php if (count($rows) > 0)
		{
			foreach ($rows as $row)
			{ ?>
				<td>
					<?php

					if ($row == 'name')
					{
						echo Text::_('COM_JOOMCRM_FILTERED_TOTAL') . ': ';
					}

					if (array_key_exists(str_replace("custom_", "", $row), $customTotals))
					{
						echo $customTotals[str_replace("custom_", "", $row)];
					}

					if ($row == 'amount')
					{
						echo JoomcrmHelperUsers::formatAmount($amountTotal);
					}

					if (array_key_exists(str_replace("quote_", "", $row), $quoteTotals))
					{
						echo Text::_('COM_CRMQUOTE_TOTAL') . ": <span id='quote_total'>" . JoomcrmHelperUsers::formatAmount($quoteTotals[str_replace("quote_", "", $row)]['total']) . '</span>';
						echo '<br />';
						echo Text::_('COM_CRMQUOTE_GP_TOTAL') . ": <span id='gp_total'>" . JoomcrmHelperUsers::formatAmount($quoteTotals[str_replace("quote_", "", $row)]['gp_total']) . '</span>';
					}

					if (array_key_exists(str_replace("calculate_field_", "", $row), $calculationTotals))
					{
						if (in_array(str_replace("calculate_field_", "", $row), $calculationTotalsCurrency))
						{
							echo JoomcrmHelperUsers::formatAmount($calculationTotals[str_replace("calculate_field_", "", $row)]);
						}
						else
						{
							echo $calculationTotals[str_replace("calculate_field_", "", $row)];
						}
					}

					?>
				</td>
			<?php }
		} ?>
	</tr>

<?php if ( \Joomla\CMS\Factory::getApplication()->input->get("format") != "raw")
{ ?>
	</tfoot>
	</table>
</div>
<?php }
