<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

for ($i = 0; $i < count($this->reports); $i++)
{
	$report = $this->reports[$i];
	$k      = $i % 2; ?>
	<tr id="custom_report_<?php echo $report['id']; ?>" class="joomcrm_row_<?php echo $k; ?>">
		<td>
			<a href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=custom_report&id=' . $report['id']); ?>"><?php echo $report['name']; ?></a>
		</td>
		<td><?php echo JoomcrmHelperDate::formatDate($report['modified']); ?></td>
		<td><?php echo JoomcrmHelperDate::formatDate($report['created']); ?></td>
		<td>
			<a class="btn btn-sm btn-light" href="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=edit_custom_report&id=' . $report['id']); ?>">
                <i class="fas fa-edit"></i> <?php echo Text::_('COM_JOOMCRM_EDIT_BUTTON'); ?>
            </a>
			<a class="delete_custom_report btn btn-sm btn-danger text-white"><i class="fas fa-times"</a>
		</td>
	</tr>
<?php }
