<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

?>
<div id="jb_template">
	<?php echo LayoutHelper::render('common.ajaxloading') ?>
    <script type="text/javascript">
        var order_url = "<?php echo 'index.php?option=com_joomcrm&view=reports&layout=deal_milestones_filter&format=raw'; ?>";
    </script>
	<?php
	// render page header
	echo LayoutHelper::render('reports.header',[
		'title' => 'COM_JOOMCRM_DEAL_MILESTONE_REPORT'
	]);
	?>

    <?php echo LayoutHelper::render('common.list.filter',['data' => $this->loadTemplate('deal_milestones_tablefilter')]) ?>

    <div class="results mt-3">
		<?php echo $this->deal_milestone_list->display(); ?>
    </div>
    <form method="post" action="<?php echo Route::_('index.php?option=com_joomcrm&view=reports&layout=deal_milestones'); ?>">
        <table class="com_joomcrm_table table">
        </table>

    </form>
	<?php if(isset($this->pagination)): ?>
        <nav class="d-flex pagination-wrapper">
            <div class="me-auto">
				<?php echo $this->pagination->getPagesLinks(); ?>
            </div>
            <div class="pagination-counter">
				<?php echo $this->pagination->getPagesCounter(); ?>
            </div>
        </nav>
	<?php endif; ?>

</div>