<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Layout\LayoutHelper;

?>

<script type="text/javascript">
	var graphData = <?php echo json_encode($this->graph_data); ?>;
</script>

<div id="jb_template">
    <?php echo LayoutHelper::render('common.ajaxloading') ?>
    <?php
    // render page header
    echo LayoutHelper::render('reports.header',
        [
                'title' => 'COM_JOOMCRM_SALES_DASHBOARD'
        ]);
    ?>
	<?php echo LayoutHelper::render('common.list.filter',['data' => $this->loadTemplate('filter')]) ?>
    <div id="sales_dashboard_graphs" class="row gx-2">
        <div class="dash_floats_left col-md-6">
            <ul class="dash_float_list" id="dash_floats_left">
				<?php if (isset($this->sales_dash_floats_left) && count($this->sales_dash_floats_left) > 0)
				{
					foreach ($this->sales_dash_floats_left as $float)
					{
						$view = JoomcrmHelperView::getView('reports', $float);
						if ($view && $float != "")
						{
							echo '<li id="' . $float . '">';
							echo $view->display();
							echo '</li>';
						}
					}
				} ?>
            </ul>
        </div>
        <div class="dash_floats_right col-md-6">
            <ul class="dash_float_list" id="dash_floats_right">
				<?php if (isset($this->sales_dash_floats_right) && count($this->sales_dash_floats_right) > 0)
				{
					foreach ($this->sales_dash_floats_right as $float)
					{
						$view = JoomcrmHelperView::getView('reports', $float);
						if ($view && $float != "")
						{
							echo '<li id="' . $float . '">';
							echo $view->display();
							echo '</li>';
						}
					}
				} ?>
            </ul>
        </div>
    </div>
</div>