<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;

?>

<tbody>
    <?php foreach ($this->items as $note) : ?>
    <tr>
        <?php if ( Factory::getApplication()->input->get('view') != "print")
        { ?>
            <td><input type="checkbox" name="ids[]" value="<?php echo $note['id']; ?>"/></td>
        <?php } ?>
        <td>
            <?php
            if ($note['company_id'] != null AND $note['company_id'] != 0)
            {
                echo '<a href="' . Route::_('index.php?option=com_joomcrm&view=companies&layout=company&id=' . $note['company_id']) . '">' . $note['company_name'] . '</a>';
            }
            ?>
        </td>
        <td>
            <?php
            if ($note['deal_id'] != null AND $note['deal_id'] != 0)
            {
                echo '<a href="' . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $note['deal_id']) . '">' . $note['deal_name'] . '</a>';
            }
            ?>
        </td>
        <td>
            <?php
            if ($note['person_id'] != null AND $note['person_id'] != 0)
            {
                echo '<a href="' . Route::_('index.php?option=com_joomcrm&view=people&layout=person&id=' . $note['person_id']) . '">' . $note['person_first_name'] . ' ' . $note['person_last_name'] . '</a>';
            }
            ?>
        </td>
        <td><?php echo $note['owner_first_name'] . " " . $note['owner_last_name']; ?></td>
        <td><?php echo JoomcrmHelperDate::formatDate(($note['created'])); ?></td>
        <td><?php echo $note['category_name']; ?></td>
        <td>
            <?php
            if (array_key_exists("name", $note) && $note['name'] != "")
            {
                echo "<b>" . $note['name'] . '</b><br />';
            }?>
            <?php echo nl2br($note['note']); ?>
        </td>
    </tr>
    <?php endforeach; ?>
</tbody>
