<?php
/**
* JoomCRM
*
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

class JoomcrmHelperView extends JoomcrmView
{
	public $layout;
	public $view;

	/**
	 * @param        $view
	 * @param string $layout
	 * @param array  $ref
	 *
	 * @return JViewLegacy
	 */
	public static function getView($view, $layout = 'default', $ref = array())
	{
		// Set view and layout
		$cfg  = array('name' => strtolower($view));
		$view = new self($cfg);
		$view->setLayout($layout);

		// TODO: Refactor so $ref is just an array of key value pairs.
		foreach ($ref as $assign)
		{
			$view->$assign['ref'] = $assign['data'];
		}

		return $view;
	}
}
