<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;

extract($displayData);

$type = Factory::getApplication()->input->get('view','','word');

?>
<div id="custom_field_number">
    <p class="alert alert-info">
        Numeric fields can be used to capture items such as product units or other numeric values.
    </p>
    <table class="table">
        <?php if($type == 'dealcustom'): ?>
        <tr>
            <td>
                <input class="form-check-input" type="checkbox" name="reported" <?php echo isset($current->custom['reported']) && $current->custom['reported'] ? 'checked' : '' ?> />
            </td>
            <td>I want this field totaled on any reports.</td>
        </tr>
        <?php endif; ?>
        <tr>
            <td width="10px">
                <input class="inputbox" type="checkbox" name="required" <?php echo isset($current->custom['required']) && $current->custom['required'] ? 'checked' : '' ?> />
            </td>
            <td>Make this field a required entry.</td>
        </tr>
    </table>
</div>
