jQuery(document).ready(function ($) {

    // Bind button to add more choices for picklists
    bindAdd();
    // Bind remove value button
    bindRemove();

});

// Bind add to picklist
function bindAdd() {
    var $ = jQuery,
        add_item = $('#add_item');

    add_item.unbind();
    add_item.bind('click', function () {
        addValue();
    });
}

// Bind picklist areas
function bindRemove() {
    var $ = jQuery,
        items = $('.item');

    // Not sure why this is here. It's not used.
    // var ele = jQuery("#items").children('.item:last');

    items.each(function () {
        var base = $(this),
            removeItem = base.find('.remove_item');

        removeItem.unbind();
        removeItem.bind('click', function () {
            removeValue(base.parentsUntil('div'));
        })
    });
}

// Add choices to the picklist
function addValue() {
    var $ = jQuery;

    // Append template
    $("#items").append($("#item_template").html());
    // Get the new entry
    bindRemove();
}

// Remove entry choices
function removeValue(element) {
    // Remove the element
    element.remove();
}
