/**
 * Globals
 */
var new_manager = false;
var user_id = 0;

// Update member and team data depending on selection
function updateRole(id) {
    let $ = jQuery,
        team_id = $('select[name=team_id]'),
        team_name = $('#team_name'),
        team_name_input = $('input[name=team_name]'),
        team_assignment = $('#team_assignment'),
        manager_id = $('#manager_id'),
        manager_assignment = $('#manager_assignment');

    if (id == "manager") {
        team_name.show();
        team_name_input.val('');

    } else {
        team_name.hide();
    }

    // Show team assignment
    if (id == 'basic') {
        team_assignment.show().removeClass('hidden');
    } else {
        team_assignment.hide().addClass('hidden');
    }

    // If we are downgrading a users access
    if (role_type == 'manager' && id != 'manager') {
        new_manager = true;
        manager_id.addClass('required');
        manager_assignment.show();
    } else {
        new_manager = false;
        manager_id.removeClass('required');
        manager_assignment.hide();
    }

    // Reassign a team if we are changing role
    if (role_type != id) {
        team_id.val('');
    }

}