<?php
/*
 * @package		Joomla 3.0
 * @subpackage	EasyJobsManager
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');


use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Form\Field\ListField;


FormHelper::loadFieldClass('list');

class JFormFieldNotecategories extends ListField{

	protected $type = 'Notecategories';


	public function getOptions($isFilter = false){


		$options = array();

		$db = Factory::getDbo();

		$db->setQuery("SELECT `id` AS value, `name` AS text FROM `#__joomcrm_notes_categories`");
		$records = (array) $db->loadObjectList();

		$options = [];
		foreach ($records as $record){
			$options[$record->value] = $record->text;
		}

		return $options;
	}


}
