<?php
/*
 * @package		Joomla 3.0
 * @subpackage	EasyJobsManager
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Form\Field\ListField;

class JFormFieldRolebasic extends ListField
{

	protected $type = 'Rolebasic';


	public function getOptions()
	{


		$options = array();
		$db      = Factory::getDbo();
		$query   = $db->getQuery(true)
			->select("CONCAT(u.first_name, ' ', u.last_name) AS text, u.team_id AS value")
			->from("#__joomcrm_users AS u")
			->where("u.role_type = 'basic'");
		$db->setQuery($query);
		$records = $db->loadObjectList();
		$options = array_merge(parent::getOptions(), $records);

		return $options;

	}


}
