<?php
/*
 * @package		Joomla 3.0
 * @subpackage	EasyJobsManager
 * @author		JoomBoost
 * @license		GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');

\Joomla\CMS\Form\FormHelper::loadFieldClass('list');

class JFormFieldTeamslist extends \Joomla\CMS\Form\Field\ListField{

	protected $type = 'teamslist';


	public function getOptions($isFilter = false){


		$db = \Joomla\CMS\Factory::getDbo();

		$db->setQuery("SELECT `team_id` AS value, `name` AS text FROM `#__joomcrm_teams`");
		$records = (array) $db->loadObjectList();

		$options = [];
		$options[] = '- Select team -';
		foreach ($records as $record){
			$options[$record->value] = $record->text;
		}

		return $options;
	}


}
