<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\Registry\Registry;

/** @var Joomla\CMS\WebAsset\WebAssetManager $wa */
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('keepalive')
    ->useScript('form.validate');
$this->useCoreUI = true;

$this->status[0]['name'] = isset($this->status[0]['name']) ? $this->status[0]['name'] : '';

?>
<script type="text/javascript">
	<?php if ($this->status['color'] != null) { ?>
	var status_color = "<?php echo $this->status[0]['color']; ?>";
	<?php }
 else { ?>
	var status_color = "ff0000";
	<?php } ?>
</script>
<div class="row">
    <div  class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div class="col-md-10">
			<?php echo $this->menu['help_info']->display(); ?>
			<div id="system-message-container"></div>
			<form action="<?php echo Route::_('index.php?option=com_joomcrm&view=dealstatuses'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
				<div class="main-card p-4">
					<h3><?php echo $this->header; ?></h3>
                        <div class="form-group">
                            <label><b><?php echo Text::_("COM_JOOMCRM_NAME"); ?></b></label>
                            <input type="text" class="form-control" name="name" value="<?php echo $this->status[0]['name']; ?>"/>
                        </div>

					<div class="form-group">
                        <label><?php echo Text::_('COM_JOOMCRM_HEADER_STATUS_COLOR'); ?></label>
                       <input type="color" class="form-control form-control-color" name="color" value="<?php echo !empty($this->status[0]['color']) ? $this->status[0]['color'] :''; ?>" />
                    </div>

					<div>
						<?php if (isset($this->status[0]['id'])) : ?>
						<input type="hidden" name="id" value="<?php echo $this->status[0]['id']; ?>"/>
						<?php endif; ?>
						<input type="hidden" name="task" value=""/>
						<?php echo HTMLHelper::_('form.token'); ?>
					</div>
				</div>
			</form>
		</div>
</div>

