<?php
/**
 * @package        JoomRecipe
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;


?>

<?php if ($this->show_update_buttons || $this->show_help)
{ ?>
	<div id="help_description_action" class="alert alert-info">

		<?php if (!$this->show_update_buttons)
		{ ?>
            <div class="float-end">
                <a class="btn-sm btn-danger" data-toggle="modal" href="#disable_help_hidden" onclick="disableHelp();" id="disable_help_button"><span class="fas fa-window-close"></span><?php echo Text::_('COM_JOOMCRM_DISABLE_HELP'); ?></a>
            </div>
		<?php } ?>

		<form action="" method="POST" class="m-0">
            <h3>
				<i class="fas fa-info-circle"></i> <?php echo Text::_('COM_JOOMCRM_HELP_' . strtoupper($this->help_type) . '_TITLE'); ?>
            </h3>
            <div><?php echo Text::_('COM_JOOMCRM_HELP_' . strtoupper($this->help_type) . '_DESC'); ?></div>
			<?php if (!$this->step_completed && $this->show_update_buttons)
			{ ?>
				<span id="help_actions" class="span4">
                    <span class="pull-right"><a href="javascript:void(0);" onclick="updateConfig('<?php echo $this->help_type; ?>',1);" class="btn-primary btn-large"><i class="fas fa-check" style="font-size: 16px"></i>   <?php echo Text::_('COM_JOOMCRM_COMPLETE'); ?>
					</a>
					<a href="javascript:void(0);" onclick="updateConfig('<?php echo $this->help_type; ?>',0);" class="btn laterButton"><i class="fas fa-window-close"></i>    <?php echo Text::_('COM_JOOMCRM_COMPLETE_LATER'); ?>
					</a></span>

				</span>

			<?php } ?>


		</form>
	</div>
	<div class="modal hide fade in" id="disable_help_hidden">
		<div class="modal-header">
			<button type="button" class="close" data-dismiss="modal">×</button>
			<h3><?php echo Text::_('COM_JOOMCRM_DISABLE_HELP_TITLE'); ?></h3>
		</div>
		<div class="modal-body">
			<p><?php echo Text::_('COM_JOOMCRM_DISABLE_HELP_DESC'); ?></p>
		</div>
		<div class="modal-footer">
			<a href="#" class="btn btn-primary" data-dismiss="modal">Close</a>
		</div>
	</div>
<?php } ?>