<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

?>
<div class="span3 joomcrmSpan3">
	<div class="sidebar-nav">
		<ul class="nav nav-list">
			<li class="nav-header"><?php echo Text::_('JoomCRM Menu'); ?></li>
			<?php $view =  \Joomla\CMS\Factory::getApplication()->input->get('view'); ?>
			<?php if (count($this->menu_links) > 0)
			{
				foreach ($this->menu_links as $menu_link)
				{ ?>
					<?php $active = $view == $menu_link['view'] ? "active" : ""; ?>
					<li class="<?php echo $active; ?>">
						<i class="<?php echo $menu_link['class']; ?>"></i>
					<span id="<?php echo $menu_link['id']; ?>">
						<a href="<?php echo $menu_link['link']; ?>" tooltip="<?php echo $menu_link['tooltip']; ?>">
							<?php echo $menu_link['text']; ?>
						</a>
					</span>
					</li>
				<?php }
			} ?>
		</ul>
	</div>
</div>
