<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

class JoomcrmControllerChecklogin extends JoomcrmController
{
	public function execute($task = null)
	{
		$return = array();

		$userId = JoomcrmHelperUsers::getLoggedInUser()->id;

		if ($userId > 0)
		{
			$loggedIn = true;
		}
		else
		{
			$loggedIn = false;
		}

		$return['loggedIn'] = $loggedIn;
		$return['redirect'] = JoomcrmHelperConfig::getLoginRedirect();

		$this->app->close(json_encode($return));
	}
}
