<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

class JoomcrmControllerDashboard extends JoomcrmController
{
	// Just a hack to get around not having a dashboard model for now.
	public function createModel($name, $prefix = '', $config = array())
	{
		if (strtolower($name) === 'dashboard')
		{
			return false;
		}

		return parent::createModel($name, $prefix, $config);
	}

	public function update()
	{
		$tasks = $this->getModel('Tasks')->getTasks();

		$this->app->close(json_encode($tasks));
	}
}
