<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

class JoomcrmControllerGraphs extends JoomcrmController
{
	/**
	 * Retrieve graph data and pass back as json for displaying charts
	 *
	 * @return void
	 */
	public function getGraphData()
	{
		// Get graph data from model
		$model = $this->getModel('Graphs');
		$type  = $this->app->input->get('filter');

		if ($type == 'company')
		{
			$graph_data = $model->getGraphData('company');
		}
		else
		{
			$graph_data = $model->getGraphData($type, $this->app->input->get('id'));
		}

		$this->app->close(json_encode($graph_data));
	}
}
