<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);
$input = \Joomla\CMS\Factory::getApplication()->input;

// get view type , example: deal, company, person
$type = $input->get('layout','','word');

$type = ($type == 'person') ? 'people' : $type;

?>
<form class="form-inline m-0" id="<?php echo $fieldname ?>_form_<?php echo $item['id']; ?>">
    
    <div class="input-group">
        <input type="text" class="form-control" name="<?php echo $fieldname ?>" value="<?php if (array_key_exists($fieldname, $item)) {
		    echo $item[$fieldname];
	    } ?>" />
            <button class="btn btn-success text-white" onclick="saveEditableModal(this);">
                <i class="fas fa-save"></i> <?php echo Text::_('COM_JOOMCRM_SAVE'); ?>
            </button>
    </div>

	<input type="hidden" name="item_id" value="<?php echo $item['id']; ?>"/>
	<input type="hidden" name="item_type" value="<?php echo $type ?>"/>

</form></div>
