<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

$current = $displayData['current'];
$company = $current->companies[0];

?>
<div class="row mb-3">
    <div class="col-md-4 text-center mb-2">
        <div class="card">
            <div class="card-header">
                <h6 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_TOTAL_PIPELINE')); ?></h6>
            </div>
            <div class="card-body">
                <h2 class="amount m-0"><?php echo JoomcrmHelperUsers::formatAmount($company['pipeline']); ?></h2>
            </div>
        </div>
    </div>
    <div class="col-md-4 text-center mb-2">
        <div class="card">
            <div class="card-header">
                <h6 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_DEALS')); ?></h6>
            </div>
            <div class="card-body">
                <h2 class="amount m-0"><?php echo JoomcrmHelperUsers::formatAmount($company['won_deals']); ?></h2>
            </div>
        </div>
    </div>

    <div class="col-md-4 text-center mb-2">
        <div class="card">
            <div class="card-header">
                <h6 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_COMPANY_CONTACTED')); ?></h6>
            </div>
            <div class="card-body">
                <h2 class="m-0"><?php echo JoomcrmHelperDate::formatDate($company['modified']); ?></h2>
            </div>
        </div>
    </div>
</div>

<div class="mb-3">
	<?php $current->custom_fields_view->display(); ?>
</div>
