<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

extract($displayData);

$custom_field_filter = array_key_exists('selected', $value) && $value['selected'] != 0 && $value['selected'] != "0000-00-00 00:00:00" ? JoomcrmHelperDate::formatDateString($value['selected'], true) : Text::_('COM_JOOMCRM_CLICK_TO_EDIT');

?>
<div class='col-md-4'>
    <div class='form-group card p-3'>
        <label class="text-muted"><?php echo $value['name'] ?></label>
        <form class="m-0" name="custom_<?php echo $value['id']; ?>_form" id="custom_<?php echo $value['id']; ?>_form">
            <div class="input-group">
                <input class="form-control custom_date_input  custom_<?php echo $value['id']; ?>"
                       id="custom_<?php echo $value['id']; ?>"
                       name="custom_<?php echo $value['id']; ?>_hidden"
                       type="text"
                       data-dateid = "<?php echo $value['id']; ?>"
                       data-isedit = "0"
                       placeholder="<?php echo Text::_('COM_JOOMCRM_CLICK_TO_EDIT'); ?>"
                       value="<?php echo JoomcrmHelperDate::formatDate(
				           $custom_field_filter,
				           false,
				           true,
				           false); ?>"
                />
                <input type="hidden"
                       id="custom_<?php echo $value['id']; ?>_hidden"
                       class="custom_<?php echo $value['id']; ?>_hidden"
                       name="custom_<?php echo $value['id']; ?>"
                       value="<?php echo JoomcrmHelperDate::formatDate($custom_field_filter); ?>"
                />
                    <span class="input-group-text"><i class="fas fa-calendar-alt"></i></span>
            </div>
        </form>
    </div>
</div>





