<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

$current = $displayData['current'];
// Define deal
$deal = $current->dealList[0];

// get person details layout
$details = LayoutHelper::render('deal.details',['current' => $current]);

?>
<?php echo $details ?>

<div class="card mb-3">
    <div class="card-header">
        <h4 class="m-0"><?php echo Text::_('COM_JOOMCRM_EDIT_NOTES'); ?></h4>
    </div>
    <div class="card-body">
		<?php echo $deal['notes']->display(); ?>
    </div>
</div>

<?php /*
    <h2><?php echo Text::_('COM_JOOMCRM_EDIT_CONVERSATIONS'); ?></h2>
    <div class="large_info">
        <div id="convo_message" class="message">
            <div id="show_convo_area_button" class="info">
                <span class="message"><?php echo Text::_('COM_JOOMCRM_ADD_CONVERSATION_MESSAGE'); ?></span>
            </div>
        </div>
    </div>
    <span class="actions"><a class="btn" href="javascript:void(0);" id="add_conversation_entry_button" type="button"><?php echo Text::_('COM_JOOMCRM_ADD_CONVO_BUTTON'); ?></a></span>

    <div id="conversation_entries">
        <?php
        $c = count($deal['conversations']);
        for ($i = 0; $i < $c; $i++)
        {
            $convo      = $deal['conversations'][$i];
            $convo_view = JoomcrmHelperView::getView('deals', 'conversation_entry', array(array('ref' => 'conversation', 'data' => $convo)));
            $convo_view->display();
        }
        ?>
    </div>
    */ ?>
<div class="card mb-3" id='event_dock'>
    <div class="card-header">
        <h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?></h4>
    </div>
	<?php $current->event_dock->display(); ?>
</div>

<?php echo LayoutHelper::render('documents.dockcard',['current' => $current]) ?>

<?php if (isset($current->quote_dock))
{
	$current->quote_dock->display();
}?>

<div class="card">
    <div class="card-header">
        <h4 class="m-0"><?php echo Text::_('COM_JOOMCRM_LATEST_ACTIVITIES'); ?></h4>
    </div>
    <div class="card-body">
        <div class="large_info">
			<?php echo $current->latest_activities->display(); ?>
        </div>
    </div>
</div>
