<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

$current = $displayData['current'];
// Define deal
$deal = $current->dealList[0];

// get person details layout
$details = LayoutHelper::render('deal.details',['current' => $current]);

?>

<?php echo HTMLHelper::_('uitab.startTabSet', 'dealTab', array('active' => 'dealDetails')); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'dealTab', 'personDetails', '<i class="fas fa-info"></i> '.Text::_('COM_JOOMCRM_DETAILS')); ?>
		<div class="mt-4">
			<?php echo $details ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'dealTab', 'dealNotes', '<i class="far fa-clipboard"></i> '.Text::_('COM_JOOMCRM_EDIT_NOTES')); ?>
		<div class="mt-4">
			<?php echo $deal['notes']->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>


	<?php echo HTMLHelper::_('uitab.addTab', 'dealTab', 'dealTasks', '<i class="far fa-calendar-check"></i> '.Text::_('COM_JOOMCRM_TASKS_AND_EVENTS')); ?>
		<div class="mt-4">
            <?php $current->event_dock->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>

    <?php echo LayoutHelper::render('documents.docktab',['current' => $current,'tabindex' => 'deal']) ?>

	<?php echo HTMLHelper::_('uitab.addTab', 'dealTab', 'dealActivities', '<i class="fas fa-history"></i> '.Text::_('COM_JOOMCRM_LATEST_ACTIVITIES')); ?>
		<div class="mt-4">
			<?php echo $current->latest_activities->display(); ?>
		</div>
	<?php echo HTMLHelper::_('uitab.endTab'); ?>


<?php echo HTMLHelper::_('uitab.endTabSet'); ?>
