<?php
/**
 * @package		JoomCRM
 * @copyright	2013-2019 JoomBoost, joomboost.com
 * @license		GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

extract($displayData);

?>
<?php echo LayoutHelper::render('documents.modals',[]) ?>
<div class="card mb-3">
    <div class="card-header">
                        <span class="actions float-end">
                            <form class="m-0 p-0" id="upload_form" target="hidden" action="index.php?option=com_joomcrm&task=documents.uploadDocument&format=raw&tmpl=component" method="POST" enctype="multipart/form-data">
                                <div class="input_upload_button fltrt">
                                    <a href="javascript:void(0);" class="btn btn-light btn-sm" id="upload_button"><?php echo Text::_("COM_JOOMCRM_UPLOAD_FILE"); ?></a>
                                    <input type="file" id="upload_input_invisible" name="document"/>
                                </div>
                            </form>
                        </span>
        <h4 class="m-0"><?php echo ucwords(Text::_('COM_JOOMCRM_EDIT_DOCUMENTS')); ?></h4>
    </div>
    <div class="card-body">
		<?php echo $current->document_dock->display(); ?>
    </div>
</div>
<!-- this iframe required for file ajax uploading -->
<iframe id="hidden" name="hidden" style="display:none;width:0px;height:0px;border:0px;"></iframe>