<?php
/**
* by MintJoomla
* a component for Joomla! 3.0 CMS (http://www.joomla.org)
* Author Website: http://www.mintjoomla.com/
* @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die();

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;

extract($displayData);

$currentStep = Factory::getApplication()->input->get('step', 1,'int');

switch ($current->input->get('import_type'))
{
	case 0:
		$type    = "companies";
		break;
	case 1:
		$type    = "people";
		break;
	case 2:
		$type    = "deals";
		break;

	default  : return Factory::getApplication()->enqueueMessage(Text::_('COM_JOOMCRM_IMPORT_TYPE_NOT_FOUND'),'warning');
}

?>

<div class="jb_template">
	<div class="page-header">
		<h1><?php echo Text::_('COM_JOOMCRM_IMPORT') ?> <?php echo Text::_('COM_JOOMCRM_'.strtoupper($type)) ?></h1>
	</div>
	<?php echo LayoutHelper::render("import.step$currentStep",['current' => $current],null,['client' => 'site']) ?>
</div>


