<?php
/**
 * @package        JoomCRM
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

extract($displayData);

$showDeleteBtn = false;
if (count($goals->company_goals) > 0)
{
	$showDeleteBtn = true;
}


?>

<?php if ($member_role == 'exec'):?>

    <a class="text-success btn btn-sm btn-light py-0 px-1"
       title="<?php echo Text::_("COM_JOOMCRM_ADD_GOAL"); ?>"
       href="<?php echo Route::_('index.php?option=com_joomcrm&view=goals&layout=add'); ?>">
        <i class="fas fa-plus"></i>
    </a>

	<?php if ($showDeleteBtn): ?>
        <a href="<?php echo Uri::base() ?>index.php?option=com_joomcrm&view=goals&layout=delete&format=raw&tmpl=component&goal_type=company"
           title="<?php echo Text::_("COM_JOOMCRM_DELETE_GOALS"); ?>"
           class="delete_goals text-danger btn btn-sm btn-light py-0 px-1" data-type="company" id="goal_type_company">
            <i class="fas fa-trash"></i>
        </a>
	<?php endif; ?>

<?php endif; ?>
