<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewContactsRaw extends JoomcrmView
{
	public function display($tpl = null)
	{
		$input = Factory::getApplication()->input;

		$deal_id = $input->getInt('deal_id',0);
		$event_id = $input->getInt('event_id',0);


		$model = new JoomcrmModelContacts;
		$model->set('deal_id', $deal_id);
		$model->set('event_id', $event_id);

		$this->contacts = $model->getContacts();

		if ($deal_id)
		{
			$this->primary_contact_id = JoomcrmHelperDeal::getPrimaryContact($deal_id);
		}

		parent::display($tpl);
	}

}
