<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');


?>
<div id="jb_template">
    <script>
        var loc = "dashboard";
    </script>
    <iframe name="hidden" style="display:none;width:0px;height:0px;border:0px;"></iframe>
    <div class="row">
        <div class="col-md-4">
            <ul class="dash_float_list" id="dash_floats_left">
			    <?php if (!empty($this->dash_floats_left)): ?>
			    <?php foreach ($this->dash_floats_left as $float) : ?>
				    <?php
					    $view = JoomcrmHelperView::getView('Dashboard', $float);
					    if ($view && $float != ""): ?>
						   <?php switch ($float)
						    {
							    case "tasks_events_float":
								    $view->eventDock = $this->getEventsTasks();
								    break;
							    case "deals_float":
								    $view->recentDeals = $this->getRecentlyAccessedDeals();
								    break;
							    case "latest_float":
								    $view->latest_activities = $this->getLatestActivities();
								    break;
						    } ?>

						    <li id="<?php echo $float ?>" class="mb-2">
						        <?php echo $view->display(); ?>
						    </li>
					    <?php endif; ?>
                <?php endforeach; ?>
			    <?php endif; ?>
            </ul>
        </div>
        <div class="col-md-8">
            <ul class="dash_float_list" id="dash_floats_right">
			    <?php if (!empty($this->dash_floats_right)): ?>
				    <?php foreach ($this->dash_floats_right as $float): ?>
					    <?php
                        $view = JoomcrmHelperView::getView('dashboard', $float);
					    if ($view && $float != ""): ?>
						    <?php
                                switch ($float)
                                {
                                    case "tasks_events_float":
                                        $view->eventDock = $this->getEventsTasks();
                                        break;
                                    case "deals_float":
                                        $view->recentDeals = $this->getRecentlyAccessedDeals();
                                        break;
                                    case "latest_float":
                                        $view->latest_activities = $this->getLatestActivities();
                                        break;
                                    case "sales_float":
                                        $view->dateFormat = $this->getDateFormat();
                                        $view->mysales = $this->getMySales();
                                        break;
                                }
						    ?>
						    <li id="<?php echo $float; ?>" class="mb-2">
						        <?php echo $view->display(); ?>
						    </li>
                        <?php endif; ?>
				    <?php endforeach; ?>
			    <?php endif; ?>
            </ul>
        </div>
    </div>
</div>

