<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

$convo = $this->conversation;
echo '<div class="conversation" id="convo_entry_' . $convo['id'] . '">';
if (JoomcrmHelperUsers::getRole() == "exec" || $convo['author'] == JoomcrmHelperUsers::getUserId())
{
	echo '<div class="header"><b>' . JoomcrmHelperDate::formatDate($convo['created']) . '</b>';
	echo '<div class="convo_edit_functions"><a href="javascript:void(0);" onclick="editConvoEntry(' . $convo['id'] . ')">' . Text::_('COM_JOOMCRM_EDIT') . '</a> - <a href="javascript:void(0);" onclick="trashConvoEntry(' . $convo['id'] . ')">' . Text::_('COM_JOOMCRM_REMOVE') . '</a></div>';
	echo '</div>';
}
echo '<div class="convo_info"><b>' . Text::_('COM_JOOMCRM_USER') . ' ' . $convo['owner_first_name'] . ' ' . $convo['owner_last_name'] . '</b> ' . Text::_('COM_JOOMCRM_WROTE') . ':</div>';
echo '<div class="convo">' . nl2br($convo['conversation']) . '</div>';
echo '</div>';
