<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Router\Route;
use Joomla\CMS\Component\ComponentHelper;

$config     = ComponentHelper::getParams('com_joomcrm');

$deal = $this->deal;
$k    = $this->offset;
echo '<tr class="joomcrm_row_' . $k . '">';
echo '<td><a href="' . Route::_('index.php?option=com_joomcrm&view=deals&layout=deal&id=' . $deal['id']) . '">' . $deal['name'] . '</a></td>';
echo '<td>' . $deal['owner_first_name'] . ' ' . $deal['owner_last_name'] . '</td>';
echo '<td>' . $deal['status_name'] . '<div class="status-dot" style="background-color:#' . $deal['status_color'] . ' !important;"></div></td>';
echo '<td><span class="amount">' . JoomcrmHelperUsers::formatAmount($deal['amount']) . '</span></td>';
echo '</tr>';
