<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

$conversation = $this->conversation;
?>
<form id="convo_edit" method="POST" action="<?php echo Uri::base().'index.php?option=com_joomcrm&model=conversations&task=main.save'; ?>" onsubmit="return save(this)">
	<input type="hidden" name="id" value="<?php echo $conversation['id']; ?>"/>

	<div id="editForm">
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_SENTENCE'); ?></div>
			<div class="joomcrmValue">
				<textarea class="inputbox" name="conversation"><?php echo trim($conversation['conversation']); ?></textarea>
			</div>
			<div class="clear"></div>
		</div>
		<div class="actions">
			<a href="javascript:void(0);" onclick="addConvoEntry('convo_edit');" class="btn"><?php echo Text::_('COM_JOOMCRM_SAVE_BUTTON'); ?></a>
			<a href="javascript:void(0);" onclick="window.top.window.jQuery('.ui-dialog-content').dialog('close');"><?php echo Text::_('COM_JOOMCRM_CANCEL_BUTTON'); ?></a>
		</div>
	</div>
</form>
