<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

?>
<div class="joomcrm-ajax-pagination-content">
	<table class="com_joomcrm_table dataTable table w-100" id="documents_table" datatable-model="document" datatable-view="<?php echo  Factory::getApplication()->input->get('view'); ?>" datatable-layout="<?php echo  Factory::getApplication()->input->get('layout'); ?>" datatable-id="<?php echo  Factory::getApplication()->input->get('id'); ?>">
		<thead>
			<tr>
				<th><?php echo Text::_('COM_JOOMCRM_TYPE'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_FILENAME'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_OWNER'); ?></th>
                <th class="category"><?php echo Text::_('COM_JOOMCRM_COMPANIES_CATEGORY'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_SIZE'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_UPLOADED'); ?></th>
			</tr>
		</thead>
		<tbody id="documents">
			<?php
			$document_rows = JoomcrmHelperView::getView('documents', 'document_row', array(array('ref' => 'documents', 'data' => $this->documents)));
			$document_rows->display();
			?>
		</tbody>
	</table>
</div>
