<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Uri\Uri;

if (count($this->documents) > 0)
{
	foreach ($this->documents as $key => $document)
	{
		$k = $key % 2;


		$imageFile = \Joomla\CMS\Filesystem\File::exists(JPATH_BASE . '/components/com_joomcrm/media/images/' . $document['filetype'] . '.png') ? Uri::base() . 'components/com_joomcrm/media/images/' . $document['filetype'] . '.png' : Uri::base() . 'components/com_joomcrm/media/images/generic_file.png';

		?>

    <tr class="document_<?php echo $key ?>" id="document_row_<?php echo $document['id'] ?>"
        class="joomcrm_row_<?php echo $k ?>">

        <td>
            <div class="bg-light p-1 m-1 d-inline-block text-center">
                <img class="d-block" width="30px" height="30px" src="<?php echo $imageFile ?>"/>
                <small class="text-muted">
                    <strong><?php echo strtoupper($document['filetype']) ?></strong>
                </small>
            </div>
        </td>
        <td>
			<?php echo Joomla\CMS\Layout\LayoutHelper::render('document.dropdown',['document' => $document],null,['component' => 'com_joomcrm','client' => 'site']) ?>
        </td>

		<?php
		echo '<td>' . $document['owner_name'] . '</td>';
		echo '<td class="category">' . $document['category_name'] . "</td>";
		echo '<td>' . $document['size'] . 'Kb</td>';
		echo '<td>' . JoomcrmHelperDate::formatDate($document['created']);
		echo '<div class="document_edit_menu" id="document_' . $document['id'] . '">';
		echo '<input type="hidden" name="document_' . $document['id'] . '_hash" id="document_' . $document['id'] . '_hash" value="' . $document['filename'] . '" />';
		echo '</div>';
		echo '</td>';
		echo '</tr>';
	}
}
