<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

if (count($this->newsletters) > 0)
{
	$i = 0;

	foreach ($this->newsletters as $newsletter)
	{
		?>
		<?php $i %= 2; ?>
		<tr class="joomcrm_row_<?php echo $i; ?>">
			<td class="mailing_list_subject">
				<?php if ($newsletter->open) { ?>
				<a href="javascript:void(0);" onclick="showNewsletterLinks(<?php echo $newsletter->mailid; ?>);">
					<?php } ?>
				<?php echo iconv('UTF-8','ISO-8859-1//TRANSLIT//IGNORE',$newsletter->subject); ?></td>
			<?php if ($newsletter->open)
			{ ?>
				</a>
			<?php } ?>
			<td class="mailing_list_senddate"><?php echo Factory::getDate($newsletter->senddate)->format('Y/m/d H:i:s'); ?></td>
			<td class="mailing_list_open <?php echo $newsletter->open ? 'text-success' : 'text-warning' ?>"><i class="fas fa-<?php echo $newsletter->open ? 'check' : 'clock' ?>"></i> <?php echo $newsletter->open ? Text::_('COM_JOOMCRM_YES') : Text::_('COM_JOOMCRM_NO'); ?></td>
		</tr>
		<?php $i++; ?>
	<?php }
}
