<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class JoomcrmViewNoteHtml extends JoomcrmHelperView
{
	public function display($tpl = null)
	{
		$input = Factory::getApplication()->input;


		$type   =  Factory::getApplication()->input->get('type');
		$id     = $input->getInt('id',0);
		$view   =  Factory::getApplication()->input->get('view');

		// Retrieve task list from model
		$model = $this->getModel();

		switch ($view)
		{
			case "companies":
				$view = "company";
				break;
			case "deals":
				$view = "deal";
				break;
			case "events":
				$view = "event";
				break;
		}

		$this->notes = $model->getNotes($id, $view, false);

		parent::display($tpl);
	}

}
