<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

?>

<div class="joomcrm-ajax-pagination-content">
	<table class="com_joomcrm_table dataTable table w-100" datatable-model="people" datatable-view="<?php echo  \Joomla\CMS\Factory::getApplication()->input->get('view'); ?>" datatable-layout="<?php echo  \Joomla\CMS\Factory::getApplication()->input->get('layout'); ?>" datatable-id="<?php echo  \Joomla\CMS\Factory::getApplication()->input->get('id'); ?>">
		<thead>
			<tr>
				<th class="avatar_th">&nbsp;</th>
				<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_NAME'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_TITLE'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_PHONE'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_OWNER'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_TYPE'); ?></th>
				<th><?php echo Text::_('COM_JOOMCRM_PEOPLE_CONTACTED'); ?></th>
			</tr>
		</thead>
		<tbody id="people_list">
			<?php
			$deal_dock_list = JoomcrmHelperView::getView('people', 'people_dock_list', array(array('ref' => 'people', 'data' => $this->people)));
			$deal_dock_list->display();
			?>
		</tbody>
	</table>
</div>
