<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

class JoomcrmViewProfileHtml extends JoomcrmView
{
	public function display($tpl = null)
	{
		// Javascript
		$document = Factory::getDocument();
		$document->addScript(Uri::base() . 'components/com_joomcrm/media/js/profile_manager.js');

		// Get user data and pass to view
		$this->user    = JoomcrmHelperUsers::getLoggedInUser();
		$this->user_id = JoomcrmHelperUsers::getUserId();

		parent::display($tpl);
	}

}
