<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

class JoomcrmViewPubliccalendarHtml extends JoomcrmView
{
	public function display($tpl = null)
	{
		Factory::getDocument()->addScript(Uri::base() . 'components/com_joomcrm/media/js/fullcalendar.js')
		->addScript(Uri::base() . 'components/com_joomcrm/media/js/public_calendar.js')
		->addStyleSheet(Uri::base() . 'components/com_joomcrm/media/css/fullcalendar.css');

		parent::display($tpl);
	}

}
