<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

use Joomla\CMS\Language\Text;

defined('_JEXEC') or die('Restricted access');

// Assign event
$event = $this->event;

defined('_JEXEC') or die('Restricted access'); ?>

<div id="edit_form">
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_NAME'); ?></div>
		<div class="joomcrmValue"><?php if (array_key_exists('name', $event))
			{
				echo $event['name'];
			} ?></div>
		<div class="clear"></div>
	</div>
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_EVENT_START_TIME'); ?></div>
		<div class="joomcrmValue">
			<?php if (array_key_exists('start_time', $event))
			{
				echo $event['start_time_formatted'];
			} ?>
			<?php if (array_key_exists('start_time_hour', $event))
			{
				echo $event['start_time'];
			} ?>
		</div>
		<div class="clear"></div>
	</div>
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_EVENT_END_TIME'); ?></div>
		<div class="joomcrmValue">
			<?php if (array_key_exists('end_time', $event))
			{
				echo $event['end_time_formatted'];
			} ?>
			<?php if (array_key_exists('end_time_hour', $event))
			{
				echo $event['end_time_hour'];
			} ?>
		</div>
		<div class="clear"></div>
	</div>
	<?php if ($event['all_day'] == 1)
	{ ?>
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_EVENT_ALL_DAY'); ?></div>
			<div class="joomcrmValue">
				<p><?php echo Text::_('COM_JOOMCRM_EDIT_EVENT_ALL_DAY_MESSAGE'); ?></p>
			</div>
			<div class="clear"></div>
		</div>
	<?php } ?>
	<?php if (strtotime($event['end_date']) > 0)
	{ ?>
		<div class="joomcrmRow">
			<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_END_DATE'); ?></div>
			<div class="joomcrmValue">
				<?php if (array_key_exists('end_date', $event))
				{
					echo $event['end_date_formatted'];
				} ?>
			</div>
			<div class="clear"></div>
		</div>
	<?php } ?>
	<div class="joomcrmRow">
		<div class="joomcrmField"><?php echo Text::_('COM_JOOMCRM_EDIT_TASK_DESCRIPTION'); ?></div>
		<div class="joomcrmValue">
			<p><?php if (array_key_exists('description', $event))
				{
					echo $event['description'];
				} ?></p>
		</div>
		<div class="clear"></div>
	</div>
	<div class="actions">
		<a href="javascript:void(0);" onclick="closeTaskEvent('event')"><?php echo Text::_('COM_JOOMCRM_CLOSE'); ?></a>
	</div>
</div>
