<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

?>

<div id="jb_template">
    <script type="text/javascript">
        order_url = "<?php echo 'index.php?option=com_joomcrm&view=reports&layout=custom_reports_filter&tmpl=component&format=raw'; ?>";
        order_dir = "<?php echo $this->state->get('Report.filter_order_Dir'); ?>";
        order_col = "<?php echo $this->state->get('Report.filter_order'); ?>";
    </script>
	<?php
	// render page header
	echo LayoutHelper::render('reports.header',[
		'title' => 'COM_JOOMCRM_CUSTOM_REPORTS'
	]);
	?>



    <table class="com_joomcrm_table table">
        <thead>
        <tr>
            <th>
                <div class="sort_order">
                    <a class="report.name" onclick="sortTable('report.name',this)"><?php echo Text::_('COM_JOOMCRM_CUSTOM_REPORT_NAME'); ?></a>
                </div>
            </th>
            <th>
                <div class="sort_order">
                    <a class="report.modified" onclick="sortTable('report.modified',this)"><?php echo Text::_('COM_JOOMCRM_CUSTOM_REPORT_MODIFIED'); ?></a>
                </div>
            </th>
            <th>
                <div class="sort_order">
                    <a class="report.created" onclick="sortTable('report.created',this)"><?php echo Text::_('COM_JOOMCRM_CUSTOM_REPORT_CREATED'); ?></a>
                </div>
            </th>
            <th><?php echo Text::_('COM_JOOMCRM_CUSTOM_REPORT_ACTIONS'); ?></th>
        </tr>
        </thead>
        <tbody class="results">
		<?php echo $this->custom_reports_list->display(); ?>
        </tbody>
    </table>
</div>
