<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;

$config     = ComponentHelper::getParams('com_joomcrm');

?>
<div class="table-responsive">
<table class="com_joomcrm_table table">
	<thead>
	<th class="checkbox_column"><input type="checkbox" onclick="selectAll(this);"/></th>
	<th>
		<div class="sort_order">
			<a class="s.name" onclick="sortTable('s.name',this)"><?php echo Text::_('COM_JOOMCRM_REPORTS_SOURCE'); ?></a>
		</div>
	</th>
	<th>
		<div class="sort_order">
			<a class="count(d.id)" onclick="sortTable('count(d.id)',this)"><?php echo Text::_('COM_JOOMCRM_NUMBER_OF_DEALS'); ?></a>
		</div>
	</th>
	<th>
		<div class="sort_order">
			<a class="sum(d.amount)" onclick="sortTable('sum(d.amount)',this)">
                <?php echo Text::sprintf('COM_JOOMCRM_REVENUE', $config->get('currency','$')); ?>
            </a>
		</div>
	</th>
	<th>
		<div class="sort_order">
			<a class="s.cost" onclick="sortTable('s.cost',this)">
                <?php echo Text::sprintf('COM_JOOMCRM_TOTAL_COSTS', $config->get('currency','$')); ?>
            </a>
		</div>
	</th>
	<th>
		<div class="sort_order">
			<a class="roi" onclick="sortTable('roi',this)"><?php echo Text::_('COM_JOOMCRM_RETURN_ON_INVESTMENTS'); ?></a>
		</div>
	</th>
	</thead>
	<tbody class="results" id="reports">
