<?php
/**
* JoomCRM
* 
* @author     JoomBoost <support@joomboost.com>
* @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: https://www.joomboost.com
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;

?>
<div id="jb_template">
	<?php
    // render page header
    echo LayoutHelper::render('reports.header',[
		'title' => 'COM_JOOMCRM_SOURCE_REPORT',
		'hasActions' => true
	]);
    ?>
    <script type="text/javascript">
        // add to view.html.php
        order_url = "<?php echo 'index.php?option=com_joomcrm&view=reports&layout=source_report_filter&tmpl=component&format=raw'; ?>";
        order_dir = "<?php echo $this->state->get('Deal.source_report_filter_order_Dir'); ?>";
        order_col = "<?php echo $this->state->get('Deal.source_report_filter_order'); ?>";
    </script>
    <form id="list_form" class="print_form" method="POST" target="_blank" action="<?php echo Route::_('index.php?option=com_joomcrm&view=print'); ?>">
        <input type="hidden" name="layout" value="report"/>
        <input type="hidden" name="model" value="deal"/>
        <input type="hidden" name="report" value="source_report"/>
		<?php echo $this->source_report_header->display(); ?>
		<?php echo $this->source_report_list->display(); ?>
		<?php echo $this->source_report_footer->display(); ?>
        <input type="hidden" name="list_type" value="source_report"/>
    </form>
</div>



