<?php
/**
 * JoomCRM
 *
 * @author     JoomBoost <support@joomboost.com>
 * @copyright  Copyright (C) 2018 Joomboost.com All Rights Reserved.
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Website: https://www.joomboost.com
 */

use Joomla\CMS\Uri\Uri;

defined('_JEXEC') or die('Restricted access');


?>
<div>

    <div class="page-header">
        <h1>
			<?php if ($this->params->get('show_page_heading')) : ?>
				<?php echo $this->escape($this->params->get('page_heading')); ?>
			<?php else: ?>
				<?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_SEARCH_VIEW'); ?>
			<?php endif; ?>
        </h1>
    </div>


    <p><?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_SEARCH_SITE') ?></p>


    <form action="<?php echo Uri::getInstance() ?>" method="post" name="adminForm" id="item-form"
          class="form-validate">

		<?php echo $this->form->renderField('keyword'); ?>

        <div class="mt-3">
            <button class="btn btn-outline-primary">
                <i class="fas fa-search"></i> <?php echo \Joomla\CMS\Language\Text::_('COM_JOOMCRM_SEARCH') ?>
            </button>
        </div>


		<?php echo \Joomla\CMS\HTML\HTMLHelper::_('form.token'); ?>
    </form>

	<?php if(!is_null($this->items)): ?>

    <?php endif; ?>



</div>

